Microsoft Operations Manager 2005 Help

The Microsoft® Operations Manager 2005 (MOM) documentation provides detailed information about the procedures that you need to complete your tasks as a MOM user. By design, this documentation does not provide extensive conceptual content.

It is recommended that you read the following documents before you continue further with your MOM deployment:

  • Microsoft® Operations Manager 2005 Release Notes
  • Microsoft® Operations Manager (MOM) 2005 Supported Configurations Guide
  • Microsoft® Operations Manager (MOM) 2005 Deployment Guide

© 2004 Microsoft Corporation. All rights reserved. Portions © 1995–2001 NetIQ Corporation.

Did you find this information useful? Please send your suggestions and comments about the documentation to momdocs@microsoft.com.


About Microsoft Operations Manager 2005

Microsoft® Operations Manager (MOM) 2005 is a comprehensive server monitoring solution that helps manage the availability, performance, and security of Windows-based networks and applications. MOM can provide central monitoring and automatic problem resolution for computer networks whose volume scales-up to thousands of computers on the network. MOM can continuously monitor user actions, application software, servers, and desktop computers running Microsoft Windows® 2000 Server or later. MOM can monitor, manage, and secure a wide range of resources, including computers, applications, server farms, e-commerce sites, and corporate servers. MOM provides proactive real-time system monitoring for Windows-based servers and computers throughout the extended enterprise. You can use MOM by itself or implement a solution that includes other Microsoft products, such as Microsoft Exchange. Microsoft Operations Manager 2005 provides the following benefits:

  • Event-driven operations monitoring
  • Self-deploying, scalable solutions
  • Improved system availability and performance tracking

MOM 2005 delivers comprehensive event monitoring, alert management, reporting, and trend analysis. MOM can consolidate events and automatically determine which events are of critical importance to an administrator. You can configure MOM to respond to events according to your business needs. A typical response, based on your criteria, includes automatic notification. By using custom actions and scripted responses, you can implement automatic alert resolution for an event.

It is recommended that you read the following documents before you continue further with your MOM deployment:

  • MOM 2005 Release Notes
  • The Supported Configurations Guide
  • The Deployment Guide


What's New in MOM 2005

Terminology

The table below provides Microsoft® Operations Manager (MOM) 2000 terms and their equivalent terms for MOM 2005.

MOM 2000 term | MOM 2005 term
DCAM | MOM Management Server
agent | agent
configuration group | management group
DAS | DAS
DCAM account | Split into: Management Server Action account and MOM Service account.
Zone configuration group | Source configuration group
Master configuration group | Destination configuration group
Consolidator | MOM Server
OnePoint Service | MOM Service

Deployment

Improvements in MOM 2005 deployment include simpler, MSI-based installation, an all-new Deployment Planning Wizard, a Prerequisite Checker, and greater server management capacity.

MSI-based Deployment

Microsoft Operations Manager (MOM) 2005 uses Windows Installer 2.0 to guide you through the installation process and make sure that all the files and settings are properly installed on your system. This means that deploying MOM 2005 is easier, simpler and faster than with previous versions.

Prerequisite Checker

Before you install a MOM component on a computer, the Prerequisite Checker ensures that the computer meets all the requirements for the MOM component that you are installing.

Capacity

In MOM 2005, several capacity categories have been increased to extend MOM monitoring capability. The following table compares MOM 2000, MOM 2000 SP1, and MOM 2005 management capacity.

Note Note

In MOM 2005 the term “MOM Management Server” replaces “DCAM.”

Feature | MOM 2000 capacity | MOM 2000 SP1 capacity | MOM 2005 capacity
Managed computers in a Management group | 1,000 | 2,000 | 3,500
Managed computers per Management Server | 700 | 1,000 | 1,200
Management Servers per Management group | 4 | 10 | 10
Source management groups forwarding to a MOM Destination management group
Note Note

In MOM 2005, Source management group is the new name for what was a Zone management group in MOM 2000. Destination management group replaces Master management group.

 6 10 10

Operator Console

The new MOM Operator console is designed in response to feedback provided by MOM customers. The console provides access to diverse and rich operations information, such as alerts, events, performance data, and topology diagrams.

Alerts View

The Alerts view provides you with a rich discovery and resolution experience. You can sort by any column; filter by any computer group or region; and rearrange, add, or delete columns as required. You can see the details for any alert in the same window by selecting the alert. From there, you can see the Properties, Custom Properties, Knowledge Base, Events, and History of the alert by clicking a link.

Diagram View

MOM 2005 provides a variety of topology diagrams that display computers and their relationships. These diagrams are dynamic and discovered by the MOM Management Packs. The status of each node in your topology, navigation to other views, and launching of context-sensitive actions is supported by the Diagram view.

State View

This new view provides the state of any computer, service, or MOM component. Rather than waiting for an alert to be raised, you can view the summary state for these entities at any time.

Multi-pane View

Many System Operation Centers (SOCs) and Network Operations Centers (NOCs) prefer a multi-pane view to watch computer status, new alerts, and resolved alerts at the same time on different panes. Some service owners choose to watch selected performance views and computer status on an ongoing basis. MOM 2005 multi-pane views supports these modes of operation. Operator console navigation applies to the selected pane, as well as the Details pane.

Computer Groups View

You can view information and perform many operations, based on computer groups and nested computer groups. You can also filter this view by Management Pack, which enables you to easily find the information that you are looking for so that you can resolve issues quickly and efficiently.

Tasks

MOM 2005 provides the capability to define, export, import, and launch context-sensitive tasks and diagnostics. You can run tasks on the computer with the Operator console, the MOM Management Server, or on a managed computer. Tasks can be run against multiple targets, such as alerts, and computers.

The tasks can pick up the context from the selection in the Operator console when the task was launched. The Operator console can also pick up pre discovered data from the MOM 2005 database, which provides more focused instances for targeting tasks. Also, because actions can be disruptive, you have the final approval on running tasks against the set of selected target instances.

You can use tasks to open a Terminal Services window or run a diagnostic tool, or run fully automated tasks against a server or agent. You can run tasks immediately, or according to a schedule.

Customization

The MOM 2005 Operator console provides robust customization possibilities, allowing operators to view information and perform tasks in a manner that best suits their work requirements.

Reporting

MOM Reporting now includes automatic data warehousing and the use of Microsoft SQL Server™ Reporting Services to generate reports.

MOM Reporting Server

MOM provides built-in data transformation and management functionality, which gives you the ability to maintain historical data that you can use for analysis. Instead of running reports against the MOM database, you can easily and effectively use the MOM Reporting database for reporting. The MOM Reporting database also supports database grooming.

MOM Reporting Console

The MOM Reporting console, which is Web-based, enables you to sort data and drill-down to find the detailed information that you need. You can export report data to other formats, such as a Microsoft Office Excel spreadsheet. In addition to viewing reports immediately, you can schedule report publication and distribution to subscribers.

Agent Management

The agent management improvements in MOM 2005 include faster computer discovery and agent installation, agentless monitoring, and improved management across firewalls.

Computer Discovery and Agent Installation

MOM 2000 used to rely on the Agent Manager for automated agent management. This included discovery, shallow discovery, classification into computer groups, and agent deployment. Because the Agent Manager used Remote Procedure Call (RPC), functionality was limited for managing computers across firewalls, and if the Agent Manager did not have administrative privileges to the managed computer. In these scenarios, manual intervention was required.

In MOM 2005, the Agent Manager Service no longer exists and MOM 2005 manages agents using tasks that perform an extended set of self management activities. These activities include tasks, such as deploying agents; starting, stopping, and bouncing agents; and changing agent configuration.

In addition, the responsibility of scanning computer attributes (shallow discovery) and reporting this information is transferred to the agents. As a result, scanning and automatic classification of agents across firewalls can be done without administrative rights.

Agentless Monitoring

MOM 2005 supports status monitoring of up to 60 agentless managed computers per MOM Management Server. Agentless monitoring is limited to status monitoring.

Management Packs

The improvements in MOM 2005 for Management Packs include rule overrides, state views, topology diagram views, nested computer groups, scoped views, product connectors, and compatibility with MOM 2000 Management Packs.

Overrides

This feature allows you to override specific aspects of a rule for a single Management Server or computer group. For example, you may need to set individual capacity thresholds for two logical drives on one computer, because they are of a different size.

State Views

MOM 2005 provides to Management Packs all of the infrastructure to provide status monitoring, including a service and its subcomponent level. It also provides the apparatus to roll the status up to a computer or a computer group.

Diagram Views

When services are distributed in complex configurations, determining the root cause of a wide-spread problem is complex. It is also difficult to determine how taking action on one computer affects the infrastructure. Visual representation with hard copy diagrams is useful, but these diagrams are difficult to maintain and often out of date.

MOM 2005 provides users a variety of topological views, where the existence of computers and their relationships to other computers are automatically discovered by MOM. The status of each computer, navigation to other views, and initiating context-sensitive actions are supported from the diagram views.

Nested Groups

MOM 2000 used the concept of computer groups for organizing rules. These computer groups are dynamic and can be imported or exported with Management Packs. In MOM 2005, the idea of computer groups is extended to include nested groups. These groups can be dynamic or static, user-defined or discovered, and can have one or more parents.

The idea of the nested computer groups is broadly implemented and encompasses rules targeting, view definitions, task targeting, navigation and drill down, and scoping views for users.

Console Scopes

In many environments, groups of computers are assigned to administrators by region, business unit, or function. MOM 2005 enables an administrator to limit the view of computer groups to specific users. This enables the administrator to isolate a computer or group of computers from being accessed by unauthorized users.

MOM-to-MOM Product Connector

The MOM-to-MOM Product Connector forwards alerts and updates back and forth between two management groups, using MOM Connector Framework (MCF) as entry points for both groups. The MOM-to-MOM Product Connector can also forward discovery information.

Management Pack Compatibility

Management Packs that are created for MOM 2000 can be installed and used on any MOM 2005 Management Server. However, these Management Packs cannot take advantage of the new features in MOM 2005.

Security

The security improvements in MOM 2005 include many default enhancements that make your MOM environment safer and more robust.

Process Separation and Low-Privileged Account

MOM components run under separate security contexts and in different processes. This means that if one response fails, it does not affect other responses or the MOM service itself.

Mutual Authentication

In MOM 2005, you can configure a managed computer and the MOM Management Server to authenticate each other before sending data across the network.

Secure Communications Channel

The communication between MOM 2005 Agent and the Management Server is always encrypted and digitally signed by default, and is also authenticated (if mutual authentication is enabled). The encryption has also been enhanced and is based upon a dynamically-created key, rather than a static key. Dynamic keys make it harder to view data that is transferred between MOM components.

Block Legacy Agents

The Block Legacy Agents block MOM 2000 and MOM 2000 SP1 agents from communicating with the MOM 2005 Management Server by default. You can then use the more secure communication in MOM 2005.

MOM Service Running as Network Service

On Microsoft Windows Server® 2003, the MOM Service can run under the Network Service account. This account has lower permissions than the Local System account, and enhances the security of the MOM Service.

Custom Server-Side Responses Disabled

Custom Server-Side Responses are disabled by default. This means that responses do not automatically run when rule criteria are met on the agents.

More Secure Agent Management

Manually-installed agents are rejected by default and must be accepted to be monitored by default. This gives you much better control over where and when agents are deployed in your environment.

For more information about MOM 2005 security, see the Microsoft Operations Manager 2005 Security Guide.


Microsoft Product Support Services

Online Support

Contact us with your questions and comments. We look forward to hearing from you. Many common questions can be answered by consulting the Microsoft Operations Manager 2005 Web site at www.microsoft.com/mom/. Additional online support is available at support.microsoft.com and www.microsoft.com.

Phone Support

United States

Call (800) 936-4900. Text Telephone is available 24 hours a day, 7 days a week, including holidays. In the United States call (425) 635-4948.

Conditions: Microsoft Product Support Services are subject to current prices, terms, and conditions, which are subject to change without notice.

Worldwide

Support options, hours, and cost in your country/region may differ from the United States. Please check with your local office for details.

Professional Support Options

Advanced support for experts and businesses is available at customized support sites for pay-per-incident assistance online in the U.S., or by phone in the U.S. by experts trained to assist business professionals. To advance-purchase support incidents, please call Professional Support Sales at (800) 936-3500.

You can submit your incident over the phone in the U.S. The telephone number depends on your professional role:

  • Professional Support for Developers: (800) 936-5800
  • Professional Support for IT Professionals: (800) 936-4900
  • Professional Support for Value Add Partners, Resellers, and Consultants: (888) 456-5570
  • Professional Support for Microsoft Certified Partners: (888) 677-9444
  • Professional Support for Original Equipment Manufacturers (OEMs): (800) 936-2197
  • Professional Support for System Builders: (888) 456-5570

International Support

Note Note

Phone numbers for Microsoft Subsidiaries are subject to change. For the most recent listing, please visit support.microsoft.com/directory and select "worldwide support." If there is no Microsoft subsidiary office in your country/region, please contact the establishment from which you obtained your Microsoft product.

Argentina

Microsoft de Argentina S.A.

  • Fax: (54) (11) 4316-1922
  • Customer Service (54) (11) 4316-4600
  • Technical Support Phone: (54) (11) 4316-4664

Armenia

See Russia. Microsoft Pty. Ltd.

  • Phone: 13 20 58
  • Fax: (61) (29) 023-5021
  • Technical Support Phone: 13 20 58

Austria

Microsoft Ges.m.b.H.

  • Fax: (43) (16) 106-4200
  • Information Services: 08000-123 345
  • Fax: (43) (22) 366-4595
  • E-mail: InfoService@microsoft.at

Direct Services (Updates, etc.)

  • Phone: (43) -(1) 795 67028
  • Fax: (43) -(1) 795 67029
  • E-mail: austria@msdirectservices.com

Standard Support (Installation and Handling)

  • Phone: (43) -(1) 50222-2255

Azerbaijan

See Russia.

  • Microsoft NV
  • Phone: (32) (2) 7043000
  • Fax: (32) (2) 7043535
  • TechNet Subscription: (353) (1) 703 8738
  • MSDN Subscription: (32) (2) 5138684
  • Microsoft Information Center: (32) (2) 5133113

Technical Support

  • (32) (2) 513 32 74 (Dutch-speaking)
  • (32) (2) 502 34 32 (English-speaking)
  • (32) (2) 513 22 68 (French-speaking)

Belarus

See Russia.

Bolivia

See Uruguay.

Brazil

Microsoft Informatica Ltda.

  • Phone: (55) (11) 5514 - 7100
  • Fax: (55) (11) 5514 - 7106/5514-7107

Technical Support

  • Phone: (55) (11) 5504-2155
  • Fax: (55) (11) 5504-2227
  • Automatic Fax: (55) (11) 5506-8506
  • Bulletin Board Service: (55) (11) 5506-1234
  • Customer Services: (55) (11) 822-5764
  • Customer Services Fax: (55) (11) 822-6227

Canada

Microsoft Canada Co.

  • Head Office Phone: (905) 568-0434
  • Customer Information Centre: (800) 563-9048

Technical Support

  • Desktop Systems including Microsoft Windows 95: (905) 568-4494
  • Microsoft Office and Office Components: (905) 568-2294
  • Other Standard Technical Support (905) 568-3503
  • Priority Support Information: (800) 668-7975
  • Text Telephone (TTY/TDD) (905) 568-9641

Caribbean

Microsoft Caribbean, Inc.

  • Phone: (809) 273-3600
  • Fax: (809) 273-3636
  • Technical Support/Soporte Tecnico: (408) 953-8086
  • Support E-mail/Correo Electronico para Soporte Tecnico: mscasup
  • Customer Service/Centro de Servicios: (800) 297-5982 for area codes 787 and 809 only
  • Customer Service E-mail/Correo Electronico para Atencion a Usarios: msccatus

Central America

  • Technical Support/Soporte Tecnico: (506) 298-2020
  • Support E-mail/Correo Electronico para Soporte Tecnico: mscasup
  • Customer Service/Centro de Servicios: (506) 298-2000
  • Customer Service E-mail/Correo Electronico para Atencion a Usarios: mscarsup

Chile

Microsoft Chile S.A.

  • Phone: (56) -(2) 330-6000
  • Fax: (56) -(2) 330-6190
  • Customer Service (56) -(2) 800-330600

Personal Operating System and Applications

  • Phone: (56) -(2) 330-6222
  • Fax: (56) -(2) 341-1439

China

Microsoft (China) Co. Ltd., 6/F, Beijing Sigma Center No. 49, Zhichun Road, Haidian District Beijing, 100080, PRC

  • Phone: (011) -(86) 10-6261 7711
  • Fax: (011) -(86) 10-6253 6630

Microsoft Asia Regional Engineering Center, 19th - 20th Floor, Metro Tower No. 30 Tian Yao Qiao Road, Shanghai, 200030, P.R.C.

  • Phone: (011) -(86) 21-64691188 (011) -(86) 21-6469 8899
  • Fax: (011_ (86) 21-6469 1166 (011) -(86) 21-6469 9900

Colombia

Microsoft Colombia, Carrera 7a. # 71-21 Torre B Piso 7 Santa Fé de Bogotá

  • Phone: (571) 3173838
  • Fax: (571) 3173494

Technical Support (Linea de Respuesta, Bogota)

  • Phone: 524-0404
  • Fax: (091) 524-0405
  • Other cities: 9800-10595

Croatia

Microsoft Hrvatska d.o.o., Trg D. Petrovica 3 10 000 Zagreb

  • Phone: (385) (1) 4802 500
  • Fax: (385) (1) 4843 688

Product Support

  • Phone: (385) (1) 393539
  • E-mail: hot-line@microsoft.hr

Customer Service

  • Phone: (385) (0800) 300 300
  • E-mail: info-line@microsoft.hr

Czech Republic

Microsoft s.r.o.

  • Phone (420) (2) 611 97 111
  • Fax: (420) (2) 611 97 100
  • Technical Support: (420) (2) 2150 3222

Denmark

Microsoft Denmark

  • Phone: (45) (44) 89 01 00
  • Fax: (45) (44) 68 55 10

Technical Support

  • Phone: (45) (44) 89 01 11
  • Microsoft Sales Support: (45) (44) 89 01 90
  • Microsoft FastTips: (45) (44) 89 01 44 (Document 303030 in FastTips contains detailed instructions)
  • Microsoft MSDL (BBS): (45) (44) 66 90 46

Dominican Republic

See Central America.

Dubai

Microsoft Middle East

  • Phone: (971) (4) 3973888
  • Fax: (971) (4) 3972244

Technical Support (Personal Operating Systems and Desktop Applications only)

  • Phone: (971) (4) 3975443
  • Fax: (971) (4) 3972304
  • E-mail: mswsgulf@microsoft.com

Customer Service Center (Version upgrade/TechNet and MSDN subscription)

  • Phone: (971) (4) 3975752
  • Fax: (971) (4) 3972304

Ecuador

Corporation Microsoft del Ecuador S.A.

  • Phone/PBX: (593) (2) 460453
  • Fax: (593) (2) 463093
  • Customer Service: (593) (2) 258025
  • Technical Support (593) (2) 258025

Egypt

Technical Support (Personal Operating Systems, Desktop Applications, and Development Tools Installation ONLY)

  • Phone: (202) 338 8724 (202) 338 9794
  • Fax: (202) 360 4976
  • E-mail: mssupport@gbrands.com

England

See United Kingdom.

Estonia

  • Technical Support: (372) 650 49 99

Finland

Microsoft OY

  • Phone: (358) (0) 9-525 501
  • Fax: (358) (0) 9-878 8770

Technical Support

  • Phone: (358) (0) 9-525 502 5026
  • Standard: (358) (0) 9-525-502-500
  • Priority: (358) (0) 9-525-502-20

France

  • Phone: (011) (33) 825 827 829 (indigo number 0.15 € TTC per minute)
  • Customer Service Phone: (011) (33) 0 825 827 829 (*)
  • Fax: (33) 01 64-46-06-60
  • Telex: MSPARIS 604322
  • Customer Service Phone: (011) (33) 0 825 827 829 (indigo number 0.15 € TTC per minute)
  • Technical Support Phone: (011) (33) 825 827 829 (indigo number 0.15 € TTC per minute) access code 1020
  • Technical Support Fax: (011) (33) 1 69 28 00 28

French Polynesia

See France.

Georgia

See Russia.

Germany

Microsoft GmbH

  • Fax: (089) 3176-1000
  • Telex: (17) (89) 83 28 MS GMBH D
  • Information: (089) 3176 1199
  • Prices, updates, etc.: (01805) 25 11 99
  • Standard Support (Installation and Handling): 01805/67 22 55

General information about Microsoft Support in Central Europe:

  • Fax: 1805-25-1191

Greece

Microsoft Hellas, S.A.

  • Phone: (30) (1) 6806-775 through (30) (1) 6806-779
  • Fax: (30) (1) 6806 780

Technical Support

  • Phone: (30) (1) 6806111
  • Fax: (30) (1) 6809528

Gulf and Eastern Mediterranean

PO Box 52244 Dubai, UAE

  • Tel: (971) (4) 3973888
  • Fax: (971) (4) 3972244

Personal Support Contact Details (Personal Operating Systems and Desktop Applications ONLY)

  • Gulf (Bahrain, Malta, Qatar, and United Arab Emirates)
    • Phone: (971) (4) 3975443
    • Fax : (971) (4) 3972304
    • E-Mail: mswsgulf@microsoft.com
  • Lebanon (Cyprus and Lebanon)
    • Phone: (961) (1) 983348
    • Fax: (961) (1) 983349
    • E-Mail: mts@lebanon-online.com.lb
  • Oman
    • Phone: (968) 691191
    • Fax: (968) 698568
    • E-Mail: mspss@gto.net.om
  • Pakistan
    • Phone: (92) (21) 111 674357
    • Fax: (92) (21) 4533370
    • E-mail: mssupport@nets.net.pk

    Customer Service Center (Version upgrade / TechNet and MSDN subscription)

    • Phone: (971) (4) 3975752
    • Fax: (971) (4) 3972304

Hong Kong SAR, PRC

Microsoft Hong Kong SAR, PRC Limited

  • Fax: (852) 2560-2217
  • Microsoft Information Hotline: (852) 2804-4234
  • Personal Technical Support: (852) 2804-4222
  • Professional Technical Support: (852) 2804-4288

Hungary

Microsoft Hungary

  • Phone: (36) (1) 437-2800
  • Fax: (36) (1) 437-2899
  • Customer Services: (36) (1) 267-4636 (2MSINFO
  • Technical Support: (36) (1) 267-7846 (2MSSUGO)

Iceland

See Denmark.

India

Microsoft India

  • Phone: (91) (80) 559-5733; (91) (11) 629-4600,629-4601; (91) (22) 285-0193
  • Fax: (91) (80) 559-7133; (91) (11) 629-2650

Indonesia

Microsoft Indonesia - Jakarta

Technical Support

  • Phone: (62) (21) 570 42 54
  • Fax: (62) (21) 520 81 22

Ireland

Technical Support

  • Phone: 706 5353

See also United Kingdom.

Israel

Microsoft Israel Ltd.

Reception

  • Phone: (972) -(9) 952-5353
  • Fax: (972) -(9) 952-5333

Customer Service and Information Center

  • Phone: (972) -(9) -952-5400
  • Fax: (972) -(9) -952-5411

Technical Free Support for Windows and Office

  • Phone: (972) -(9) -952-5400
  • Fax: (972) -(9) -952-5403

Italy

Microsoft Srl

  • Phone: (39) (2) 70-398-398
  • Fax: (39) (2) 7039-2020

Microsoft Rome Office

  • Phone: (39) (6) 5095-01
  • Fax: (39) (6) 5095-0600
  • Customer Service (New product information, product literature): (39) (2) 70-398-398
  • Operatori del Settore IT (Customer Service for IT): (39) (2) 70-398-398
  • Technical Support: (39) (2) 70-398-398
  • Microsoft Consulting Service: (39) (2) 70-398-398

Japan

Microsoft Company Ltd.

  • Technical Support (Standard Support): (81) (3) 5354-4500
  • Technical Support Options/ Support Contract: (81) (3) 5354-4700

Channel Marketing Information Center (Presales Product Support):

  • Tokyo Phone: (81) (3) 5454-2300
  • Osaka Phone: (81) (6) 6245-6995

Customer Service Phone (Version upgrade/Registration):

  • Phone: (81) (48) 226-5500
  • Fax: (81) (48) 226-5511

Kazakhstan

See Russia.

Kingdom of Saudi Arabia

  • Phone: (966) -(1) 488-1165
  • Fax: (966) -(1) 488-1576

Technical Support (Personal Operating System and Desktop Applications only)

  • Phone: (800) 124 0500 (toll-free within Saudi Arabia)
  • Fax: (966) -(1) 4740576

Kyrgyzstan

See Russia.

Korea

Microsoft CH

  • Phone: (82) (2) 531-4500
  • Fax: (82) (2) 531-1724
  • Game and Hardware Service Center: (080) 645-1000 (toll free domestic only)
  • Customer Satisfaction Center: (080) 985-2000 (toll free domestic only) (82) (2) 558-8161
  • Technical Support Center: (82) (2) 508-0040
  • Microsoft FastTips: (82) (2) 3453-7555
  • Support Sales: (82) (2) 531-4544

Kuwait

PO Box 5244 13053 Safat

  • Tel: (965) 243-0248
  • Fax: (965) 243-0249
  • Technical Support (Personal Operating Systems, Desktop Applications, and Developer Tools ONLY): (965) 243-1071

Latin America

Microsoft Latin American Headquarters (U.S.)

  • Phone: (305) 489-4800
  • Fax: (305) 491-1616
  • Customer Service: (425) 936-8661
  • Technical Support: (214) 714-9100

Liechtenstein

See Switzerland.

Luxembourg

Microsoft NV

  • Phone: (32) (2) 730 39 11
  • Microsoft Support Network Information Center: (31) -(800) 9977-57
  • TechNet Subscription: (353) -(1) 703 8738
  • MSDN Subscription: (353) -(1) 708-8690
  • Microsoft Information Center: (32) -(2) 481 52 52
  • Bulletin Board: (32) (2) 726 85 45 (1200/2400/9600/14400 bd, 8N1, ANSI)

Technical Support

  • (32) (2) 513 32 74 (Dutch speaking)
  • (32) (2) 502 34 32 (English speaking)
  • (32) (2) 513 22 68 (French speaking)

Malaysia

Microsoft (Malaysia) Sdn Bhd:

  • Phone: (6) (03) 757-2266
  • Fax: (6) (03) 757-2265

Customer Services

  • Phone: Toll-free - (1) -(800) 88-3249
  • Fax: (6) (03) 758-5011

Technical Support

  • Phone: (6) (03) 793-9595
  • Fax: (6) (03) 295-2065

México

Microsoft México, S.A. de C.V.

  • Atencion a Distribuidores: 267-2110
  • Atencion a Clientes: 265-3380
  • Soporte Sistemas Operativos y Applicaciones de Escritorio: 265-3399
  • Soporte de Servidores y Herramientas de Desarrollo: 267-2190
  • Fast Tips: (52)(5) 2612199
  • Microsoft BBS: 628-6200/02 MSMEXICO

Middle East

Microsoft Middle East

  • Phone: (971) (4) 397 3888
  • Fax: (971) (4) 397 2244

Technical Support (Personal Operating Systems and Desktop Applications ONLY)

  • Phone: (971) (4) 397 5443
  • Fax: (971) (4) 397 2304
  • E-mail: mswsgulf@microsoft.com

Customer Service Center (Version upgrade / TechNet and MSDN subscription)

  • Phone: (971) (4) 299 5082
  • Fax: (971) (4) 299 5097

Morocco

Microsoft Afrique du Nord et de l'Ouest

  • Phone: (212) (2) 95 80 80
  • Fax: (212) (2) 95 85 85

Netherlands, The

Jaar 2000 informatie centrum

  • Netherlands: (020) 5001033
  • Belgium: (32) -(2) 7043000
  • Luxemburg: (32) -(2) 5139979

Product Support and Services

  • Netherlands (Dutch): (020) 5001005
  • Netherlands (English): (020) 5001053
  • Belgium (Dutch): (32) (2) 513 31 13
  • Belgium (French): (32) (2) 513 22 68
  • Belgium (English): (32) (2) 502 34 32
  • Luxemburg (French): (32) (2) 513 2268
  • Luxemburg (English): (32) (2) 502 3432

Microsoft Consulting Services Benelux

Netherlands, Belgium, and Luxemburg: (31) (0) 20 5001005

Information Services and Subscriptions

  • TechNet
    • Netherlands: (020) 5001035
    • Belgium: (32) (2) 5022176
    • Luxemburg: (32) (2) 5022176
  • Microsoft Developer Network
    • Netherlands: (020) 5001037
    • Belgium: (32) (2) 5138684
    • Luxemburg: (32) (2) 5138684

New Zealand

Microsoft New Zealand Ltd

  • Phone: (64) (9) 357-5800
  • Fax: (64) (9) 357-0868

Technical Support

  • Phone: (64) (9) 357-5575
  • Fax: (64) (9) 357-5577

Northern Ireland

See United Kingdom.

Norway

Microsoft Norway AS

  • Phone: (47) (22) 02 25 00
  • Fax: (47) (22) 95 06 64

Technical Support

  • Standard: (47) (22) 02 25 50
  • Priority: (47) (22) 02 25 45
  • Premier: (47) (22) 02 25 46
  • Microsoft Sales Support: (47) (22) 02 25 80
  • Microsoft MSDL: (47) (22) 18 22 09
  • Microsoft FastTips: (47) (22) 02 25 70 (Document 404040 in FastTips contains detailed instructions)

Panama

  • Technical Support/Soporte Tecnico: (506) 298 2020
  • Support E-mail/Correo Electronico para Soporte Tecnico: mscasup
  • Customer Service/Centro de Servicios: (506) 298 2000
  • Customer Service E-mail/Correo Electronico para Atencion a Usuarios: msccatus

Papua New Guinea

See Australia.

Paraguay

See Uruguay.

Perú

  • Phone: (511) 421-1200
  • Fax (511) 421-7307
  • Technical Support: (511) 215-5002; (511) 215-5005

Philippines

  • Phone: (632) 811-0062

Technical Support

  • Phone: (632) 892-2295/2495
  • Fax: (632) 813-2493

Poland

Microsoft Sp. z o.o.

  • Phone: (48) -(22) 661-54-00
  • Fax: (48) -(22) 661-54-34
  • Information Service: (48) -(22) 865-99-33
  • Technical Support: (48) -(22) 865-99-66

Portugal

Microsoft Portugal MSFT, Lda.

  • Phone: (351) (1) 4409200
  • Fax: (351) (1) 4412101

Technical Support

  • Standard Support: (351) (1) 4409280
  • Fax: (351) (1) 4411655

Puerto Rico

  • Soporte Tecnico: (408) 953 8086
  • Support E-Mail/Correo Electronico Para Soporte Tecnico: mscarsup
  • Customer Service/Centro de Servicios: (800) 297 5982 for area codes 787 and 809 only
  • Customer Service E-mail/Correo Electronico para Atencion a Usuarios: msccatus

Romania

Microsoft s.r.l.

  • Phone: (40) (1) 222 90 16
  • Fax: (40) (1) 222 90 12
  • Technical Support: (40) (1) 312 09 48

Russia

Microsoft Z.A.O.

Microsoft Information Center Phone

  • Moscow: (7) (095) 916-7171
  • St. Petersburg: (7) (812) 118-3636
  • Novosibirsk: (7) (3832) 119-019
  • Kiev: (380) (044) 2305101

Microsoft Information Center Fax

  • Moscow: (7) (095) 916-7112

Technical Support Phone

  • Moscow: (7) (095) 745-5445
  • St. Petersburg: (7) (812) 118-3636
  • Novosibirsk: (7) (3832) 119-019
  • Kiev: (380) (044) 2305102

Technical Support Fax

  • Moscow: (7) (095) 916-7112

Saudi Arabia

  • Phone: (966) (1) 218-0808
  • Fax: (966) (1) 218-0809

Technical Support (Personal Operating System and Desktop Applications only)

  • Phone: (800) 124-2255 (toll free within Saudi Arabia)
  • Fax: (800) 124-2255 (Press 2 to send a fax)

Scotland

See United Kingdom.

Singapore

Microsoft Singapore Pte. Ltd.

  • Phone: (65) 337-6088
  • Fax: (65) 337-6788
  • Customer Services Phone: (65) 324-5255
  • Customer Services Fax: (65) 324-6181
  • Product Support Services Phone: (65) 378-3600
  • Product Support Services Fax: (65) 378-3662

Slovakia

Microsoft Slovakia s.r.o. Bratislava Business Center IV Prievozska 6/A 821 09 Bratislava SLOVAK REPUBLIC

  • Phone: (421) -(7) 5341 9841
  • Fax: (421) -(7) 5341 9840
  • Hotline: (421) -(7) 67 296 296
  • Infoservice: (421) -(7) 67 296 297
  • Y2K Infoservice: (421) -(7) 67 296 200

Slovenia

Microsoft d.o.o.

  • Phone: (386) (61) 1 800 800
  • Fax: (386) (61) 1 800 822
  • Technical Support: (386) (61) 185 3449

South Africa

Microsoft South Africa All services.

  • Phone: (27) (11) 257 0000; or 0860225567 (inside South Africa)
  • Fax: (27) (11) 257 0257
  • Technical Support Fax: (27) (11) 257-0424

South East Africa and Indian Ocean Islands

See South Africa.

Spain

Microsoft Iberica SRL

Inside Spain

  • Phone: (902) 197 198
  • Fax: (91) 803 8310
  • Technical Support: (902) 197 198
  • Customer Service: (902) 197 198
  • Fax Back Telephone: (902) 197 198

Outside Spain

  • Phone: (34) (91) 353 69 60
  • Fax: (34) (91) 803 8310
  • Technical Support: (34) (91) 353 69 60
  • Customer Service: (34) (91) 353 69 60
  • Fax Back Telephone: (34) (91) 353 69 60

Sweden

Microsoft AB

  • Phone: (46) (0) (8) 752 56 00
  • Fax: (46) (0) (8) 750 51 58

Technical Support

  • Standard: (46) (0) (8) 752 09 29
  • Priority: (46) (0) (8) 751 09 80
  • Premier: (46) (0) (8) 632 57 01
  • Sales Support: (46) (0) 8 752 56 30

Switzerland

Microsoft ( Schweiz ) GmbH
Richtistrasse 3
8304 Wallisellen/ZH *0848 22 44 88

  • Customer Service Phone: (0848) 858-868
  • Fax: *043 456 44 44

Support

  • Standard Technical Support (German speaking): *0848 802 255
  • Standard Technical Support (French speaking): *0848 800 255
  • Standard Technical Support (Italian speaking): *0848 801 255

Tajikistan

See Russia.

Taiwan

Microsoft Taiwan Corp.

  • Phone: (886) (2) 2504-3122
  • Fax: (886) (2) 2504-3121

Technical Support

  • Phone: (886) (2) 2508-9501
  • Fax: (886) (2) 2508-9575

Thailand

Microsoft (Thailand) Limited

  • Phone: (662) 266-3300
  • Fax: (662) 266-3310

Product Support

  • Phone: (662) 613-7208 through 11
  • Fax: (662) 613-7198

Turkey

Microsoft Turkey

  • Phone: (90) (212) 258 59 98
  • Fax: (90) (212) 258 59 54

Support Hotline

  • Phone: (90) (212) 275 2466
  • Fax: (90) (212) 272 7755

Turkmenistan

See Russia.

United Kingdom

Microsoft Limited

  • Phone: (0870) 60 10 100
  • Fax: (0870) 60 20 100

Microsoft Product Support Services

  • Desktop Applications, Home Products, Personal Operating Systems, and Hardware: (0870) 50 10 100
  • Developer Products: (0870) 50 10 200
  • Business Systems: (0870) 50 10 300
  • Pre-Sales Information: Microsoft Connection (0345) 00 2000

Customers phoning from Ireland should dial 706 5353 for technical support.

Uruguay

Technical Support

  • Phone: (598) (2) 774934
  • Fax: (598) (2) 774935

Uzbekistan

See Russia.

Venezuela

Corporation MS 90 de Venezuela S.A.

  • Fax: (582) 265-0863
  • Technical Support: (582) 993-6755
  • Other information: (582) 265-9922

Wales

See United Kingdom.

©2004 Microsoft Corporation. All rights reserved. Portions ©1995–2001 NetIQ Corporation.

Did you find this information useful? Please send your suggestions and comments about the documentation to momsdk@microsoft.com.


MOM Technical Communities

Newsgroups

You can ask questions and share your knowledge about MOM in the following public newsgroups:

  • microsoft.public.mom
  • microsoft.public.mom.managementpack
  • microsoft.public.mom.managementpack.ad
  • microsoft.public.mom.managementpack.exchange
  • microsoft.public.mom.managementpack.iis
  • microsoft.public.mom.managementpack.sql
  • microsoft.public.fr.mom (French)
  • microsoft.public.tr.mom (Turkish)

Chats

Check the Microsoft Communities Technical Chats page for a schedule of upcoming technical chats about Microsoft Operations Manager and related Microsoft products and technologies.

See Also

Microsoft Web-based Newsreader


Legal Notice and Copyright Notice

This document supports a preliminary release of a software product that may be changed substantially prior to final commercial release, and is the confidential and proprietary information of Microsoft Corporation. It is disclosed pursuant to a non-disclosure agreement between the recipient and Microsoft. This document is provided for informational purposes only and Microsoft makes no warranties, either express or implied, in this document. Information in this document, including URL and other Internet Web site references, is subject to change without notice. The entire risk of the use or the results from the use of this document remains with the user. Unless otherwise noted, the example companies, organizations, products, domain names, e-mail addresses, logos, people, places, and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, e-mail address, logo, person, place, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2004 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Active Directory, SQL Server, Windows, Windows NT, and Windows Server are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.


Microsoft Operations Manager 2005 Licensing

For information about Microsoft® Operations Manager (MOM) licensing, consult your EULA or the MOM Web site.


Concepts

Microsoft® Operations Manager (MOM) 2005 contains new features that provide you with tools to:

  • Define specific sets of computer groups for individual MOM 2005 users.
  • Manage up to 60 computers without installing any software on the individual machines.
  • Enable developers to build connectors to a MOM management server through a MOM Connector Framework (MCF) communications channel.
  • Create views that you can use to set the appropriate level of information filtering for your monitoring.

To learn more about the latest features in MOM 2005, see the following topics:

  • Console Scopes
  • Agent Deployment Security
  • Agentless Monitoring
  • MOM Connector Framework
  • Views


Console Scopes

You can use console scopes to define the set of computer groups that appear in the Microsoft Operations Manager (MOM) Operator console for individual MOM 2005 users.

A console scope consists of a set of computer groups, and a list of MOM 2005 users that can access those computer groups. Because users can be associated with only one console scope at a time, they can be granted access to only one set of computer groups in the Operator console.

Note Note

Console scopes do not provide security that limits user access to computer groups. Console scopes act as filters to make it easier for users to monitor the specific computer groups and computers for which they are responsible.

When a user opens the Operator console, the console program establishes a connection with the last MOM Management Server that it was connected to, and accesses the MOM database to retrieve the console scope associated with the user.

The console scope contains the assigned set of computer groups that the user can access through the Operator console user interface. These computer groups are used to populate the list of computers displayed in the Computer Groups list in the MOM 2005 Operator console tree. This limits the users to seeing only those computers that are in the computer groups associated with their console scope.

Note Note

User console scope settings apply not only to the Operator console, but also to any SDK applications that run under the same account.

Default Console Scopes

Three console scopes are created by default on the MOM Management Server.

  • MOM User Scope - For members of the MOM Users group. By default, this includes all of the computer groups.
  • MOM Administrator Scope - For members of the MOM Administrators group. By default, this includes all of the computer groups.
  • MOM Author Scope - For members of the MOM Authors group. By default, this includes all of the computer groups.

See Also

Create a Console Scope


Agent Deployment Security

Agent installation, or deployment, involves a few security requirements and some security implications. You can choose the security context that the agent runs under. You can deploy agents automatically by creating computer discovery rules, or manually by using the Agent Installation Wizard on the remote computer.

Installing Agents Using the Install/Uninstall Agents Wizard

When you use the Install/Uninstall Agents Wizard, MOM 2005 searches for, and install agents on, computers on your network. The MOM Management Server performs a computer discovery based upon the criteria that you specify in the wizard and always installs (or uninstalls)the agents regardless of the setting on the Automatic Management tab of the Management Server properties.

Installing Agents Using Computer Discovery

When the Management Server discovers new computers, it either installs agents or puts the computers in the Pending Actions folder, depending upon the setting on the Automatic Management tab of the Management Server properties. For more information about this setting and agent deployment in general, see the Microsoft Operations Manager 2005 Deployment Guide.

Account Used for Deployment

If you are using discovery-based agent deployment, you can either provide credentials for an account, or you can use the Management Server's action account. The account you use must be a local administrator on all of the computers to which you are deploying agents. The credential information that is used to install agents is encrypted before being communicated, and then discarded after use.

Using the Management Server’s Action Account

The Management Server’s action account can be used for installing or uninstalling agents on remote computers and updating settings on agents. If you choose to use the account for this purpose, the account must be a domain account with administrator privileges on all target computers to which it is to install agents.

An alternative to using this highly-privileged account is to configure the Management Server’s action account to be a low-privileged account and to either specify credentials for installing agents when you use the Install/Uninstall Agents Wizard, or manually install agents. For more information, see “Security While Deploying Agents." When you want to update agent settings, you can specify the proper credentials in the Update Agent Settings dialog box in the MOM 2005 Administrator console.

Using a domain account

The domain account must have administrator rights on the target computer. The credentials for this account are securely stored and disposed of after use.

Deployment Requirements

The Management Server uses the following to deliver the files needed for agent installation on remote computers and for updating agent settings after installation:

  • The Server Message Block (SMB) port (445/TCP)
  • The RPC port (135/TCP)
  • The DCOM port range

If these ports are disabled on the Management Server or any of the target computers, or the target computer and Management Server are separated by a firewall, you cannot use discovery-based deployment to install agents. You must either enable these ports or install the agents manually. Manual installation does not require these ports. If you disable the File and Printer Sharing for Microsoft Networks and the Client for Microsoft Networks services, the SMB ports are disabled as well.

Deployment Limitations

MOM 2005 agents must be manually installed or updated under the following circumstances:

  • The agent and Management Server are separated by a firewall.
  • The agent is in a non-trusted domain or a workgroup.
  • The agent is running MOM 2000 (the agent must be either manually removed and a MOM 2005 agent installed, or the agent must be upgraded to a MOM 2000 SP1 agent before upgrading to a MOM 2005 agent).
  • The agent cannot be installed on a computer running Microsoft Windows NT® 4.0.
  • The agent cannot be installed on a Microsoft Cluster Services virtual server. You can install an agent on a physical node.

For more information about these limitations, see the Microsoft Operations Manager 2005 Supported Configurations Guide.

Agent Action Account

The agent’s action account is used to gather information about, and run responses on, the managed computer. The MOMHost.exe processes run under the action account, as well as specific threads within the MOMService.exe. Because more than one data provider or response can be running at one time, MOM runs them as separate processes to protect other MOMHost.exe processes, in the event that one of them fails. Therefore, more than one MOMHost.exe process can be running at any given time on the agent.

Local System Account

You can run the agent action account as Local System. Doing this will ensure that all management packs run with the correct user rights; however, the Local System account is an administrator-level account and using it might present a security issue. If an attacker is able to compromise the MOM processes, they can perform any action on the managed computer as Local System and even mount attacks against the Management Server under certain circumstances. Because of this, you can also use a lower-privileged account.

Lower-Privileged Account

You can use a domain or local account (preferred) to run the agent’s action account. Using a lower-privileged context ensures that the managed computer is more secure; however, management packs that require higher-level user rights might not work correctly. For more information, see the “Agent Security” section of the Microsoft Operations Manager 2005 Security Guide.

Agents Outside a Firewall

You can have normal communications between managed computers that are beyond a firewall from the Management Server if you open the TCP/UDP port 1270. However, you must manually install and update these agents. Mutual authentication and the signed and encrypted communications are still available, if a full Active Directory® trust relationship exists between the Management Server domain and the agent domain. Otherwise only signed and encrypted communications are available.

Agents in a Non-Trusted Domain or Workgroup

You can have agents in non-trusted domains or workgroups; however, mutual authentication is not available because, by definition, no two-way trust relationship exists between the Management Server domain and the agent domain. The secure channel is still available, however. You must install and update the agents manually. If the Management Server is configured to require mutual authentication, these agents will not be able to communicate with it.

Security While Deploying Agents

By default, MOM does not secure the files and other data that are used to deploy agents. The deployment process uses both the SMB ports and the RPC/DCOM port range. You can use either SMB packet signing or IPSec to secure the agent deployment.

Note Note

For added security, when you manually install an agent on a remote computer, you must approve the computer before the server allows the computer to connect to it. When the computer tries to connect, the server adds it to the pending actions list. To complete the connection, you must right-click the computer on the pending actions list, and then click Approve.

For more information, see the Using SMB Packet Signing and IP Security (IPSec) sections in the Microsoft Operations Manager 2005 Security Guide."

See Also

MOM Account Overview


Agentless Monitoring

Agentless monitoring is the ability to monitor remote resources in a manner that is similar to how local resources are monitored through providers and responses. If providers that support remote access to resources are used and the responses can execute its logic remotely, then those sets of rules work the same way on both agentless and agent-managed computers. Once identified, Microsoft Operations Manager (MOM) starts monitoring the agentless computer as though there were an agent installed on the computer.

Note Note

The MOM Action account must have administrative user rights on the computers you want to manage without an agent.

The following can be achieved with agentless monitoring:

  • State monitoring
  • Heartbeat - The MOM management server pings the agentless computer at intervals specified by the user. If no response is received, an alert is raised for the Unavailable computer.
  • Service discovery
  • Performance collection - Microsoft Windows NT® performance counter and script-generated
  • Internal service monitoring events
  • Script execution - Including varsets
  • Event collection - Timed, Windows Event Log, WMI, internally-generated, and script-generated
Note Note

The script and command-line responses used in Timed events must leverage the new TargetComputer property in order to access the agentless server.

Agentless monitoring has the following limitations:

  • It does not support application log providers.
  • Descriptions of event log entries on the agentless machine are not displayed on the MOM Management Server unless it has the same EventLogmessages.dll file as the agentless computer. A workaround is to install the software for which you'd like to receive event log entries on the MOM Server.
  • Agentless monitoring does not work through a firewall in typical configurations because agentless network traffic contains remote procedure call (RPC) and Distributed Component Object Model (DCOM).
  • Not all management packs work in agentless mode. Therefore, it might not make operational sense for your management pack to work without an agent if the bulk of the monitoring scenarios leverage providers that are not supported without an agent.


MOM Connector Framework

The Microsoft Operations Manager (MOM) Connector Framework (MCF) is used to connect a MOM management group to other management systems (for example, help desk ticketing systems) or other MOM management groups. This enables the sharing of operations data (for example, alerts and computer discovery information), which can be transmitted across configuration groups or to other management systems. The MCF consists of a managed code assembly running on the MOM Server, along with a thin shim in the form of a Web service.

The MCF also enables developers to build custom connectors that communicate with a MOM Management Server through an MCF communications channel. The MOM-to-MOM Connector is an example of a connector that communicates with MCF on two MOM Management Servers.

The MOM-to-MOM product connector forwards alerts and updates back and forth between two management groups, using MCF as entry points for both groups. The product connector can also forward discovery information.

See Also

Create a MOM-to-MOM Connector for Alert and Discovery Information Forwarding


Views

A view is a filter that you can apply to the information that is obtained from managed computers and displayed in the Microsoft Operations Manager (MOM)Operator console.

Note Note

In MOM 2005, you create and see views in the Operator console, not in the Administrator console. For example, to view membership of computer groups, you must open the Operator console and click Computers and Groups.

By default, the information that is generated by managed computers is derived and filtered as follows:

  • Management groups - The available management groups are determined by the management packs that are installed. The default setting for management groups is Global, which means that all of the information generated by the available management groups is unfiltered.
    Note Note

    Until you import additional management packs, the only available management pack and management group is defined by the MOM Management Pack.

  • Computer groups - The available computer groups are defined by the console scope. By default, all of the computer groups listed for a console scope are used to filter information.

A third level of filtering is the available views in the Navigation pane. The views filter, used in combination with the management and computer group filters, displays all of the information generated by the managed computers in the Results pane of the Operator console.

You can use the management groups, computer groups, available views, and custom views to create the appropriate level of information filtering for your monitoring.


Architecture Overview

This overview introduces the major elements of the Microsoft® Operations Manager (MOM) architecture and user interfaces.

Architecture Elements

The following table lists these elements and describes their role in MOM monitoring, management, and reporting activities.

Component | Description
MOM Database | A Microsoft SQL Server™ database that stores configuration information and operations data that is produced by the monitoring process.
Data Access Server (DAS) | A COM+ application that manages access to the MOM Database
MOM Management Server | A computer that is responsible for monitoring and managing other computers. The MOM Management Server consists of the DAS, and the MOM Server and MOM Agent components. The MOM Management Server is an essential part of a management group (See Note below.)
MOM Server | A component that manages the MOM Agents that monitor computers in a MOM environment.
MOM Agent | A component that monitors and collects data from a managed computer.
MOM Reporting Database | A SQL Server database that collects and stores the operations data contained in the MOM Database.
MOM Reporting Server | A component that uses SQL Server Reporting Services to generate and display reports.
MOM Administrator console | The primary user interface that is used for all aspects of configuring and administering MOM.
MOM Operator console | A user interface that provides access to the operations data.
MOM Reporting console | A user interface that provides access to the operational and historical reports.
MOM Web console | A user interface that provides Web-based access to a subset of operational views - Alerts, Computers, and Events.
Note Note

A management group is a MOM installation that includes one MOM Database, one or more MOM Management Servers, and multiple MOM Agents that are installed on the physical computers being monitored. It can also include multiple computers that are monitored using agentless monitoring.

User Interfaces

MOM 2005 has the following user interfaces:

  • MOM Administrator console
  • MOM Operator console
  • MOM Reporting console
  • MOM Web console

See Also

Architecture Details | MOM Administrator Console | MOM Operator Console | MOM Reporting Console | MOM Web Console


MOM 2005 Architecture Details

MOM Database

Microsoft® Operations Manager (MOM) uses the OnePoint database, which is hosted by Microsoft SQL Server™, to store two kinds of information: configuration data and operations data.

Configuration Data

Configuration data contains the list of rule groups, rules, data providers, scripts, computer group definitions, computer attribute definitions, service discovery schema, and view definitions for the MOM user interfaces. This data is derived from the Management Packs that are installed on a MOM Management Server.

Operations Data

Operations data is collected by MOM discovery and monitoring processes. This data is derived from performance counters, events, alerts, and discovery.

The MOM Database is accessed by the Data Access Server (DAS) and the MOM Reporting database, which uses Data Transformation Services (DTS) jobs to get a copy of the operations data.

Data Access Service

The Data Access Service (DAS) is a server-based COM+ application that is hosted by the DLLHOST process. The DAS exposes a set of Distributed Component Object Model (DCOM) objects and communicates that control access to the MOM Database. The COM interfaces are associated with COM+ roles and provide authentication and authorization of the identities that access the interfaces.

MOM Agent

Remote and local agents collect data and send it to the MOM Management Server computer.

Remote Agent

MOM Agent runs on every computer that is monitored by an agent. Agents are either installed automatically by the MOM Server, which uses push installation, or manually on the agent-managed computer.

When monitoring is enabled, MOM Agent collects event data, performance data, and other possible indicators of problems on a managed computer. If a problem is detected, MOM Agent generates an alert. MOM Agent also discovers properties about the managed computer. When it finishes collecting information, MOM Agent sends the operations data for the managed computer to the MOM Management Server.

In addition to collecting data, MOM Agent continuously sends heartbeat messages to the MOM Server to indicate that MOM Agent is functioning on the managed computer.

The communication between the MOM Agent and MOM Server is always initiated by the agent. The agent-server communication channel uses the TCP/IP protocol and communications are secure, authenticated, and encrypted. In a trusted Active Directory® environment, communications are also signed.

Local Agent

MOM Agent is used to self-monitor the Management Server computer. The differences in functionality between the local agent and a remote agent are:

  • The local agent does not provide a heart beat.
  • The local agent monitors agentless managed computers.

MOM Server

MOM Server functions as a proxy between the DAS and all the MOM Agents. MOM Server is responsible for initiating computer discovery, push-installing the MOM agents, sending and receiving configuration data from agents, consolidating agent data, and writing data to the MOM Database by using the DAS.

MOM Management Server

The MOM Management Server is a collection of components that are installed on the same computer. The key components are the DAS, MOM Server, and MOM Agent.

The MOM Management Server provides the following services:

  • Provides data access services for the user interface and the MOM runtime service
  • Installs, uninstalls, and manages the lifetime of MOM Agent
  • Distributes configurations to remote agents
  • Monitors the availability of managed computers
  • Receives operations data submitted by the agents
  • Processes operations data and inserts this data in the MOM Database
  • Monitors agentless managed computers
  • Self-monitors the MOM Management Server
Note Note

Only one Management Server is required for a management group, but you can install additional MOM Management Servers to provide increased availability and scalability.

MOM Reporting

The MOM reporting technology implemented in MOM 2005 is based on SQL Server Analysis services and SQL Server Reporting services, which use data in the MOM Reporting database to create reports that are viewed in the Reporting console.

The data is copied from the MOM Database by using Data Transformation Services (DTS) jobs.

MOM Reporting Server

The MOM Reporting Server interacts with SQL Server Reporting services to display reports in the Reporting console.


User Interface Overview

Microsoft® Operations Manager (MOM) 2005 provides four interfaces for working with different elements of the MOM feature set. These interfaces are:

  • Administrator console
  • Operator console
  • Reporting console
  • Web console

Access to, and the ability to view and alter configuration settings is determined by which console the user is using and which MOM account group the user belongs to.

See Also

MOM Account Overview | MOM Account Details


Administrator Console

The Microsoft® Operations Manager (MOM) Administrator console is hosted in a Microsoft Management Console (MMC) snap-in. The console window is divided into two panes, the Navigation pane on the left side of the screen, and the Detail pane on the right side of the screen.

There is increased functionality in the MOM 2005 Administrator console. The Detail pane also uses hyperlinks to provide:

  • Launch points for wizards
  • Navigation links to position the cursor in the Navigation pane
  • Expandable and collapsible reports for selected nodes in the Navigation pane
  • A link that opens the Operator console
  • A link that opens the Reporting console
  • A link that opens the Web console

Using the Navigation and Detail Panes

Navigation pane: Microsoft Operations Manager (Default) node
When you click this node, the Detail pane is divided into four horizontal areas: Setup and Configuration Tasks, Operations, Management Packs, and Administration. The following tables describe the available links for each area and what they do.

Setup and Configuration Tasks

Link name | Action
Install/Uninstall Agents Wizard | Opens the wizard that you use to install or uninstall agents.
Manage Computers Positions the cursor at the Computers node (Administration) in the Navigation pane. The Detail pane for this node provides links to nodes from which you can view and manage computers. The following links are available:
  • All Computers
  • Management Servers
  • Unmanaged Computers
  • Agentless Managed Computers
  • Agent-managed Computers
  • Windows Server Cluster Computers
  • Pending Actions
  • Computer Discovery Rules
Global Settings | Positions the cursor at the Global Settings node (Administration) in the Navigation pane.
Import/Export Management Packs | Opens the wizard that you use to import and export Management Packs, as well as import reports.
Manage Operators | Positions the cursor at the Operators node (Management Packs/Notification) in the Navigation pane.
Manage Notification Groups | Positions the cursor at the Notification Groups node (Management Packs/Notification) in the Navigation pane.

Operations

Link name | Action
Start Operator Console | Opens the Operator console.
Start Reporting Console | Opens the Reporting console.
Start Web Console | Opens the Web console.

Management Packs

Link name | Action
Management Packs | Positions the cursor at the Management Packs node in the Navigation pane.

Administration

Link name | Action
Administration | Positions the cursor at the Administration node in the Navigation pane.
Navigation pane: Management Packs node
When you click this node, the Detail pane provides summary information and links. The following summary information is displayed for the management group.
  • The number of rule groups
  • The number of Management Pack rules
  • The number of custom rules
  • The number of computer groups
  • The number of scripts
The following table describes the available links and what they do.
Link name | Action
Import/Export Management Packs | Opens the wizard that you use to import and export Management Packs, as well as import reports.
Computer Groups | Positions the cursor at the Computer Groups node (Management Packs) in the Navigation pane.
Discovered Groups | Positions the cursor at the Discovered Groups node (Management Packs) in the Navigation pane.
Rule Groups Positions the cursor at the Rule Groups node (Management Packs) in the Navigation pane. The Detail pane for the Rule Groups node enables you to:
  • Print any information that is displayed in the Detail pane
  • Expand and drill down into rule group information for any Management Packs that are installed
  • Obtain information about the Microsoft Operations Manager Connector Feature pack (when the feature pack view is open, you can use links to navigate to nodes in the Navigation pane that relate to the Connector feature pack).
Tasks | Positions the cursor at the Tasks node (Management Packs) in the Navigation pane.
Notification | Positions the cursor at the Notification Groups node (Management Packs/Notification) in the Navigation pane.
Scripts | Positions the cursor at the Scripts node (Management Packs) in the Navigation pane.
Computer Attributes | Positions the cursor at the Computer Attributes node (Management Packs) in the Navigation pane.
Providers | Positions the cursor at the Providers node (Management Packs) in the Navigation pane.
Search Results | Positions the cursor at the Search Results node (Management Packs/Rule Groups) in the Navigation pane.
Navigation pane: Administration node
When you click this node, the Detail pane provides summary information and links. The following summary information is displayed for the management group.
  • The number of MOM Management Servers
  • The number of agent-managed computers
  • The number of agentless-managed computers
  • The number of unmanaged computers
  • The number of Windows Server Cluster Computers
  • The total number of computers
The following table describes the available links and what they do.
Link name | Action
Install/Uninstall Computers Wizard | Opens the wizard that you use to install or uninstall agents.
Computers Positions the cursor at the Computers node (Administration) in the Navigation pane. The Detail pane for this node provides links to nodes where you can view and manage computers. The following links are available:
  • All Computers
  • Management Servers
  • Unmanaged Computers
  • Agentless Managed Computers
  • Agent-managed Computers
  • Windows Server Cluster Computers
  • Pending actions
  • Computer Discovery Rules
Console Scopes | Positions the cursor at the Console Scopes node (Administration) in the Navigation pane.
Global Settings | Positions the cursor at the Global Settings node (Administration) in the Navigation pane.
Product Connectors | Positions the cursor at the Product Connectors node (Administration) in the Navigation pane.

See Also

Configuring and Administering MOM


Operator Console

Use the Operator console to work with managed computers. Within the bounds of the console scope that you are using, you can view information about managed computers, create new views, resolve alerts, assign alerts, and run tasks.

Console Layout Overview

The default layout and settings for the Operator console are summarized in the following table.

Item Description Comment
Menu bar The available options are:
  • File - Open, Save, Save As, Console Settings, and Exit
  • Edit - Cut, Copy, Copy Formatted Data, and Paste
  • View - Navigation Pane, Detail Pane, Tasks Pane, Properties, Personalize, Refresh, Auto-refresh, Console Refresh, Toolbars, and Status Bar
  • Go - Alerts, State, Events, Performance, Computers and Groups, Diagram, My Views, Public Views, Back, Forward, Home, Open Administrator Console, and Open Reporting Console
  • Help - Microsoft Operations Manager Help, Microsoft Operations Manager Online, and About Microsoft Operations Manager 2005
 The ability to use the available commands in the menu bar, toolbars, and views is determined by:
  • The console scope that you are using
  • Whether a feature is installed, for example, the Reporting console
  • The view that you are using
Toolbars The available toobars are:
  • Standard (left to right)- Forward, Refresh, Home, Pause Autorefresh, and Tasks
  • Computer Groups - A drop down list that shows the computer groups associated with the console scope that you are using
  • View - Depending on the view type, the icons on this toolbar change. For example, for the State View type, there are icons for State View Properties and Personalize View. However, for the Events view type, the toolbar includes icons for Event View Properties, Personalize View, and Edit view time filter.
  • State Indicator (left to right)- Critical State Counts, Warning State Counts, and Successful State Counts
 All toolbars are enabled by default.
Main viewing area The main viewing area is divided into four panes that are displayed below the toolbars:
  • Navigation - Changes views, navigates the view hierarchy, and works with items in the view hierarchy
  • Results pane - Displays dynamic view results.
  • Detail pane - Displays the details for each result.
  • Tasks - for launching the tasks provided for the console scope that you are using
 All the panes are enabled by default.

Main Viewing Area

With all of the panes enabled (the default setting), the main viewing area is divided into four panes. From left to right, they are: the Navigation pane, the Results pane, the Detail pane, and the Tasks pane. You can resize all of the panes by clicking and dragging on a pane border to make it narrower or wider.

You can also remove a pane from the main viewing area or re-enable its display.

To turn off or enable pane display

  • Navigation pane - On the View menu, clear or select the Navigation Pane check box. You can also press ALT+F1 to toggle the display of this pane.
  • Detail pane - On the View menu, clear or select the Detail Pane check box. You can also press CTRL+D to toggle the display of this pane.
  • Tasks pane - On the View menu, clear or select the Tasks Pane check box. You can also press CTRL+T (or if the Standard toolbar is visible, click the Tasks icon) to toggle the display of this pane.
    Note Note

    The Results pane is always visible and displays the results of the active view.

Navigation Pane

The Navigation pane is divided into two parts. The upper part displays a console tree for the current view. The default is the Alert views.

The area below the console tree contains navigation buttons. You can reduce or expand this area by dragging the top of the frame.

Select the view type that you want to work with by clicking the appropriate navigation button. The navigation buttons are:

  • Alerts
  • State
  • Events
  • Performance
  • Computers and Groups
  • Diagram
  • My Views
  • Public Views

Results Pane

When all four panes are visible, the Results pane is in the upper portion of the center part of the screen, to the right of the Navigation pane. The Results pane displays the results of a view. These results are based on the criteria for the view, and the management groups and computer groups that are selected for the view.

Detail Pane

When all four panes are visible, the Detail pane is in lower portion of the center part of the screen, below the Results pane.

In most cases, the Detail pane provides detailed information for a specific result in the upper portion of the pane. No Detail pane appears for the Diagram and Computer Attribute views.

The following table summarizes the additional information that is provided for each result in the Detail pane. This information is displayed in tabs or in table format.

View | Format and information
Alerts | Tabs: Properties, Custom Properties, Events, Product Knowledge, Company Knowledge, and History
State | Table: Computer, Open Alerts, Events, and Last Heartbeat
Events | Tabs: Properties, Alerts, and Parameters
Performance | If graph plotted, Table: Show, Line Color, Domain, Computer, Performance Object, Performance Instance, Performance Counter, and Data Points
Computers and Groups | Computer Groups Tabs: Parents (in scope) and Rule Groups. Computers Tabs: Attributes, Rule Groups, Computer Groups, and Roles
Computer Attributes | Not applicable
Diagram | Not applicable
My Views | Determined by the type of custom view that you create
Public Views | Determined by what view you select in the console tree

Tasks Pane

When all four panes are visible, the Tasks pane is on the right side of the screen, to the right of the Results pane.

The Tasks pane displays a hierarchical view of the default tasks that are available for the console scope that you are using. Custom tasks that are created for a console scope are also displayed in the Tasks pane.

See Also

Open the Operator Console | Work with Managed Computers


Reporting Console

Use the Microsoft® Operations Manager(MOM) Reporting console to view reports that are stored in the MOM Reporting Server database.

You can open the Reporting console from either the MOM Administrator console or the MOM Operator console.

To open the Reporting console from the Administrator console

  1. In the Navigation pane, click the Operations node.
  2. In the Results pane, click Start Reporting Console.

To open the Reporting console from the Operator console

  • From the Go menu, click Open Reporting Console.
Note Note

If the Reporting console is inactive, the link to open the console, either in the Administrator console or Operator console, is unavailable.

See Also

Using MOM Reporting


Web Console

Use the Microsoft Operations Manager (MOM) 2005 Web console to view, troubleshoot, and resolve alerts remotely.

You can open the Web console from the MOM Administrator console.

To open the Web console from the Administrator console

  1. In the Navigation pane, click the Microsoft Operations Manager node.
  2. In the Detail pane, click Start Web Console.
Note Note

If the Web console is inactive, the link to open the console is unavailable.

You can also open the Web console from Microsoft Internet Explorer 6.0 or later. To open the Web Console from the browser, in the Address bar, type http://[computername]:1272.


MOM Group Overview

During installation, the Microsoft® Operations Manager (MOM) setup program creates local groups on the computer where MOM Server is installed.

MOM uses five groups to manage access to MOM features. These groups are:

  • MOM Administrators
  • MOM Authors
  • MOM Users
  • SC DW DTS
  • SC DW Reader

The permissions associated with each group are designed with user roles in mind. For example, a member of MOM Authors cannot alter global settings or add managed computers, but can export Management Packs or create rules.

A sixth group, MOM Service, is intended solely for use by MOM services and processes.

Note Note

Individuals should not be a member of this group.

See Also

MOM Groups and Accounts Details


MOM Group and Account Details

The local groups created by Microsoft® Operations Manager (MOM) are used to manage access to MOM features. The following table lists these groups and describes how they are used.

Group | Description
MOM Administrators | Members of this group have full access to the entire MOM feature set and MOM consoles. They can view and change settings in the MOM Operator console and MOM Administrator console. Members can also view and change settings for all nodes (Operations, Management Packs, Administrator.)
MOM Authors | Members of this group have full access to the Operator console and have limited access to nodes in the Administrator console. They can view and change settings for the following nodes: Operations and Management Packs.
MOM Users | Members of this group can view and modify settings in the Operator console and in the Operations node of the Administrator console.
SC DW DTS | Members of this group can transfer operations data from the MOM Database to the MOM Reporting Database, and modify information in the MOM Reporting Database. The Data Transformation Services (DTS) account is added to this group when MOM Reporting is installed. If you change the account used for the DTS, you must add the new account to this group.
SC DW Reader | Members of this group can view information in the Reporting database.
MOM Service | Intended solely for use by MOM services and processes. The DAS account is added to this group when the MOM-to-MOM Product Connector is installed. Do not add individuals to this group.

The type of installation that you choose determines which of the local groups described in the preceding table are created. The MOM setup program creates only the groups that are required for the MOM components that you install on a computer. The following table lists the different types of installation, and the groups that are created by each one.

Installation type | Local groups created
MOM user interface only installation | None
MOM Management Server only installation
  • MOM Service
  • MOM Administrators
  • MOM Authors
  • MOM Users
MOM Database Server only installation | SC DW DTS
MOM Reporting only installation
  • SC DW DTS
  • SC DW Reader
MOM agent only installation | None

MOM uses several user accounts to run the MOM services and processes. The following table lists these accounts and describes how they are used.

Account | Description
Data Access Service (DAS) | The DAS component runs on the Management Server and accesses and updates data in the MOM Database. If the Management Server and MOM database are installed on different computers, the account used for the DAS can be a domain user account. If the Management Server and MOM Database are installed on the same computer, the DAS account can be the LocalService account. Lastly, the DAS account must have “db_owner” access to the MOM database on the MOM Database Server, and be added to the Microsoft® SQL Server™ Security Login with 'Permit' server access.
MOM to MOM Product Connector (MMPC) | The MMPC runs as a Microsoft Windows NT® service on the Management Server and uses DAS to access the database on the source management group and the Internet Information Services (IIS) Web service on destination management. The MMPC account should be a member of the MOM Service Windows NT group on both the source and destination management groups. By default, MMPC uses the same account specified during setup for DAS, but the user can change it.
Management Server’s Action Account | The Management Server’s Action account is used to gather information about, and run responses on, the Management Server and can be used for installing and uninstalling agents on remote computers and updating settings on agents.
Agent’s Action Account | The agent’s Action account is used to gather information about, and run responses on, the managed computer. You can use an account with low permissions for both the agent and the Management Server Action accounts.


Configuring and Administering MOM

Use the MOM Administrator console to configure and administer MOM. In order to view all the nodes in the console Navigation pane and have access to all administration tasks, the account that you are using must be a member of the MOM Administrators group.

Note Note

What you see in the Navigation pane of the MOM Administrator console, and the actions that you can take, are determined by membership in the MOM local groups, as follows:

  • MOM Authors see the root node, the Operations node, and the Management Packs node.
  • MOM Users see the root node and the Operations node.


Deploy Agents to a Management Group

You can add a computer or computers to a management group by using the MOM Administrator console.

After you finish installing Microsoft Operations Manager (MOM), the Detail pane of the Microsoft Management Console (MMC) displays three quick-start Administrative Setup Tasks for completing your MOM installation. The first option, Install/Uninstall Agents Wizard, enables you to specify computers or use discovery parameters to add computers to the your management group.

To add a computer to a management group

  1. In the Detail pane, to launch the Install/Uninstall Agents Wizard, click Install Agents.
  2. Follow the instructions in the Install/Uninstall Agents Wizard.
Note Note

The Install/Uninstall Agents Wizard can also be launched from several other places in the MOM Administrator console, including: the root Microsoft Operations Manager node in the Navigation pane, the Administration node, and the Computers subnode and all of its children. If you want to launch the wizard from these other locations, click the Install/Uninstall Agents Wizard link.

Although agents are installed on specified or discovered computers by default, the Install/Uninstall Agents Wizard queues agent installation in Pending Actions (in the Navigation pane of the Administrator console, below the Administration/Computers node.) After an interval, the agents are installed and the discovered computers appear in the Agent-managed Computers list. To see this list, expand the Administration node down to, and including, computers. Click Agent-managed Computers. The discovered computers are listed in the Detail pane.

Related Concepts

Agentless Monitoring

See Also

Install Agents | Install/Uninstall Agents Wizard | Installing an Agent Using the Command Line


Install Agents

Use the Install/Uninstall Agents Wizard to install agents on to computers in your management group.

To install an agent

  1. In the MOM Administrator console, click the root, and then click theAdministration or Computers node.
  2. In the Detail pane, click Install/Uninstall Agents Wizard.
  3. If you have more than one Management Server in the management group, the Select Management Server page appears. Select a Management Server from the list, and then click Next.
    Note Note

    You can add computers to any Management Server in the management group by running the Install/Uninstall Agents Wizard. The Management Server that you select will be the primary Management Server for the managed computers on which you install agents.

  4. If you have previously installed agents on the selected Management Server, the Install or Uninstall Agents page appears. Leave the Install Agents option selected, and then click Next.
  5. On the Method for Discovering Computers and Installing Agents page, click Browse for or type in specific computer names, or click Search Criteria, and then click Next.
  6. If you selected the Browse for or type in specific computer names option in Step 5, complete the following steps:
    1. On the Computer Names page, click Browse to locate computers on your network, or type the names of computers on which you want MOM to install agents.
      Note Note

      You can use Fully Qualified Domain Names (FQDN) or NetBIOS names. If you have the Active Directory® directory service, you should use FQDN names. If you use NetBIOS names, MOM automatically contacts each of those computers to verify that they exist. This slows down computer discovery.

    2. Click Next and proceed to Step 8.
  7. If you selected Search Criteria in Step 5, complete the following steps:
    1. On the Computer Discovery Rules page, click Add.
    2. In the Computer Discovery Rule property dialog box, specify the rule properties. For more information about the rule properties, see Computer Discovery Rule.
    3. Repeat the previous two steps for each computer or group of computers on which you want to install agents.
    4. Click Next and proceed to Step 8.
  8. On the Agent Installation Permissions page, leave the Management Server Action Account selected, or click Other and type a user name and password for the account.
    Note Note

    If you specify another account, that account must have administrative credentials on all computers that you are installing agents on.

  9. On the Agent Action Account page, leave the Local System option selected, or click Other and type a user name and password for the account.
  10. On the Agent Installation Directory page, type the local directory where the MOM agent will be installed on the targeted computers. The default directory is ProgramFiles\Microsoft Operations Manager 2005. Click Next.
  11. On the Completing the Install/Uninstall Agents Wizard page, review your selections. If you want to monitor the agent installation progress, select the Show task progress check box, and then click Finish.


Install an Agent Using the Command Line

You can install agents by providing input through the command-line.

Available Command-line Options

The table below lists the command-line options that are available when you are installing a MOM Agent by using the Agent Setup Wizard (MOMAgent.msi).

Option | Description
INSTALLDIR | The destination folder for installing the agent. The default value is ProgramFiles\Microsoft Operations Manager 2005.
CONFIG_GROUP | The management group name.
MANAGEMENT_SERVER | The primary Management Server for the agent.
ADD_CONFIG_GROUP | Used to add the agent to another management group for multi-homing.
AM_CONTROL | The agent control level: either Full or None.
ACTIONSUSER | The user name for the MOM Agent Action Account, if you want to use an account other than the default Local System account.
ACTIONSPASSWORD | The password for the MOM Agent Action Account, if you want to use an account other than the default Local System account.
ACTIONSDOMAIN | The domain of an account to use for the MOM Agent Action Account. If you want to use an account other than the default Local System account.
CHANGE_CONFIG_GROUP | Used to change the agent management group. Set this value to 1, and then indicate the management group using the CONFIG_GROUP option.
REMOVE_CONFIG_GROUP | Used to remove an agent from a management group. Set this value to 1, and set the management group to remove by using the CONFIG_GROUP option. When the last management group is deleted from the agent configuration, the agent is uninstalled.
SECURE_PORT | The secure port to use for agent communication. The default value is 1270.
REQUIRE_AUTH_COMMN | Enables mutual authentication. To enable mutual authentication, set this value to 1. If this value is set to zero, mutual authentication is not used. The default value is zero.
ALT_MANAGEMENT_SERVER | Another Management Server in the same management group. The agent contacts this Management Server only if the primary Management Server (MANAGEMENT_SERVER) is unavailable during the installation process.

Example command-line syntax

  • Agent with control level of None installed in the default location using an account other than the default Local System account for the MOM Agent Action Account.
    msiexec /qn /I \\[location of setup program]\MOMAgent.msi CONFIG_GROUP="group_name" MANAGEMENT_SERVER="server_name" AM_CONTROL="None" ACTIONSUSER="account_name" ACTIONSPASSWORD="account_password" ACTIONSDOMAIN="domain_name"
  • Agent with control level of Full installed in the default location using an account other than the default Local System account for the MOM Agent Action Account.
    msiexec /qn /I \\[location of setup program]\MOMAgent.msi CONFIG_GROUP="group_name" MANAGEMENT_SERVER="server_name" AM_CONTROL="Full" ACTIONSUSER="account_name" ACTIONSPASSWORD="account_password" ACTIONSDOMAIN="domain_name"

To run the Agent Setup Wizard

  1. Log on to the agent computer with an administrator account.
  2. Close all open applications.
  3. Run the Agent Setup Wizard from the command line.

See Also

Computer Discovery Rule Dialog Box | Create and Run a New Computer Discovery Rule


Get Information About a Managed Computer

Use the Computers node and its subnodes in MOM Administrator console to add computers, view managed computers, change the way computers are managed, and obtain information about a single computer.

Use the following subnodes to provide information about computers in a management group:

  • All Computers
  • MOM Management Servers
  • Unmanaged Computers
  • Agentless Managed Computers
  • Agent-managed Computers

To obtain a list of managed computers

  1. In the Navigation pane, click Administration.
  2. In the Detail pane, click Computers, click All Computers, and then click MOM Management Servers, or the link that describes how computers are managed. For example, Agentless Managed Computers.

To obtain information about a single computer

  1. In the Detail pane, right-click a computer name, and click Properties.

See Also

Change an Unmanaged computer to an Agentless managed computer | Change an Unmanaged computer to an Agent-managed computer | Change an Agent-managed computer to an Unmanaged computer


Change an Unmanaged Computer to an Agent-managed Computer

Use the MOM Administrator console to change how computers are managed. To change an unmanaged computer to an agent-managed computer, you must install an agent on the computer.

To change an unmanaged computer to an agent-managed computer

  1. In the Navigation pane, expand Administration, and click Computers.
  2. In the Detail pane, click Unmanaged Computers, right-click the name of the unmanaged computer with which you want to work, and click Install Agent to start the Install Agent Wizard.
  3. Follow the instructions in the wizard to install the agent on the computer.

After the agent is installed, the computer is listed in the Navigation pane in the Agent-managed Computers node of Administration/Computers.

See Also

Install/Uninstall Agents Wizard


Change an Unmanaged Computer to an Agentless Managed Computer

Use the MOM Administrator console to change how computers are managed. To change an unmanaged computer to an agentless computer, you must initiate agentless managed on the computer.

To change an unmanaged computer to an agentless managed computer

  1. In the Navigation pane, expand Administration, and click Computers.
  2. In the Detail pane, click Unmanaged Computers, and right-click the name of the unmanaged computer with which you want to work.
  3. Click Start Agentless Management to begin agentless management.
  4. You are prompted to confirm that you want to start agentless management. Click Yes.

After agentless management is started, the computer is listed in the Navigation pane in the Agentless Computers node of Administration/Computers.

See Also

Install/Uninstall Agents Wizard


Change an Agent-managed Computer to an Unmanaged Computer

Use the MOM Administrator console to change how computers are managed. To change an agent-managed computer to an unmanaged computer, you must uninstall the agent on the agent-managed computer.

To change an agent-managed computer to an unmanaged computer

  1. In the Navigation pane, expand Administration, and click Computers.
  2. In the Detail pane, click Agent-managed Computers to display the list of agent-managed computers.
  3. Right-click the name of the agent-managed computer with which you want to work, and click Uninstall Agent.
  4. In the Uninstall Agents dialog box, click OK to uninstall the agent.

After the agent is removed from the computer that you worked with, the computer is listed in the Navigation pane in the Unmanaged Computers node of Administration/Computers.

See Also

Install/Uninstall Agents Wizard


Change an Agent-managed Computer to an Agentless Managed Computer

Use the MOM Administrator console to change how computers are managed. To change an agent-managed computer to an agentless managed computer, you must uninstall the agent on the agent-managed computer to begin agentless management.

To change an agent-managed computer to an agentless managed computer

  1. In the Navigation pane, expand Administration, and click Computers.
  2. In the Detail pane, click Agent-managed Computers to display the list of agent-managed computers.
  3. In the Detail pane, right-click the name of the agent-managed computer with which you want to work, and click Uninstall Agent.
  4. In the Uninstall Agents dialog box, click OK to uninstall the agent.
  5. In the Navigation pane, click Unmanaged computers. The now-unmanaged computer should appear in the Detail pane.
  6. In the Detail pane, right-click the computer, and then click Start Agentless Management to start agentless management.
  7. When the Are you sure you want to start remotely managing... message appears, click Yes.

After the agent is removed, the computer is listed in the Navigation pane in the Agentless Managed Computers node of Administration/Computers.

See Also

Install/Uninstall Agents Wizard


Change an Agentless Managed Computer to an Unmanaged Computer

Use the MOM Administrator console to change how computers are managed. To change an agentless managed computer to an unmanaged computer, you must uninstall the agent on the agent-managed computer.

To change an agentless managed computer to an unmanaged computer

  1. In the Navigation pane, expand Administration, and click Computers.
  2. In the Detail pane, click Agentless Managed Computers, right-click the name of the agent-managed computer that you want to work with, and then click Uninstall Agent to start the Uninstall Agent Wizard.
  3. Follow the instructions in the wizard to uninstall the agent on the agent-managed computer.

After agentless management is stopped, the computer is listed in the Navigation pane in the Unmanaged Computers node of Administration/Computers.

See Also

Install/Uninstall Agents Wizard


Delete an Unmanaged Computer

You can delete only an unmanaged computer, you cannot delete an agent-managed or agentless-managed computer. Before deleting an unmanaged computer, you must uninstall the MOM Agent. When you delete a computer, you delete all of the data associated with that computer, such as performance data, events, alerts, attributes, and service discovery data. Remember to delete any computer discovery rules that match the computer you are deleting; otherwise MOM will discover it again.

To delete an unmanaged computer

  1. In the Navigation pane, expand the Administration node, expand the Computers node, and then click Unmanaged Computers.
  2. In the Detail pane, right-click the computer you want to delete, and then click Delete.
  3. When the prompt appears asking if you are sure you want to delete the selected computer, click Yes.

See Also

Change an Agent-managed Computer to an Unmanaged Computer | Install/Uninstall Agents Wizard


Create and Run a New Computer Discovery Rule

Computer discovery rules specify the criteria that are used to add computers to a management group. By default, agents are automatically installed on computers that meet these criteria when computer discovery is run.

After you run the Install/Uninstall Agents Wizard, the rule applied to discovered computers is listed in the Navigation pane, under the Administration/Computers node.

There may be circumstances in your environment where you do not want to install agents on a new computer, but want to discover a computer and put it in unmanaged mode, or use agentless management. You can create a computer discovery rule to achieve this result.

Use the MOM Administrator console to create a computer discovery rule.

To create a computer discovery rule

  1. In the Navigation pane, expand Administration, and click Computers.
  2. In the Detail pane, click Computer Discovery Rules to display the list of discovery rules.
  3. In the Navigation pane, right-click Computer Discovery Rules, and then click Create Computer Discovery Rule.
  4. In the Computer Discovery Rule dialog box, specify the criteria for computer discovery and agent installation.
  5. Click OK to save the rule.

After you create the rule, you can run computer discovery to add computers to the management group.

Note Note

You can also wait and let MOM discover the new computers. To learn more about computer discovery, see Global Settings Properties: Discovery

To run computer discovery

  1. In the Detail pane, click on the rule or rules that you want to use.
  2. In the Navigation pane, right-click Computer Discovery Rules, and then click Run Computer Discovery Now.

See Also

Computer Discovery Rule


Create a MOM-to-MOM Connector for Alert and Discovery Information Forwarding

Use the MOM Administrator console to create a new console scope for your management group.

To create a MOM-to-MOM Product Connector

  1. In the Navigation pane, click the Administration node.
  2. In the Detail pane, click Product Connectors.
  3. In the Navigation pane, right-click Product Connectors, and click Create MOM-to-MOM Connection to launch the Create MOM-to-MOM Connector Wizard.
  4. Follow the instructions in the Create MOM-to-MOM Connector Wizard.

Related Concepts

MOM Connector Framework


Configure Global Settings

Use the MOM Administrator console to configure the available global settings . You must be a member of the MOM Administrators group to change any of the global settings.

To configure global settings

  1. In the Navigation pane, click Microsoft Operations Manager.
  2. In the Detail pane, click Administration, and then click Global Settings.
    Note Note

    If you right-click the Global Settings node in the Navigation pane, you can edit three of the most common global settings by picking one of the following: Global Settings, Management Server Properties, or Agent Settings.

  3. In the Detail pane, right-click the global setting that you want to change, and then click Properties.


Create a New Console Scope

Use the MOM Administrator console to create a new console scope for your management group.

To create a new console scope

  1. In the Navigation pane, click the Administration node.
  2. In the Details pane, click Console Scopes.
  3. In the Navigation pane, right-click Console Scopes, and then click Create Console Scope to launch the Create Console Scope Wizard.
  4. Follow the instructions in the Create Console Scope Wizard.

Related Concepts

Console Scope

See Also

Create Console Scope Wizard


Synchronize Agent Communication Settings

When the communication port number is changed, or mutual authentication is turned on or off , the communication channel between the MOM Management Server and its agents no longer works.

In order to restore communications using new settings, communication settings on all of the Management Servers and agents in a management group must be synchronized.

To synchronize agent communication settings

  1. In the Navigation pane, click Microsoft Operations Manager.
  2. In the Detail pane, click Manage Computers, click Agent-managed Computers, and select all agent-managed computers.
  3. Right-click and click All Tasks.
  4. Click Update Agent Settings to modify the agent communication settings, or change the agent action account.
  5. Click OK to run the task.
    Note Note

    Unless you configured custom accounts, accept the default settings for Account to use for updating agent settings and Agent provider and response account.


Update Your MOM Management License Information

If you receive an alert about license non-compliance, you can update the number of MOM management licenses that your organization has acquired.

If this is a valid non-compliance issue, you can resolve it by using the MOM 2005 Administrator Console to update your license information.

    To update your license information

    1. In the navigation pane, expand the Microsoft MOM management tree down to and including the Global Settings node.
    2. In the details pane, right-click Licenses and then click Properties.
    3. Use the Licenses properties page to change the number of MOM management licenses that you have.


Management Packs

Management Packs serve as a container and distribution vehicle that is used to deploy the configuration information that is required for managing computers and applications.

A Management Pack consists of a collection of rules, knowledge, and public views. The Management Pack makes it possible to collect a wide range of information from different sources. You can use Management Packs to determine how a MOM Management Server collects, handles, and responds to data.

The following information is contained in a Management Pack:

  • A list of rule groups that contain rules.
  • A list of Rules for each Rule Group.
  • A list of providers that the rules reference.
  • A list of scripts that rules need to call in response to an event.
  • A list of registry-based computer attributes that are needed for discovery.
  • A list of computer groups whose formula depends on the specified Computer Attributes.
  • A list of computer group and rule group associations that specify rule targets.
  • A list of notification groups that notification responses use in rules.
  • A list of view instances definitions that define how the operations data produced by managed computers should be viewed.
  • A list of tasks that users may need for managing the application.
  • The Service Discovery Class Schema that defines the entities that will be managed, their properties, and their relationship to other properties.
  • The Diagram Definitions that describe how service discovery data should be viewed as a diagram from an application perspective.
  • Knowledge associated with the rules, which specifies how problems should be corrected and how the Management Pack should be used.

See Also

Import Management Packs | Export Management Packs


Management Pack Author Mode

To create a Management Pack, you must enable author mode must on the Microsoft® Operations Manager (MOM) Management Server. Author mode activates user interface features in MOM that allow you to create and edit vendor-specific knowledge. It also enables advanced properties on rules, groups, and other items that are read-only or disabled by default.

To enable author mode

  1. In the Navigation pane, expand Microsoft Operations Manager, and then expand Management Packs.
  2. Right-click Rule Groups, and click Enable Authoring mode.

To disable author mode

  1. In the Navigation pane, expand Microsoft Operations Manager, and then expand Management Packs.
  2. Right-click Rule Groups, and then click Disable Authoring mode.


Import Management Packs

Import Management Packs and reports for your management group by using the Microsoft Operations Manager (MOM) Administrator console.

Note Note

The only set of Management Packs and reports that is automatically copied to the computer where you install MOM is Microsoft Operations Manager. If you want to import additional Management Packs and reports, you have to copy them from the CD to the Management Packs folder on the computer. On the CD, the Management Packs and reports can be found in the Management Packs folder. You can also find updates on the Microsoft Operations Manager Web site.

To import a Management Pack

  1. In the Navigation pane, click Management Packs.
  2. In the Detail pane, click Import/Export Management Packs to open the Management Pack Import/Export Wizard.
  3. Follow the instructions in the Management Pack Import/Export Wizard.
Note Note

After importing the Management Pack, if you do not commit the changes to the configuration, the rules are not sent until the Agent Request configuration interval completes.

If the imported Management Pack appears to function incorrectly, verify that the MOM Agent Action Account has enough privileges.

See Also

Management Pack Import/Export Wizard | Agent Deployment Security | Agent Installation Permissions


Export Management Packs

You can modify an existing Management Pack and export it so you can install it on another computer or reimport it later.

To export a management pack

  1. In the Navigation pane, click Management Packs.
  2. In the Detail pane, click Import/Export Management Packs.
  3. Follow the instructions in the Management Pack Import/Export Wizard.

See Also

Management Pack Import/Export Wizard


Create a Computer Group

Microsoft® Operations Manager (MOM) 2005 enables you to group similar computers together in order to monitor and manage them. You can monitor and manage the group rather than each computer individually.

Use computer grouping rules to specify computers for a computer group. You can group computers together based on their domain, computer name, or attributes, such as the operating system version or installed applications. You can also identify computers to always include or exclude from the computer group, regardless of their other characteristics.

Computer groups are dynamic. For example, a computer group of all Microsoft® Windows 2000™ computers includes all computers running Microsoft Windows 2000 when the rule was created, as well as any new computers that have Microsoft Windows 2000 installed. If you remove Microsoft Windows 2000 from a computer, the computer no longer qualifies for group membership because of the computer group criteria. The MOM Management Server scans managed computers to track and implement changes to the computer group.

Note Note

Computer group rules are created and enforced only in one management group. Computer group rules for one management group do not apply to other management groups.

You create a computer group for your management group using the MOM Administrator console.

To create a computer group

  1. In the Navigation pane, click the Management Packs node.
  2. In the Detail pane, click Computer Groups.
  3. In the Navigation pane, right-click Computer Groups, and then click Create Computer Groups to start the New Computer Group Wizard.
  4. Follow the instructions in the wizard to create a new computer group.

If you start the wizard from the Computer Groups node, the new computer group will be at the same level as existing computer groups. To create a subgroup, right-click an existing computer group, and then start the wizard. For example, if you want to create a subgroup for Microsoft Operations Manager 2005 Server, you would use the following procedure.

To create a computer subgroup

  1. In the Navigation pane, click the Management Packs .
  2. In the Detail pane, click Computer Groups.
  3. In the Navigation pane, expand Computer Groups .
  4. In the Navigation pane, right-click Microsoft Operations Manager 2005 Server, and the click Create Computer Groups to start the New Computer Group Wizard.
  5. Follow the instructions in the wizard to create a new computer group.

See Also

New Computer Group Wizard


Create a Rule Group

Rule groups contain rules for events, alerts, and performance. Use rule groups to categorize rules for the various system applications that you want to monitor, such as Microsoft Operations Manager (MOM) agents.

You can also create child groups, which are rule groups that are contained within a rule group.

Create rule groups by using the MOM Administrator console.

To create a rule group

  1. In the Navigation pane, click Management Packs.
  2. In the Detail pane, click Rule Groups.
  3. In the Navigation pane, right-click Rule Groups , and then click Create Rule Group to open the Rule Group Properties dialog box.
  4. Follow the instructions in the dialog box to complete the creation of the rule group. For more information about the options in a dialog box, click Help.

The following containers are created automatically for the rule group:

  • Event Rules
  • Alert Rules
  • Performance Rules

See Also

Create an Event Rule | Create an Alert Rule | Create an Performance Rule | Associate a Rule Group with a Computer Group |


Associate a Rule Group with a Computer Group

To enable agents to apply rules to the correct computers, you must associate a rule group with a computer group. Agents on computers within the computer group apply the rules in the rule group as necessary.

Note Note

If you have a child rule group, which is a rule group contained within another rule group, you may want to associate computer groups with the child rule group.

To associate a rule group with a computer group

  1. In the Navigation pane, click Management Packs.
  2. In the Detail pane, click Rule Groups.
  3. In the Navigation pane, expand Rule Groups.
  4. Navigate to the rule group that you want to associate with a computer group.
  5. In the Navigation pane, right-click the rule group name, and then click Associate with Computer Group to open the Rule Group Properties dialog box for the processing rule group.
  6. Follow the instructions on the Computer Groups tab. For more information about the options and fields in a dialog box tab, click Help.


Create an Event Rule

Event rules define how Microsoft® Operations Manager (MOM) 2005responds to specific events.

To create an event rule

  1. In the Navigation pane, click Management Packs.
  2. In the Detail pane, click Rule Groups.
  3. In the Navigation pane, expand Rule Groups, navigate to the rule group to which you want to add an event rule, and expand the rule group folder. For information about creating a rule group, see Create a Rule Group.
  4. Right-click Event Rules , and click Create Event Rule.
  5. In the Select Event Rule Type dialog box, click one of the following items:
    Alert on or Respond to Event (Event)
    Specifies that an alert is generated or a response runs when specific events occur. You can create event rules when certain events are not covered in other rules.
    Filter Event (Pre-Filter)
    Specifies whether to ignore specified events. Filtering rules typically identify events that you do not consider significant.
    Detect Missing Event (Missing)
    Specifies that an alert or response is generated when particular events do not occur during a specified time.
    Consolidate Similar Events (Consolidation)
    Specifies that multiple similar events are grouped into a single summary event on an agent computer.
    Collect Specific Events (Collection)
    Specifies that events with specific criteria be collected from specific sources. Collection rules do not provide responses or generate alerts.
  6. Follow the instructions provided in the dialog boxes until you have finished creating an event rule. For more information about the options in a dialog box, click Help.


Create an Alert Rule

An alert rule allows you to specify a response for an alert, or for a number of previously defined alerts.

To create an alert rule

  1. In the Navigation pane, click Management Packs .
  2. In the Detail pane, click Rule Groups .
  3. In the Navigation pane, expand Rule Groups .
  4. Navigate to the rule group to which you want to add an event rule, and expand the rule group folder. For information about creating a rule group, see Create a Rule Group.
  5. In the Navigation pane, right-click Alert Rules, and then click Create Alert Rule.
  6. Follow the instructions provided in the dialog boxes until you have finished creating an alert rule. For more information about the options in a dialog box, click Help.


Create a Performance Rule

Performance rules define how Microsoft Operations Manager (MOM) 2005 processes performance counter data.

To create a performance rule

  1. In the Navigation pane, click Management Packs.
  2. In the Detail pane, click Rule Groups.
  3. In the Navigation pane, expand Rule Groups.
  4. Navigate to the rule group to which you want to add a performance rule, and expand the rule group folder. For information about creating a rule group, see Create a Rule Group.
  5. In the Navigation pane, right-click Performance Rules , and then click Create Performance Rule.
  6. In the Performance Rule Type dialog box, click one of the following items:
    Sample Performance Data (Measuring)
    Specifies that a numeric value is collected from WMI performance counters. You can graph this information.
    Compare Performance Data (Threshold)
    Specifies that an alert is generated when a performance counter value crosses a defined threshold in either direction. Threshold rules can also define a response.
  7. Follow the instructions in the dialog boxes to complete the creation of a performance rule. For more information about the options in a dialog box, click Help.


Assigning Responses to a Rule

You can assign an automated response to perform an action based on criteria specified in a rule, such as an event, an alert, a performance sample, or a performance threshold.

To assign a response to a rule that is already created

  1. In the Navigation pane, click Management Packs.
  2. In the Detail pane, click Rule Groups.
  3. In the Navigation pane, expand Rule Groups.
  4. Navigate to the rule group that you want to associate with a computer group.
  5. Navigate to the rule to which you want to specify a response.
  6. In the Navigation pane, right-click the rule name, and click Properties.
  7. Click the Responses tab. The types of responses are as follows:
    Execute a command or batch file
    Executes command lines using the shell command processor, “cmd.exe”. This response type supports agentless monitoring.
    Send a notification to a Notification Group
    Sends notification messages to the specified notification groups. Depending on the settings of the operators in a given notification group, you can send an e-mail, page an operator, or run a batch command that triggers a non-Microsoft notification mechanism.This notification response executes only on the server.
    Script Response
    Executes an Active Scripting script. The scripts can create any MOM data type and send it to the engine through the exposed Script Object Model. The script responses always run "out-of-process" in the host process to increase reliability of the engine.
    Managed Code Response
    Executes any method in a given managed code assembly that conforms to some signature requirements. Similar to script responses, managed code assemblies optionally can interact with MOM through a context object. Managed code responses are always executed in a host process to improve reliability of the MOM runtime.
    Send an SNMP trap
    Sends alert information as an SNMP message.
    Update state variable
    Updates a state variable that can be accessed through a managed code response or a script response.
    File Transfer Response
    Downloads or uploads files from or to a Web server by using the Background Intelligent Transfer Service (BITS).


Create a Notification Group

Create a notification group for your management group by using the Microsoft® Operations Manager (MOM) Administrator console.

To create a notification group

  1. In the Navigation pane, click Management Packs.
  2. In the Detail pane, expand Notification to navigate to Notification Groups.
  3. In the Detail pane, right-click Notification Groups, and then click Create Notification Group. The Notification Group Properties dialog box opens.
  4. To complete the process of creating a notification group, follow the instructions in the Notification Group Properties dialog box.
Note Note

To open the Notification Group Properties dialog box, you can also click Notification in the Detail pane, and then click Create Notification Group.

See Also

Notification Group Properties Dialog Box


Create an Operator

Create an operator for your management group by using the Microsoft Operations Manager (MOM) Administrator console.

To create an operator

  1. In the Navigation pane, click Management Packs.
  2. In the Detail pane, click Notification.
  3. In the Detail pane, click Create Operator to open the Operator Properties dialog box .
  4. Follow the instructions in the dialog box.


Create a New Task

Create a new task for your management group by using the Microsoft Operations Manager (MOM) Administrator console.

To create a new task

  1. In the Navigation pane, click Management Packs.
  2. In the Detail pane, click Tasks
  3. In the Navigation pane, right-click Tasks, and then click Create Task to start the New Task Wizard.
  4. Follow the instructions in the wizard to create a new task.

See Also

Create Task Wizard |


Working with Managed Computers

Use the Microsoft® Operations Manager (MOM) Operator console to work with managed computers in a management group. The Operator console displays real-time operations data that is sent from the managed computers to the MOM Management Server.

See Also

The Operator Console | Work with the Alerts View | Work with the State View | Work with the Events View | Work with the Performance View | Work with the Computers View | Work with the Diagram View | Work with the Attributes View | Work with the Computer Groups View | Work with Performance Data View


Open the Operator Console

You can open the MOM Operator console in stand-alone mode, or from the MOM Administrator console.

To open the Operator console in stand-alone mode

  1. In Windows, click Start.
  2. Point to Programs.
  3. Point to Microsoft Operations Manager 2005.
  4. Click Operator Console.

To open the Operator console from the Administrator console

  1. In the Navigation pane, click Operations.
  2. In the Detail pane, click Start Operator Console.


Configure Operator Console Settings

There are several default options for the MOM Operator console that you can change.

To configure the Operator console settings

  1. On the Operator console menu, click File.
  2. Click Console Settings to open the Console Settings dialog box.
  3. Edit the settings that you want to change, and then click OK to apply the changes.

When you open the Console Settings dialog box, the following configuration options are displayed.

MOM Management Group
The name of the management group for the MOM Management Server. You cannot change this value.
MOM Management Server
The default setting is the name of the management server to which the current console instance is connected. To change this setting, type the name of a different management server. The new management server must be a member of the default management group.
Alternate MOM Management Servers for this Management Group
The default setting is the name of the management server to which the current console instance is connected .

The alternate servers list is updated with the names of alternate management server names when a management server is assigned to a management group that already has a primary management server. If you want to connect to an alternate server, select the server in the list, and then click Apply.

Set Operator Console Refresh Rate
The default setting for Refresh data at least every is 60 seconds. To change this setting, click the arrows to increase or decrease this value.
View Pane Configuration
The default setting is one pane. To change this setting, select a value from the list to change the number of panes displayed on the Operator console.


Use Maintenance Mode with Managed Computers

Use the MOM Operator console to put a computer in maintenance mode, or remove it from maintenance mode. When a managed computer is in maintenance mode, alerts are still forwarded to the MOM Management Server and are "auto resolved."

To put a computer in maintenance mode

  1. In the Results pane, right-click the alert for the computer that you want to work with.
  2. Click Put Computer in Maintenance Mode to open the Maintenance Mode dialog box.
  3. Accept the defaults or change the following settings:
    • Reason - Describe the reason that you are putting the computer into maintenance mode. The maximum number of characters is 256.
    • Number of minutes - Click the arrows to increase or decrease the number of minutes to put a computer in maintenance mode. The default is 30 minutes.
    • Specific end time - Set a specific end date and time for maintenance mode, as an alternative to the default elapsed time. Click Specific end time, select the month and day from the drop-down list, and then type the end time that you want.

When a computer is in maintenance mode, you can adjust the duration of maintenance mode or remove it from maintenance mode.

To change the duration of maintenance mode

  1. In the Results pane, right-click the alert for the computer that you want to work with.
  2. Click Update Maintenance Mode Duration to open the Maintenance Mode dialog box.
  3. Edit one of the following settings to change the duration:
    • Number of minutes
    • Specific end time

To remove a computer from maintenance mode

  1. In the Results pane, right-click the alert for the computer with which you want to work.
  2. Click Remove Computer from Maintenance Mode.
Note Note

A computer in maintenance mode for a specified time of less than five minutes is not be removed until the next interval that the management server checks for what computers to add to or remove from maintenance mode. This can cause a management server to remain in maintenance mode for up to five minutes. This interval cannot be modified.


Customize the Operator Console

To change the MOM Operator console settings

  1. On the File menu, click Console Settings.
  2. View and set the following options.
MOM Management Group
Specifies the current management group to which the Operator console is connected. This field is read only.
MOM Management Server
Specify the management server to connect to the Operator console.
Alternate MOM Management Servers for this Management Group
Specify other management servers to which this management group is connected.
Refresh data at the following interval (minimum value is 30 seconds) __seconds.
Specify how often to refresh data.
View pane configuration
Specifies the number of open panes (up to three).


Use the Operator Console Views

Use MOM Operator console views to obtain different representations of the operations data that is stored in the MOM database.

The data represented in each view is determined by several factors, including: the management packs that are installed, the console scope that you are using, and the view's properties.

The following table describes the views that are available.

View | Description
Alerts | Displays a list of alerts from all of the computers in the management group. Each row in the Results pane represents one alert.
State | Displays a summary of the current state of all of the computers in the management group. Each row in the Results pane represents one computer.
Events | Displays a list of all events. Each row in the Results pane represents one event.
Performance | Displays a list of the number of performance measurements taken for each computer in the management group. Each row in the Results pane represents one computer.
Computers and Groups | Displays a list of computer groups in the management group. Each row in the Results pane represents one computer group. You can also add a Computer Attributes View. For more information, see Create a New Computer Attributes View.
Diagram | Displays a graphical representation of the computers in a computer group.

When you are working with views, you can complete basic view tasks, such as rename a view, copy a view, cut a view, paste a view, or delete a view.

You can also edit view properties and create new public (Public Views) or personal views (My Views).

To work with a view

  1. In the lower half of the Navigation pane, click the navigation button for a view, for example, Alerts or Events. In the Detail pane, data that is specific to the view is displayed.

    The Detail pane is divided into two sections. The upper half contains a table with data that is specific to the navigation button you selected. For example, if you clicked the Events navigation button, the table in the Detail pane lists the events detected. All of the data pertaining to an event appears in a single row.

    The lower half of the Detail pane contains specific information about the data that you select in the upper half. For example, if you click an event in the upper half of the Detail pane, the Event Details for that event are displayed in the lower half of the Detail pane.

  2. To work with the data in a view, right-click anywhere in the upper half of the Detail pane, and click an option. For example, if you click the Events navigation button, and then right-click anywhere in the upper half of the Detail pane, you can select options that are specific to events, such as Events View Properties and Personalize View.

You can also work with some of the details in the lower half of the Detail pane. For example, if the selected event has alerts, you can view the details about an alert. In the lower section, click the Alert tab, and then double-click an alert on the list. All of the information about the alert appears in the Detail pane.

See Also

The Operator Console | Work with the Alerts View | Work with the Events View | Work with the Computer Attributes View | Work with the Computers View | Work with the Computer Groups View | Work with the Diagram View | Work with the Performance View | Work with the Performance Data View | Work with the State View


Rename, Copy, Cut, Paste, and Delete Views

Use the MOM Operator console to start and complete these basic tasks:

  • Rename a view
  • Copy a view
  • Cut a view
  • Paste a view
  • Delete a view

The following procedures are initiated from either Public Views or My Views.

To rename a view

  • Right-click the name of the view and click Rename. Type the new name for the view and press Enter.

To copy a view

  • Right-click the name of the view that you want to copy and click Copy.

To cut a view

  • Right-click the name of the view that you want to cut and click Cut.

To paste a view

  • Right-click the name of the management pack or rule group folder where you want to paste a view and click Paste.

To delete a view

  • Right-click the name of view that you want to delete and click Delete.


Work with the Alerts View

The available data for an Alerts view is displayed in the Results pane when you click the Alert view name in the Navigation pane of the MOM Operator console. You can also click the alert name in Public Views or My Views in the Navigation pane. Each row in the Results pane represents a data instance generated for the view.

By default, all the data is displayed for all the computer groups in the scope that you selected. For example, if you are logged on with an account that is a member of the MOM Administrator group, you see all the data for the MOM Administrator Scope. If you want to refine the selection of data in the Results pane, select a specific computer group in the MOM Administrator Scope from the Computer Group list, such as Microsoft Operations Manager 2005 Agents. In addition to viewing Alerts view data, you can:

  • Personalize the View
  • See or Change View Properties
  • Work with View Details

Personalize the View

The Alerts view displays the data by using a predetermined selection of elements (seen as column headings) organized in a predetermined order. You can sort the data in ascending or descending order by clicking the column title that you want to sort by. To get the best performance for alerts, sort by TimeRaised (either ascending or descending).

To change the data elements that display as columns, or their sequence, right-click anywhere in the Results pane, and click Personalize View to open the Personalize View dialog box.

The dialog box lists the Available columns and the Displayed columns.

To add an item to the columns that are displayed
Select the item that you want in the Available columns list, and then click Add to move it to the Displayed columns list.
To remove an item from the columns that are displayed
Select the item in the Displayed columns list, and then click Remove to move it back to the Available columns list.
To change the order that columns are displayed
Select the item in the Displayed columns list, and then click Move Up or Move Down to move the item.

The following tables summarize the displayed and available column titles, or data fields for an Alerts view.

Displayed column | Description
Severity | Indicates the severity of the alert, such as Service Unavailable or Success.
Maintenance Mode | Indicates whether the alert is in maintenance mode.
Domain | Specifies the domain to which the computer belongs.
Computer | Specifies the computer on which an agent generated the alert.
Time Last Modified | Specifies the date and time that the alert was last changed.
Resolution State | Indicates the status of the resolution process of the alert, such as New or Resolved. The resolution state indicates whether the resolution process has begun.
Time in State | Specifies the amount of time that the alert has been in the current resolution state.
Problem State | Indicates what problem state the alert is in.
Repeat Count | Specifies the number of identical duplicate alerts that this instance represents.
Name | Specifies the name of the rule that generated the alert.
Source | Indicates where the alert was generated, for example, from MOM, or a specific server.
Ticket Id | Specifies the ticket ID assigned to the alert.
Owner | Specifies the person responsible for tracking and resolving the alert.
Available column | Description
Description | Specifies the description of the alert. This column uses the text that Windows provides in the event description.
Time of Last Event | Specifies the date and time that the last event was detected.
Time Raised | Specifies the date and time that the alert was raised.
Alert ID | Specifies the unique identifier for the alert.
Rule ID | Specifies the unique identifier for the rule that generated the alert.
Rule Name | Specifies the name of the rule that generated the alert.
CustomField n | Specifies the values of user-defined alert fields.
Time Added | Specifies the date and time that the alert was added to the list.
Time of First Event | Specifies the date and time that the alert was first raised. The time is shown in the time zone of local computer.
Time Resolved | Specifies the date and time that the alert was resolved. The time is shown in the time zone of local computer.
Resolved By | Specifies the person who resolved the alert.
Modified By | Specifies the person who last modified the alert.
Computer Custom Data n | Specifies the values of user-defined computer data fields.
Maintenance Mode End | Date and time that maintenance mode ended for this alert.
Maintenance Mode User | Specifies the person who put the alert in maintenance mode.
Maintenance Mode Reason | Indicates why the alert was put into maintenance mode.
Note Note

You might not see Custom Field n as an option. You can change the name of a custom field, or your MOM Administrator might have changed the custom field names.

See or Change View Properties

To see or change the Alert view properties, right-click anywhere in the Results pane and click Alert View Properties to open the Alert View Properties dialog box. This dialog box has two tabs: Criteria and General.

Criteria
This tab contains two fields, one for selecting alerts and one for specifying the corresponding descriptive parameters to qualify the alert. To select an alert in the Which alerts do you want to view? list, select the appropriate alert check box. When you select an alert, a corresponding hyperlink is displayed in the View description (click the underlined value to edit) input area. Click the hyperlink to open a dialog box, and then provide the required information. The following table lists the available alerts and describes the associated information that you are prompted to provide.
Alert | Required view description information
from specified source | Click the link to open the Source dialog box. Type a complete text string or use wildcards to identify the alert source.
with specified alert severity | Click the link to open the Severity dialog box. Select the appropriate check box to identify the level of severity. To choose all levels of severity, click Select All.
generated in a specific time period | Click the link to open the Date and Time Generated dialog box. Specify a time range or a time interval.
owned by specified person | Click the link to open the Owner dialog box. Type a complete text string or use wildcards to identify the alert owner.
with specified text in alert description | Click the link to open the Description dialog box. Type a complete text string or use wildcards to identify the alert description.
raised by specified computer | Click the link to open the Computer Name dialog box. Type a complete text string or use wildcards to provide the Domain and Computer information.
with specified resolution state | Click the link to open the Resolution State dialog box. Select the check box beside a resolution state (Select resolution states for which to search) or apply logical operators against a resolution state (Display only alerts with resolution state:).
that violated specified service level agreement | Click the link to open the Service Level Exception dialog box. Accept or change the time parameters listed under Custom service level agreement or switch to the Default company service level agreement.
with specified name | Click the link to open the Alert Name dialog box. Type a complete text string or use wildcards to search for the alert name.
with specified string in CustomField n Click the link to open the Custom Field n dialog box. Type a complete text string or use wildcards to search for the text in a custom field.
Note Note

You might not see Custom Field n as an option. You can change the name of a custom field, or your MOM Administrator might have changed the custom field names.
with specified GUID | Click the link to open the Alert GUID dialog box. Type the GUID for which you want to search.
raised by computers in a specified group | Click the link to open the Computer Group dialog box. Type a complete text string or use wildcards to search for the computer group name.
with specified Computer Custom Data n | Click the link to open the Computer Custom Data n dialog box. Type a complete text string or use wildcards to search for the custom data field.
General
This tab has two input areas: View name and Description. The description is optional. You can change the name or description by clicking the appropriate text box to delete or add text.

Work with View Details

The Results pane for the Alerts view is divided into two sections. The top section displays the alerts that you click to see detailed information displayed in the bottom section of the pane. Alert Details contains the following information:

Properties
When you click the Properties tab, the following information, where available, is displayed in the Detail pane: Alert ID, Severity, Resolution State, Repeat Count, Time First Raised, Time Last Raised, Alert Latency, Name, Source Computer, Rule, Age, Description, Class Id, Class instance key value, Parent class instance id, Error code, Rule id of the discovery event.

The Rule property displays as (enabled), you can click this text to disable the rule.

The Age property displays, in seconds, how long it took to resolve the alert.

Note Note

Basic properties are displayed by default, but the contents of the Detail pane depend on the properties that are defined for any specific alert.

Custom Properties
When you click the Custom Properties tab, a form is displayed in the Detail pane that shows the values for the selected alert. These values are: Alert Owner, Ticket ID, and CustomField n.
Note Note

If you select multiple alerts, Custom Properties is the only active tab and the fields are empty.

Events
When you click the Events tab, all the events related to the Alert are displayed as rows in the Detail pane. These events have the following column headings: Type, Time, Source Computer, Provider Type, Provider Name, and Source. You can sort these rows in ascending or descending order by clicking the column titles.

You can also switch to the Events view for a specific event. To see the Events view for an event, right-click the event in the Detail pane, and select View Events.

Product Knowledge
When you click the Product Knowledge tab in the Detail pane, any product knowledge content that exists is displayed in the input area. You can also click View to see the content in a separate window.
Company Knowledge
When you click the Company Knowledge tab, any company knowledge content that exists is displayed in the Detail pane. If you want to insert or edit content, click Edit to open the Company Knowledge dialog box.
History
When you click the History tab, a brief description of the Alert history is displayed in the Detail pane. This information includes: the source, a date and time stamp, the GUID for the rule that generated the alert, and the name of the management group. If you want to add more information to the history, click Append.

See Also

Work with the Events View


Work with the Events View

The available data for an Events view is displayed in the Results pane when you click Events in the Navigation pane of the MOM Operator console. You can also click the event name in Public Views or My Views in the Navigation pane. Each row in the Results pane is a data instance generated for the view.

By default, all of the data for all of the computer groups in the scope that you are using is displayed. For example, if you are logged on with an account that is a member of the MOM Administrator group, you see all of the data for the MOM Administrator Scope. If you want to refine the selection of data in the Results pane, select a specific computer group in the MOM Administrator Scope from the Computer Group list, such as Microsoft Operations Manager 2005 Agents. In addition to viewing Events view data, you can:

  • Personalize the View
  • See or Change View Properties
  • Work with View Details

Personalize the View

The Events view displays the data by using a predetermined selection of elements (seen as column headings) that are organized in a predetermined order. You can sort the data in ascending or descending order by clicking the column title that you want to use as a sort criterion. For the best performance, sort by Time.

If you want to change the data elements that are displayed as columns, or their sequence, right-click anywhere in the Results pane and then click Personalize View to open the Personalize View dialog box.

The dialog box lists the Available columns and the Displayed columns.

To add an item to the columns that are displayed
Select the item that you want in the Available columns list, and then click Add to move it to the Displayed columns list.
To remove an item from the columns that are displayed
Select the item in the Displayed columns list, and then click Remove to move it to the Available columns list.
To change the order that columns are displayed
Select the item in the Displayed columns list, and then click Move Up or Move Down to move the item.
Note Note

When you sort the Event ID or Type columns, the data might not appear to be sorted. The data in the columns actually sorts using a Microsoft® SQL Server™ comparison for the GUIDs, rather than alphanumerically.

The following tables summarize the displayed and available column titles, or data fields, for an Events view.

Displayed column | Description
Type | Specifies the Windows event type, such as Error, Warning, or Information.
Time | Specifies the date and time that the alert was raised. The time is shown in the time zone of local computer.
Domain | Specifies the domain to which the computer belongs.
Computer | Specifies the computer on which an agent generated the alert.
Description | Specifies the description of the event.
Source | Specifies the user-defined name identifying the source of the alert. If no name is defined, this field defaults to the event source name.
Category | Specifies the Windows text string that describes the event.
Event Number | Specifies the Windows event number.
User | Specifies the name of the Windows account logged on to the computer that generated the event.
Event Id | Specifies a unique identifier for the event.
Available column | Description
Provider Type | Specifies the type of event provider that generated the event, such as a Windows event log.
Provider Name | Specifies the name of the event provider, such as Application or Security.
Source Domain | Specifies the domain on which the computer that generated the event resides.
Source Computer | Specifies the computer on which the event generated.
Consolidated | Indicates whether this event represents a number of identical events consolidated by a consolidation rule and, if so, the number of consolidated events this event represents.
Raises Alert | Indicates whether the event generated an alert and, if so, how many alerts the event generated.

See or Change View Properties

To see or change the Event view properties, right-click anywhere in the Results pane, and click Properties to open the Event View Properties dialog box. This dialog box has two tabs that you work with: Criteria and General.

Criteria
This tab has two input areas, one for selecting events and one for specifying the corresponding descriptive parameters that are used to qualify the event. In the Which events do you want to view? list, select an event by clicking the check box beside the event. When you select an event, a corresponding hyperlink is displayed in the View description (click the underlined value to edit) input area. Click the hyperlink to open a dialog box, and then provide the required information. The following table lists the available events and describes the associated information that you are prompted to provide.
Event | Required view description information
from specified source | Click the link to open the Source dialog box. Type a complete text string or use wildcards to identify the alert source.
of specified type | Click the link to open the Type dialog box. Select the appropriate check box to identify the type of event. For example, Information, Error, or Warning.
with a specified event number | Clink the link to open the Event Id dialog box. Type the numbers, separated by semicolons.
generated in a specific time period | Click the link to open the Date and Time Generated dialog box. Specify a time range or a time interval.
from specified user | Click the link to open the User Name dialog box. Type a complete text string or use wildcards to identify the user.
with specified text in event description | Click the link to open the Description dialog box. Type a complete text string or use wildcards to identify the alert description.
raised by specified computer | Click the link to open the Computer Name dialog box. Type a complete text string or use wildcards to provide the Domain and Computer information.
in specified category | Click the link to open the Category dialog box. Type a complete text string or use wildcards to identify the category.
from event providers of specified type | Click the link to open the Provider Type dialog box. Select the check box beside each provider that you want to identify. For example, Timed Event and WMI Events.
from event providers with specified name | Click the link to open the Provider Name dialog box. Type a complete text string or use wildcards to search for the provider name.
that generated alerts | No action, all events that generated alerts are viewed.
that are consolidated events | No action, all events that are consolidated events are displayed.
collected by a specified agent | Click the link to open the Name dialog box. Type a complete text string or use wildcards to provide the Domain and Computer information.
with specified Event Id | Click the link to open the Event Id dialog box. Type the GUID that you want to search for.
raised by computers in a specified group | Click the link to open the Computer Group dialog box. Type a complete text string or use wildcards to search for the computer group name.
General
This tab has two input areas: View name and Description. The description is optional. You can change the name or description by clicking the appropriate text box to delete or add text.

Work with View Details

When you click Events, the Events view appears. On the navigation pane, click the Events node to obtain information that is displayed in the Results and Detail panes in the center of your screen. Select an event in the Results pane. Information about the selected event appears in the Detail pane.

The following Events view attributes are displayed in the Detail pane.

Properties
When you click Properties, the following properties, where available, are displayed in the Detail pane: Domain, Computer, Time, Type, Provider Name, Event Number, Provider Type, Source, Category, Raises Alert, Consolidated, From, To, and Event Id.
Note Note

In the Detail pane, basic properties are displayed by default, but the contents of the Results pane depends on the properties that are defined for any specific event.

Alerts
When you click Alerts, any existing alerts are displayed in the Detail pane. The following are displayed as column headings: Severity, Time Last Modified, Resolution State, Source, Name, and Owner. You can sort these alerts in ascending or descending order by clicking the appropriate column heading.

You can also switch to the Alerts view for a specific alert. To see the Alerts view for an alert, in the Detail pane, on the Alerts tab, double-click the alert.

Parameters
When you click Parameters, any available parameters are displayed in the Detail pane. The following are displayed as column headings: Position, Name, and Value. You can sort these alerts in ascending or descending order by clicking the appropriate column heading.


Work with the Attributes View

The available data for an Attributes view is displayed in the Results pane when you click the Attribute view name in the Navigation pane of the MOM Operator console. You can also click the attribute name in Public Views or My Views in the Navigation pane. Each row in the Results pane is a data instance generated for the view.

Note Note

You can view attributes only from the State view. To switch to the Attributes view, in State view, right-click anywhere in the Results pane, click View on the pop-up menu, and then click Attributes.

By default, all of the data for all of the computer groups in the scope that you are using is displayed. For example, if you are logged on with an account that is a member of the Microsoft Operations Manager (MOM) Administrator group, you will see all of the data for the MOM Administrator Scope. If you want to refine the selection of data in the Results pane, select a specific computer group in the MOM Administrator Scope from the Computer Group list, such as Microsoft Operations Manager 2005 Agents. In addition to viewing Attributes view data you can:

  • Personalize the View
  • See or Change View Properties

Personalize the View

The Attributes view displays the data by using a predetermined selection of elements (seen as column headings) that are organized in a predetermined order. You can sort the data in ascending or descending order by clicking the column title that you want to use as a sort criterion.

If you want to change the data elements that are displayed as columns, or their sequence, right-click anywhere in the Results pane, and click Personalize View to open the Personalize View dialog box.

The dialog box lists the Available columns and the Displayed columns.

To add an item to the columns that are displayed
Select the item that you want in the Available columns list, and then click Add to move it to the Displayed columns list.
To remove an item from the columns that are displayed
Select the item in the Displayed columns list, and then click Remove to move it to the Available columns list.
To change the order that columns are displayed
Select the item in the Displayed columns list and click Move Up or Move Down to move the item.

The following table summarizes the displayed column titles, or data fields, for an Attributes view. All available columns are displayed by default.

Displayed column | Description
Name | Specifies the name of the attribute.
Description | Specifies what the attribute does. For example, the Microsoft Operations Manager 2005 Agent collects MOM agent version information.
Type | Specifies the type, such as string or integer, of the attribute collected.
Value | Specifies the value of the attribute collected.
Computer Name | Specifies the name of the computer on which the attribute was collected.
Computer Domain | Specifies the domain to which the computer belongs.
Time | Specifies the date and time when the attribute was collected. The time is shown in the time zone of the local computer.

See or Change View Properties

To see or change the Attribute view properties, right-click anywhere in the Results pane and click Attribute View Properties to open the Attribute View Properties dialog box. This dialog box has two tabs: Criteria and General.

Criteria
This tab has two input areas, one for selecting attributes and one for specifying the corresponding descriptive parameters that are used to qualify the attribute. In the Which computer attributes do you want to view? list, select an attribute by clicking the check box beside the description that describes the attribute. When you select an attribute, a corresponding hyperlink is displayed in the View description (click the underlined value to edit) input area. Click the hyperlink to open a dialog box, and then provide the required information. The following table lists the available attributes and describes the associated information you are prompted to provide.
Attribute | Required view description information
collected in specified time period | Click the link to open the Date and Time Logged dialog box. Specify a time range or a time interval.
with specified name | Click the link to open the Attribute Name dialog box. Type a complete text string or use wildcards to search for an attribute name.
collected from specified computer | Click the link to open the Computer Name dialog box. Type a complete text string or use wildcards to provide the Domain and Computer information.
of specified type | Click the link to open the Attribute Type dialog box. Select the appropriate check box to identify the type of attribute. For example, IP Address, Integer, or String.
with specified text in attribute description | Click the link to open the Attribute Description dialog box. Type a complete text string or use wildcards to find the attribute description.
General
This tab has two input areas: View name and Description. The description is optional. You can change the name or description by clicking the appropriate text box to delete or add text.
Note Note

To view computer information, right-click an attribute row in the Results pane, and then select Computers.


Work with the Computers View

The available data for a Computers view is displayed in the Results pane when you click the Computer view name in the Navigation pane of the MOM Operator console. You can also click the computer name in Public Views or My Views in the Navigation pane. Each row in the Results pane is a data instance generated for the view.

By default, all of the data for all of the computer groups in the scope that you are using is displayed. For example, if you are logged on with an account that is a member of the MOM Administrator group, you see all of the data for the MOM Administrator Scope. If you want to refine the selection of data in the Results pane, select a specific computer group in the MOM Administrator Scope from the Computer Group list, such as Microsoft Operations Manager 2005 Agents. In addition to viewing Computers view data you can:

  • Personalize the View
  • See or Change View Properties
  • Work with View Details

Personalize the View

The Computers view displays the data by using a predetermined selection of elements (seen as column headings) that are organized in a predetermined order. You can sort the data in ascending or descending order by clicking the column title that you want to use as a sort criterion.

If you want to change the data elements that are displayed as columns, or their sequence, right-click anywhere in the Results pane and click Personalize View to open the Personalize View dialog box.

The dialog box lists the Available columns and the Displayed columns.

To add an item to the columns that are displayed
Select the item that you want in the Available columns list, and then click Add to move it to the Displayed columns list.
To remove an item from the columns that are displayed
Select the item in the Displayed columns list, and then click Remove to move it to the Available columns list.
To change the order that columns are displayed
Select the item in the Displayed columns list, and click Move Up or Move Down to move the item.

The following tables summarize the displayed and available column titles, or data fields, for a Computers view.

Displayed column | Description
State | Indicates the current health of the computer, as indicated by Alerts. For example, Critical Error.
Maintenance Mode | Indicates when computer is in maintenance mode.
Domain | Specifies the domain to which the computer belongs.
Name | Specifies the name of the computer.
Last Heartbeat | Specifies the date and time that the last heartbeat was received from the monitored computer.
New Alerts | Specifies the number of alerts with a resolution state of New.
Service Unavailable | Specifies the number of unresolved alerts with a severity level of Service Unavailable.
Security Issue | Specifies the number of unresolved alerts with an alert severity level of Security Issue.
Critical Error | Specifies the number of unresolved alerts with a severity level of Critical Error.
Operating System Type | Specifies the name and version of the operating system.
Description | Specifies the description of the computer.
Available column | Description
Computer ID | Specifies a unique identifier for the computer.
FQDN | Specifies the Fully Qualified Domain Name for the computer.
Error | Specifies the number of unresolved alerts with a severity level of Error.
Warning | Specifies the number of unresolved alerts with a severity level of Warning.
Information | Specifies the number of alerts with a severity level of Information.
Success | Specifies the number of unresolved alerts with the alert severity level of Success.
Custom Datan | Specifies user-defined, user-populated columns.
Maintenance Mode End | Indicates date and time maintenance mode ended.
Maintenance Mode User | Specifies who put computer into maintenance mode.
Maintenance Mode Reason | Specifies why computer was put into maintenance mode.

See or Change View Properties

To see or change the Event view properties, right-click anywhere in the Results pane and click Computer View Properties to open the Computer View Properties dialog box. This dialog box has two tabs that you can work with: Criteria and General.

Criteria
This tab has two input areas, one for selecting computers and one for specifying the corresponding descriptive parameters that are used to qualify the computer that you select. In the Which computers do you want to view? list, select a computer by clicking the check box beside the descriptive parameter. When you select an item, a corresponding hyperlink is displayed in the View description (click the underlined value to edit) input area. Click the hyperlink to open a dialog box, and then provide the required information. The following table lists the available parameters and describes the associated information you are prompted to provide.
Note Note

If you do not specify any computers, all the computers in the management group are part of the Computers view.

with specified state | Click the link to open the State dialog box. Select the appropriate check box to identify the type of state that you want to use. For example, Information, Error, or Service Unavailable.
with open alerts | All computers with Open Alerts will be in the view. Use the other criteria options to qualify the Open Alerts. For example, computers with a specified name or in a specified computer group.
with specified severity alerts that are not Resolved | Click the link to open the Alert Severity dialog box. Select the appropriate check box to identify the level of alert severity that you want to use. For example, Information, Error, or Service Unavailable.
with specified name | Click the link to open the Computer Name dialog box. Type a complete text string or use wildcards to provide the Domain and Computer information.
in specified Computer Group | Click the link to open the Computer Group dialog box. Type a complete text string or use wildcards to identify the computer group.
with specified FQDN | Click the link to open the FQDN dialog box. Type a complete text string or use wildcards to identify the FQDN.
with no heartbeat in specified time range | Click the link to open the Heartbeat Time dialog box. Provide a time range using numeric and range qualifies, such as minutes, hours, or days.
running Microsoft Operations Manager agent | All computers with the agent installed will be in the view. Use other criteria options to qualify the this selection. For example, computers with a specified description.
with specified description | Click the link to open the Computer Description dialog box. Type a complete text string or use wildcards to identify the computer description.
with specified CustomDatan | Click the link to open the Custom Datan dialog box. Type a complete text string or use wildcards to identify the custom data.
in maintenance mode | View all computers in maintenance mode.
General
This tab has two input areas: View name and Description. The description is optional. You can change the name or description by clicking the appropriate text boxes to delete or add text.
Note Note

To view alerts, events, and performance information, right-click the computer name, and then click Alerts, Events, or Performance.

Work with View Details

When you click Computers and Groups, the Computers view appears. On the navigation pane, click the Computers node to obtain information about discovered computers that is displayed in the Results and Detail panes in the center of your screen. Select a computer in the Results pane. Information about the selected computer appears in the Detail pane below the results.

The following Computers view attributes are displayed in the Detail pane.

Attributes
When you click Attributes, the following computer attributes, where available, are displayed in the Detail pane. The following fields are displayed as column headings: Attribute Name, Value, Computer Name, and Domain Name. You can sort this data in ascending or descending order by clicking on a column title.
Rule Groups
When you click Rule Groups, any associated rule groups are displayed in the Detail pane. The following fields are displayed as column headings: Rule Group, Associated Computer Group, Computer Name, and Domain Name. You can sort these rule groups in ascending or descending order by clicking on a column title.
Computer Groups
When you click Computer Groups, any associated computer groups are displayed in the Detail pane. The following fields are displayed as column headings: Computer Group, Description, Computer Name, Domain Name. You can sort these rule groups in ascending or descending order by clicking on a column title.
Roles
When you click Roles, a hierarchical view of all the computers is displayed in the Detail pane according to their role. For example, the MOM Agent Node. A table is associated with the node label. In this example the table displays the following data: Instance Name, Action Account Identity, Agent Version, Backup MOM Servers Per Management Group, Management Group Membership, Name, and Primary MOM Server Per Management Group.


Work with the Computer Groups View

The available data for a Computer Groups view is displayed in the Results pane when you click the Computer Group view name in the Navigation pane of the MOM Operator console. You can also click the computer group name in Public Views or My Views in the Navigation pane. Each row in the Results pane is a data instance generated for the view.

By default, all the data for all the computer groups in the scope that you are using is displayed. For example, if you are logged on with an account that is a member of the MOM Administrator group, you see all the data for the MOM Administrator Scope. If you want to refine the selection of data in the Results pane, select a specific computer group in the MOM Administrator Scope from the Computer Group list, such as Microsoft Operations Manager 2005 Agents. In addition to viewing Events view data you can:

  • Personalize the View
  • See or Change View Properties
  • Work with View Details

Personalize the View

The Computer Groups view displays the data by using a predetermined selection of elements (seen as column headings) that are organized in a predetermined order. You can sort the data in ascending or descending order by clicking the column title that you want to use as a sort criterion.

If you want to change the data elements that are displayed as columns, or their sequence, right-click anywhere in the Results pane and click Personalize View to open the Personalize View dialog box.

The dialog box lists the Available columns and the Displayed columns.

To add an item to the columns that are displayed
Select the item that you want in the Available columns list, and then click Add to move it to the Displayed columns list.
To remove an item from the columns that are displayed
Select the item in the Displayed columns list, and then click Remove to move it back to the Available columns list.
To change the order that columns are displayed
Select the item in the Displayed columns list and click Move Up or Move Down to move the item.

The following tables summarize the displayed and available column titles, or data fields, for a Computer Groups view.

Displayed column | Description
State | Indicates the state for each computer group. For example, Critical Error or No Alerts.
Computer Group | Specifies the name of the computer group.
Open Alerts | Specifies the number of open alerts for the computer group.
Subgroups | Specifies the number of subgroups associated with a computer group.
All Computers | Specifies the number of computers in a computer group.
Managed Computers | Specifies the number of managed computers in a computer group.
Agentless Managed Computers | Specifies the number of agentless-managed computers in a computer group.
Maintenance Mode Computer | Specifies the number of maintenance mode computers in a computer group. These are computers that have been changed from managed to unmanaged computers.
Service Unavailable Computers | Specifies the number of unresolved alerts with a severity level of Service Unavailable for each computer group.
Security Issue Computers | Specifies the number of unresolved alerts with a severity level of Security Issue for each computer group.
Critical Error Computers | Specifies the number of unresolved alerts with a severity level of Critical Error for each computer group.
Unmanaged Computers | Specifies the number of unmanaged computers in a computer group.
Available column | Description
New Alerts | Specifies the number of alerts with a resolution state of New for each computer group.
Error Computers | Specifies the number of unresolved alerts with a severity level of Error for each computer group.
Warning Computers | Specifies the number of unresolved alerts with a severity level of Warning for each computer group.
Information Computers | Specifies the number of alerts with a severity level of Information for each computer group.
Success Computers | Specifies the number of alerts with a severity level of Success for each computer group.

See or Change View Properties

To see or change the Computer Groups view properties, right-click anywhere in the Detail pane, and click Computer Group View Properties to open the Computer Group View Properties dialog box. This dialog box has two tabs: Criteria and General.

Criteria
This tab has two input areas, one for selecting computers and one for specifying the corresponding descriptive parameters that are used to qualify the computer that you select. In the Which computer groups do you want to view? list, select a computer by clicking the check box beside the descriptive parameter. When you select an item, a corresponding hyperlink is displayed in the View description (click the underlined value to edit) input area. Click the hyperlink to open a dialog box, and then provide the required information. The following table lists the available parameters and describes the associated information you are prompted to provide.
Note Note

If you do not specify any computer groups, all the computer groups in the management group will be part of the Computer Groups view.

Computers | Required view description information
with computers of specified state | Click the link to open the State dialog box. Select the appropriate check box to identify the State that you want to use. For example, Information, Error, or Service Unavailable.
with specified name | Click the link to open a search dialog box. Type a complete text string or use wildcards to provide the search criteria to use in searching for the computer group name.
General
This tab has two input areas: View name and Description. The description is optional. You can change the name or description by clicking the appropriate text box to delete or add text.
Note Note

To view computers, alerts, state, and diagram information, right-click the computer group name in the Results pane, and then click Computers, Alerts, State, or Diagram.

Work with View Details

When you click Computers and Groups in the Navigation pane, you can look at data for three views: Computer Groups, Computers, and Computer Attributes.

Depending on the view you select, the data in the Detail and Results panes changes. For example, in the Computer Groups view, the Results pane displays a table listing any discovered computer groups. Each row represents a single computer group. The Detail pane contains the details for the computer group selected in the Results pane.


Work with the Diagram View

The available data for Diagram view is displayed in the Results pane when you click the diagram name in the Navigation pane of the MOM Operator console. You can also click the diagram name in Public Views or My Views in the Navigation pane. The Diagram view presents a graphical representation of the MOM management group to which you are connected.

By default, all of the data for all of the computer groups in the scope that you are using is displayed. For example, if you are logged on with an account that is a member of the MOM Administrator group, you can see all of the data for the MOM Administrator Scope. If you want to refine the selection of data in the Results pane, select a specific computer group in the MOM Administrator Scope from the Computer Group list, such as Microsoft Operations Manager 2005 Agents.

The default diagram type is Computer Group Containment, consequently, you might see only the top level computer group. In the Results pane, to expand the selected computer group to show its subgroups, click the plus (+) sign on the toolbar. This icon expands the diagram one level. To contract the diagram, click the minus (-) sign.

In addition to viewing Diagram view data, you can:

  • See or Change View Properties
  • Pivoting to Other Views

See or Change View Properties

To see or change the Diagram view properties, right-click anywhere on the diagram in the Results pane, and click Diagram View Properties to open the Diagram View Properties dialog box. You can make changes in two tabs: Diagram Settings and General.

Diagram Settings
This tab provides the following options.
Diagram Type
Specifies the type of diagram that is displayed. The default option is Computer Group Containment that is associated with the MOM Management Pack. The drop-down list is automatically populated with diagram types for each management pack that you install.
Number of levels to display
Specifies the number of levels to display. The options are All or an integer value from 1 to 10.
Routing style
Specifies the routing style that determines how objects in the diagram are laid out on the screen. The options are: Straight, Network, Center to Center, Org Chart (North-South), and Tree (North-South).
Node placement style
Specifies how the nodes are placed in relation to the MOM Management Server. The options are: Undirected, North-South, West-East, South-North, East-West, and Circular.
Node placement depth
Specifies how far apart the nodes are placed. The options are: Shallow, Medium, and Deep.
Rendering quality
Specifies the rendering quality for the image. The options are: High Speed and High Quality. The default value is High Speed.
Background image
Specifies a background image for the diagram. By default, no images are used.

If you want to add a background image, click Background Images to view and select the available background images.

General
This tab provides the following options.
View name
Specifies the view name.
View description
Specifies an optional view description.
Thresholds
Specifies the following values:
  • Optimize diagram layout when number of items reaches. The default value is 250.
  • Maximum number of items to display. The default value is 1000.

You can also view and make changes to a diagram view with the options on the Diagram Views toolbar. Select from the following toolbar icons.

Diagram View Properties
Click to open the Diagram View Properties dialog box mentioned above.
Print the Diagram
Click to print the selected diagram object.
Export to Microsoft Visio
Click to open the Save diagram as a Visio .VDX file dialog box. To save the diagram as a Visio file, type a filename and click Save.
Zoom in, Zoom out
Click these icons to either zoom in or out on the diagram view.
Expand one level, Contract one level
Click these icons to either expand or contract a hierarchical diagram.
Relayout diagram
After you zoom in or out of a diagram, click this icon to return to the default view.
View diagram legend
Click to open the diagram legend window. The diagram legend contains the icons that represent the objects and states that you see in the diagram view.

Pivoting to Other Views

You can obtain additional information when working with the Diagram view by opening another view from the diagram. Right-click any of the diagram objects, click View, and then click an option on the fly-out menu. For example, if you select a computer diagram object, the menu contains options to view alerts, events, computer detail, or performance.


Work with the Performance View

The available data for the Performance view is displayed in the Results pane when you click Performance in the Navigation pane of the MOM Operator console. You can also click the view name in Public Views or My Views in the Navigation pane. Each row in the Results pane is a data instance generated for the view.

By default, all of the data for all of the computer groups in the scope that you are using is displayed. For example, if you are logged on with an account that is a member of the MOM Administrator group, you see all of the data for the MOM Administrator Scope. If you want to refine the selection of data in the Results pane, select a specific computer group in the MOM Administrator Scope from the Computer Group list, such as Microsoft Operations Manager 2005 Agents. In addition to viewing Performance view data you can:

  • Personalize the View
  • See or Change View Properties

Personalize the View

The Performance view displays the data by using a predetermined selection of elements (seen as column headings) that are organized in a predetermined order. You can sort the data in ascending or descending order by clicking the column title that you want to use as a sort criterion.

If you want to change the data elements that are displayed as columns, or their sequence, right-click anywhere in the Results pane, and click Personalize View to open the Personalize View dialog box.

The dialog box lists the Available columns and the Displayed columns.

To add an item to the columns that are displayed
Select the item that you want in the Available columns list, and then click Add to move it to the Displayed columns list.
To remove an item from the columns that are displayed
Select the item in the Displayed columns list, and then click Remove to move it to the Available columns list.
To change the order that columns are displayed
Select the item in the Displayed columns list, and click Move Up or Move Down to move the item.

The following table summarizes the displayed column titles, or data fields, for a Performance view. In the case of a performance view, all available fields are displayed by default.

Displayed column | Description
Domain | Specifies the domain to which the computer belongs.
Computer | Specifies the name of the computer.
Performance Object | Specifies any performance objects that are included.
Performance Instance | specifies any performance instances that are included.
Performance Counter | Specifies the performance counter that is used in the view.
Last Sampled Value | Specifies the last sampled value in the view.
Last Sampled Time | Specifies the last sampled time in the view.

See or Change View Properties

To see or change the Performance view properties, right-click anywhere in the Results pane, and click Performance Data View Properties to open the Performance Data View Properties dialog box. This dialog box has two tabs that you work with: Criteria and General.

Criteria
This tab has two input areas: one for selecting attributes and one for specifying the corresponding descriptive parameters that are used to qualify the attribute. In the Which performance data do you want to view? list, select the performance data by clicking the check box beside the description of the performance data type. When you select a data type, a corresponding hyperlink is displayed in the View description (click the underlined value to edit) input area. Click the hyperlink to open a dialog box, and then provide the required information. The following table lists the available performance data and describes the associated information that you are prompted to provide.
Note Note

If you do not specify any performance data, all the performance data in the management group is part of the Performance Data view.

for specified object | Click the link to specify what performance data object to search for. You can type a complete text string or use wildcards.
measured in specified time period | Click the link to open the Graph Data and Time Filter dialog box. Select either Within the time range or Within the last.
for specified instance | Click the links to specify what instance to search for. You can type a complete text string or use wildcards.
for specified counter | Click the links to specify what counters to search for. You can type a complete text string or use wildcards.
measured on specified computer | Click the link to specify the computer on which to view the performance data. Type a domain and computer name to search for. You can type a complete text string or use wildcards.
in specified Computer Group | Click the link to specify the Computer Group on which to search. You can type a complete text string or use wildcards.
General
This tab has two input areas: View name and Description. The description is optional. You can change the name or description by clicking the appropriate text box to delete or add text.


Work with the Performance View

The available data for a Performance view is displayed in the Results pane after you select the view by clicking the Performance view name in Views or My Views in the Actions pane. Each row in the Results pane is a data instance generated for the view.

By default, all of the data for all of the computer groups in the scope that you are using is displayed. For example, if you are logged on with an account that is a member of the MOM Administrator group, you see all the data for the MOM Administrator Scope. If you want to refine the selection of data in the Results pane, select a specific computer group in the MOM Administrator Scope from the Computer Group list, such as Microsoft Operations Manager 2005 Agents. In addition to viewing Performance view data you can:

  • Personalize the View
  • See or Change View Properties

Personalize the View

The Performance view displays the data by using a a predetermined selection of elements (seen as column headings) that are organized in a predetermined order. You can sort the data in ascending or descending order by clicking the column title that you want to use as a sort criterion.

If you want to change the data elements that are displayed as columns, or their sequence, right-click anywhere in the Results pane, and click Personalize View to open the Personalize View dialog box.

The dialog box lists the Available columns and the Displayed columns.

To add an item to the columns that are displayed
Select the item that you want in the Available columns list, and then click Add to move it to the Displayed columns list.
To remove an item from the columns that are displayed
Select the item in the Displayed columns list, and then click Remove to move it to the Available columns list.
To change the order that columns are displayed
Select the item in the Displayed columns list, and click Move Up or Move Down to move the item.

The following table summarizes the displayed column titles, or data fields, for a Performance view. In the case of a performance view, all available fields are displayed by default.

Displayed column | Description
Include | Specifies that a counter is included in the graph.
Domain | Specifies the domain to which the computer belongs.
Computer | Specifies the computer on which the performance data was collected.
Performance Object | Specifies the performance object, which is an item that represents a process, a section of shared memory, or a physical device.
Performance Instance | Specifies the performance counter instance used to report performance values.
Performance Counter | Specifies the performance object counter used to report performance values.
Last Sampled Value | Specifies the last value sampled for a performance counter.
Last Sampled Time | Specifies the last time that a performance counter was sampled.

See or Change View Properties

To see or change the Performance view properties, right-click anywhere in the Results pane, and click Performance Data View Properties to open the Performance Data View Properties dialog box. This dialog box has two tabs that you work with, Criteria and General.

Criteria
This tab has two input areas, one for selecting performance data and one for specifying the corresponding descriptive parameters that are used to qualify the performance data. In the Which performance data do you want to view? list, select a performance item by clicking the check box beside the description that describes the item. When you select an item, a corresponding hyperlink is displayed in the View description (click the underlined value to edit) viewing area. Click the hyperlink to open a dialog box, and then provide the required information. The following table lists the available attributes and describes the associated information that you are prompted to provide.
Performance data | Required view description information
for specified object | Click the link to open the Object dialog box. Type a complete text string or use wildcards to search for an object name.
measured in specified time period | Click the link to open a dialog box. Use the dialog to specify a time range or a time interval.
for specified instance | Click the link to open the Instance dialog box. Type a complete text string or use wildcards to search for an instance name.
for specified counter | Click the link to open the Counter dialog box. Type a complete text string or use wildcards to search for counter.
measured on specified computer | Click the link to open the Computer Name dialog box. Type a complete text string or use wildcards to provide the Domain and Computer information.
in specified Computer Group | Click the link to open the Computer Group dialog box. Type a complete text string or use wildcards to search for a computer group.
General
This tab has two input areas: View name and Description boxes. The description is optional. You can change the name or description by clicking the appropriate text box to add or delete text.


Work with the Performance Graph View

View the performance graph based on the performance counters that you selected. You can also modify the properties of the chart.

The Performance Graph view shows the graph in Results pane. The Detail pane shows a table with the details about the counters you chose.

To change the chart, right-click anywhere on the chart, and click Chart Properties. After you finish making changes to the chart properties, click OK.

See Also

Work with the Performance View | Work with the Performance Data View


Work with the State View

The available data for a State view is displayed in the Results pane when you click State in the Actions pane. Each row in the Results pane is a data instance generated for the view.

By default, all of the data for all of the computer groups in the scope that you are using is displayed. For example, if you are logged on with an account that is a member of the MOM Administrator group, you see all of the data for the MOM Administrator Scope. If you want to refine the selection of data in the Results pane, select a specific computer group in the MOM Administrator Scope from the Computer and Groups list, such as Microsoft Operations Manager 2005 Agents. In addition to viewing State view data you can:

  • Personalize the View
  • See or Change View Properties
  • Work with View Details

Personalize the View

The State view displays the data by using a a predetermined selection of elements (seen as column headings) that are organized in a predetermined order. You can sort the data in ascending or descending order by clicking the column title that you want to use as a sort criterion.

If you want to change the data elements that are displayed as columns, or their sequence, right-click anywhere in the Results pane, and click Personalize View to open the Personalize View dialog box.

The dialog box lists the Available columns and the Displayed columns.

To add an item to the columns that are displayed
Select the item that you want in the Available columns list, and then click Add to move it to the Displayed columns list.
To remove an item from the columns that are displayed
Select the item in the Displayed columns list, and then click Remove to move it to the Available columns list.
To change the order that columns are displayed
Select the item in the Displayed columns list, and then click Move Up or Move Down to move the item.

The following tables summarize the displayed column titles, or data fields, for a State view.

Displayed column | Description
State | Specifies the current state for all computers. For example, Critical Error.
Maintenance Mode (wrench icon) | Indicates that the computer is currently in maintenance mode. All new incoming alerts are automatically set to Resolved, and responses are not run on the management server.
Domain | Specifies where the computer resides on the server.
Computer | Specifies the computer on which there are unresolved alerts.
MOM Agent | Indicates whether or not the computer has an installed agent.
MOM Server | Indicates whether or not the computer is a MOM Server.
All Open Alerts | Indicates that the computer has open alerts.

See or Change View Properties

To see or change the State view properties, right-click anywhere in the Results pane, and then click State View Properties to open the State View Properties dialog box. This dialog box has three tabs that you work with: Criteria, General, and Roles.

Criteria
This tab has two input areas: one for selecting computers and one for specifying the corresponding descriptive parameters that are used to qualify the computer selection. In the Which computers do you want to view? list, to select a computer by clicking the check box beside the computer description. When you select a computer, a corresponding hyperlink is displayed in the View description (click the underlined value to edit) input area. Click the hyperlink to open a dialog box, and then provide the required information. The following table lists the available computer items and describes the associated information that you are prompted to provide.
Computer | Required view description information
in a specified computer group | Click the link to open the Computer Group dialog box. Type a complete text string or use wildcards to identify the computer group.
with specified name | Click the link to open the Name dialog box. Type a complete text string or use wildcards to provide the Domain and Computer information.
with specified text in the description | Click the link to open the Description dialog box. Type a complete text string or use wildcards to find text in the computer description.
with unresolved alerts of specified severity | Click the link to open the Owner dialog box. Select the appropriate check box to identify the level of severity that you want to use. For example, Information, Error, or Warning.
with open alerts | By default, displays all states with open alerts. Use the other items to qualify this selection.
with no heartbeats in specified time range | Click the link to open the Heartbeat dialog box. Specify a time range. This time range uses a numeric value and time interval, such as minutes, or days.
running Microsoft Operations Manager Agent | By default, displays all states running the agent. Use the other items to qualify this selection.
with specified string in CustomDatan | Click the link to open the Custom n dialog box. Type a complete text string or use wildcards to locate text in a user-defined custom data field.
General
This tab has two input areas: View name and Description. The description is optional. You can change the name or description by clicking the appropriate text bos to delete or add text.
Roles
This tab has two input areas: Available Roles and Selected Roles. The following options are provided.
Display all roles (including those added in the future)
All the available roles (Computer, MOM, MOM Agent Node, MOM Agentless, MOM Database, MOM Reporting Database, MOM Reporting Server, and MOM Server) are included in the view. Clear the check box if you want to display specific roles for the view.
Select from existing available roles
Select this item, and then click Remove to remove roles from the Selected Roles list, or click Add to add roles from the Available Roles list.

Work with View Details

The Detail pane for the State view displays view information for all the rows in the Results pane. You can view detail information for each data element in the Results pane by clicking the specific data. For example, to view the details for a specific computer, click the computer name in the Computer column. The Detail pane displays the following information:

  • Computer name
  • Number of open alerts
  • Number of events
  • Date and time of the last heartbeat

To access other views, right-click anywhere in the Results pane, point to View, and then click one of the following:

  • Computers
  • Alerts
  • Events
  • Performance
  • Attributes


Create a New Alerts View

Create a new Alerts view by using the Navigation pane in the MOM Operator console.

Members of MOM Administrators and MOM Authors can create new views anywhere in an active view, Public Views, or My Views. Members of MOM Users can create a new view only in My Views.

Note Note

You can create a new Alerts view in any existing folder, or create a new folder. To create a new folder, right-click an existing folder and point to New, and click Folder.

To create a new Alerts view

  1. In the Navigation pane, click Alerts, right-click the folder for the rule group where you want to create the view, point to New, and then click Alerts View to open the Create New - Alerts View dialog box.
  2. In the list below Which type of alert view do you want to create?, select the view that you want.
  3. The View description list is dynamically populated with criteria that correspond to your selection. Click Next to continue.
  4. Depending on the alert that you selected, an additional dialog box is displayed. Under Which alerts do you want to view?, select the check box beside the alerts that you want to view. Each enabled alert automatically creates a hyperlink under View Description (click the underlined value to edit).
  5. Click each link to open a dialog box to provide more information that is used to select the alert. When finished entering this information, click OK.
  6. Click Next to continue.
  7. In the View name box, type a name. You can optionally type a description in the Description box.
  8. Click Finish to complete the creation of the view.

Example

The procedure in the following example creates a new alert view that is associated with an alert severity level of "Warning."

  1. In the console tree of the Navigation pane, right-click the folder for the rule group where you want to create the view, point to New, and then click Alerts View to open the Create New - Alerts View dialog box.
  2. Select Alerts that satisfy specified criteria, and then click Next.
  3. In the Which type of alert view do you want to create? list, select the specified alert severity check box.
  4. In the View Description (click the underlined value to edit) viewing area, click specified alert to open the Severity dialog box.
  5. Click the Warning check box, and then click OK.
  6. Click Next to continue.
  7. In the View Name box, type MyNewAlert. In the Description box, type A Sample New Alert View.
  8. Click Finish.

Related Concepts

Views

See Also

Work with the Alerts View


Create a New Events View

Create a new Events view by using the Navigation pane in the MOM Operator console.

Members of MOM Administrators and MOM Authors can create new views anywhere in an active view, Public Views, or My Views. Members of MOM Users can create a new view only in My Views.

Note Note

You can create a new view in any existing folder, or create a new folder. To create a new folder, right-click an existing folder, point to New, and then click Folder.

To create a new Events view

  1. In the Navigation pane, click Events, right-click the folder for the rule group where you want to create the view, point to New, and click Events View to open the Create New - Events View dialog box.
  2. In the Which type of event view do you want to create? list, select the view that you want.
  3. The View Description list is dynamically populated with criteria that correspond to your selection. Click Next to continue.
  4. Depending on the event that you selected, an additional dialog box is displayed. This dialog box lists events under Which events do you want to view?. Select the check box beside the events that you want to view. Each enabled event automatically creates a hyperlink in the View Description (click the underlined value to edit) viewing area.
  5. Click each link to open a dialog box to provide more information that is used to select the event. When finished entering this information, click OK.
  6. Click Next to continue.
  7. In the View name box, type a name. You can optionally type a description in the Description box
  8. Click Finish to complete the creation of the view.

Example

The procedure in the following example creates a new event view that is associated with a security event of type Information.

  1. In the Navigation pane, click Events, right-click the folder for the rule group where you want to create the view, point to New, and click Events View to open the Create New - Events View dialog box.
  2. Select the Security Events from someone check box, and click Next.
  3. Select the of specified type check box.
  4. In the View Description (click the underlined value to edit) viewing area, click specified to open the Type dialog box.
  5. Click the Information check box, and then click OK.
  6. Click Next to continue.
  7. In the View Name box, type MyNewEvent. In the Description box, type A sample new event view.
  8. Click Finish.

Related Concepts

Views

See Also

Work with the Events View


Create a New Computer Attributes View

Create a new Computer Attributes view by using the Navigation pane in the MOM Operator console.

Members of MOM Administrators and MOM Authors can create new views anywhere in an active view, Public Views, or My Views. Members of MOM Users can create a new view only in My Views.

Note Note

You can create a new view in any existing folder, or create a new folder. To create a new folder, right-click an existing folder, point to New, and then click Folder.

To create a new Computer Attributes view

  1. In the Navigation pane, click Computers and Groups , right-click the computer or group folder to which you want to add an Attributes view, (for example, Microsoft Operations Manager), point to New, and then click Computer Attributes View to open the Create New-Attributes View dialog box.
  2. In the list below Which type of computer attribute do you want to create?, accept the default item, Attributes that satisfy specified criteria.
  3. The View Description list is dynamically populated with criteria that correspond to the selection. Click Next to continue.
  4. In the list below Which computer attributes do you want to view?, select the check boxes for the attributes that you want to view.

    Each enabled attribute automatically creates a hyperlink in the View Description (click the underlined value to edit) viewing area.

  5. Click each link to open a dialog box to provide more information that is used to select the attribute. When finished entering this information, click OK. Click Next to continue.
  6. In the View name box, type a name. You can optionally type a description in the Description box
  7. Click Finish to complete the creation of the view.

Example

The procedure in the following example creates a new Computer Attribute view based on computer IP addresses.

  1. In the Navigation pane, right-click the folder for the rule group where you want to create the view, point to New, and then click Computer Attributes View.
  2. Accept the default, and click Next.
  3. In the Which computer attributes do you want to view? list, select the of specified type check box.
  4. In the View description (click the underlined value to edit) viewing area, click specified to open the Type dialog box.
  5. Select the IP Address check box, and click OK. Click Next to continue.
  6. In the View Name box, type MyNewComputerAttribute. In the Description box, type A sample Computer Attribute view, and then click Finish.

Related Concepts

Views

See Also

Work with the Computer Attributes View


Create a New Computers View

Create a new Computers view by using the Navigation pane in the MOM Operator console.

Members of MOM Administrators and MOM Authors can create new views anywhere in an active view, Public Views, or My Views. Members of MOM Users can create a new view only in My Views.

Note Note

You can create a new view in any existing folder, or create a new folder. To create a new folder, right-click an existing folder, point to New, and then click Folder.

To create a new Computers view

  1. In the Navigation pane, click Computers and Groups, right-click the folder for the rule group where you want to create the view, point to New, and click Computers View to open the Create New - Computer View dialog box.
  2. In Which type of computer view do you want to create? list, select the view that you want to create.
  3. The View description list is dynamically populated with criteria that correspond to your selection. Click Next to continue.
  4. Depending on the computer that you selected, an additional dialog box is displayed. In the Which computers do you want to view? list, select the check box beside the description that qualifies which computers you want to view. Each enabled computer automatically creates a hyperlink in the View description (click the underlined value to edit) viewing area.
  5. Click each link to open a dialog box to provide more information that is used to select the computer. When finished entering this information, click OK.
  6. Click Next to continue.
  7. In the View name box, type a name. You can optionally type a description in the Description box
  8. Click Finish to complete the creation of the view.

Example

The procedure in the following example creates a new Computers view based on unresolved Service Unavailable alerts.

  1. In the Navigation pane, click Computers and Groups, right-click the folder for the rule group where you want to create the view, point to New, and click Computers View to open the Create New - Computer View dialog box.
  2. Select Computers that satisfy specified criteria, and click Next.
  3. In the Which computers do you want to view? list, select the with specified severity alerts that are not Resolved check box.
  4. In the View description (click the underlined value to edit) viewing area, select specified severity to open the Alert Severity dialog box.
  5. Select the Service Unavailable check box, and click OK.
  6. Click Next to continue.
  7. In the View name box, type MyNewComputer. In the Description box, type A sample Computer view .
  8. Click Finish to complete the creation of the view.

Related Concepts

Views

See Also

Work with the Computers View


Create a New Computer Groups View

Create a new Computer Groups view by using the Navigation pane in the MOM Operator console.

Members of MOM Administrators and MOM Authors can create new views anywhere in an active view, Public Views, or My Views. Members of MOM Users can create a new view only in My Views.

Note Note

You can create a new view in any existing folder, or create a new folder. To create a new folder, right-click an existing folder, point to New, and then click Folder.

To create a new Computer Groups view

  1. In the Navigation pane, click Computers and Groups, right-click the folder for the rule group where you want to create the view, point to New, and click Computer Groups ViewComputer Groups View to open the Create New - Computer Group View dialog box.
  2. In the list below Which type of computer group view do you want to create?, select the view that you want to create.
  3. The View description list is dynamically populated with criteria that correspond to your selection. Click Next to continue.
  4. Depending on the computer group view that you selected, an additional dialog box is displayed. In the Which computer groups do you want to view? list, select the check box beside the description that qualifies which computer groups you want to view. Each enabled computer group automatically creates a hyperlink in the View description (click the underlined value to edit) viewing area.
  5. Click each link to open a dialog box to provide more information that is used to select the computer group. When finished entering this information, click OK. Click Next to continue.
  6. In the View name box, type a name. You can optionally type a description in the Description box.
  7. Click Finish to complete the creation of the view.

Example

The procedure in the following example creates a new Computer Groups view based on computer groups with a specified name.

  1. In the Navigation pane, right-click the folder for the rule group where you want to create the view, point to New, and then click Computer Groups View to open the Create New - Computer Group View dialog box.
  2. Select Computer Groups that satisfy specified criteria, and click Next.
  3. In the Which computer groups do you want to view? list, select the with specified name check box.
  4. In the View description (click the underlined value to edit) viewing area, click specified to open a dialog box to specify the name.
  5. Type * Agents (The wildcard and text string will find the Microsoft Operations Manager 2005 Agents computer group), and click OK. Click Next to continue.
  6. In the View Name box, type MyNewComputerGroup. In the Description box, type A sample Computer Group view, and then click Finish.

Related Concepts

Views

See Also

Work with the Computer Groups View


Create a New Diagram View

Create a new Diagram view by using the Navigation pane in the MOM Operator console.

Members of MOM Administrators and MOM Authors can create new views anywhere in an active view, Views, or My Views. Members of MOM Users can create a new view only in My Views.

Note Note

You can create a new view in any existing folder, or create a new folder. To create a new folder, right-click an existing folder, point to New, and then click Folder.

To create a new Diagram view in My Views

  1. In the Navigation pane, click Diagram, right-click the folder for the rule group where you want to create the view, point to New, and click Diagram View to open the Create New - Diagram View dialog box.
  2. Accept or change the default settings, and then click Next to continue.
  3. In the View name box, type a name. You can optionally type a description in the View Description box. Accept or change the settings for Optimize diagram layout when number of items reaches and Maximum number of objects to display on surface.
  4. Click Finish complete the creation of the view.

Example

The procedure in the following example creates a new Diagram view for Exchange servers. The example assumes that the Exchange Management Packs are installed.

  1. In the Navigation pane, click Diagram, right-click the folder for the rule group where you want to create the view, point to New, and click Diagram View to open the Create New - Diagram View dialog box.
  2. In the Select a diagram type list, select Exchange, and then click Next to accept the other default settings and continue.
    Note Note

    The default settings for diagram layout and rendering vary according to the type of diagram. If you compare the Exchange diagram defaults to the Operations Manager diagram defaults, you see that: the Routing Style is Network and the Node placement style is Undirected.

  3. In the View Name box, type MyNewDiagram. In the Description box, type A sample Diagram view.
  4. Click Finish.

Related Concepts

Views

See Also

Work with the Diagram View


Create a New Performance View

Create a new Performance view using the Navigation pane in the Operator console.

Members of MOM Administrators and MOM Authors can create new views anywhere in an active view, Public Views, or My Views. Members of MOM Users can create a new view only in My Views.

Note Note

You can create a new view in any existing folder, or create a new folder. To create a new folder, right-click an existing folder, point to New, and then click Folder.

To create a new Performance view

  1. In the Navigation pane, click Performance, right-click the folder for the rule group where you want to create the view, point to New, and click Performance View to open the Create New - Performance View dialog box.
  2. In the Which computers do you want to view? list, select the type of computer that you want to use in the view.
  3. The View description list is dynamically populated with criteria that correspond to your selection. Click the link that is associated with the type of computer that you selected. This action opens a dialog box to provide more information that is used to qualify your computer selection.
  4. When finished entering this required information, click OK.
  5. Click Next to continue.
  6. In the View name box, type a name. You can optionally type a description in the Description box.
  7. Click Finish to complete the creation of the view.

Example

The procedure in the following example creates a new Performance view for computers with a specified name.

  1. In the Navigation pane, click Performance, right-click the folder for the rule group where you want to create the view, point to New, and click Performance View to open the Create New - Performance View dialog box.
  2. In the Which computers do you want to view? list, select with specified name.
  3. The View description list is dynamically populated with criteria that correspond to your selection. Click specified to open the Name dialog box.
  4. In the Domain and Computer boxes, type a domain name and computer name, and then click OK.
    Note Note

    You can type the entire name, or use wildcards for both the domain and computer names.

  5. Click Next to continue.
  6. In the View Name box, type MyNewPerformance. In the Description box, type A sample Performance view.
  7. Click Finish.

Related Concepts

Views

See Also

Work with the Performance View


Create a New Performance Data View

Create a new Performance Data view by using the Navigation pane in the MOM Operator console.

Members of MOM Administrators and MOM Authors can create new views anywhere in an active view, Public Views, or My Views. Members of MOM Users can create a new view only in My Views.

To create a new Performance Data view

  1. In the Navigation pane, click Performance, right-click the folder for the rule group where you want to create the view, point to New, and click Performance Data View to open the Create New - Performance Data View dialog box.
  2. In the Which type of Performance Data view to you want to create? list, select the type of data that you want to use in the view, and then click Next.
  3. In the Which performance data do you want to view? list, select the check box beside the performance data that you want use.
  4. The View description list is dynamically populated with criteria that correspond to your selection. Each enabled performance data item automatically creates a hyperlink in the View Description (click the underlined value to edit) viewing area.
  5. Click the link that is associated with the type of performance data that you selected to open a dialog box to provide more information that is used to select the event. When finished entering this information, click OK.
  6. Click Next to continue.
  7. In the View name box, type a name. You can optionally type a description in the Description box
  8. Click Finish to complete the creation of the view.

Example

The procedure in the following example creates a new Performance Data view based on memory performance data in a specified time period.

  1. In the Navigation pane, click Performance, right-click the folder for the rule group where you want to create the view, point to New, and click Performance Data View to open the Create New - Performance Data View dialog box.
  2. In the Which type of Performance Data view to you want to create? list, select Memory on a specified computer, and then click Next.
  3. In the Which performance data do you want to view? list, select the measured in a specified time period check box. .
  4. The View description list is dynamically populated with criteria that correspond to your selection. Select the in the last 2 hours check box.
  5. In the time value box, type 10. In the time measurement list, select Minutes.
    Note Note

    You can also specify a time range by selecting the Within the time range check box beside. If you choose this option, you can use the calendars to set the Before and After dates.

  6. After you finish qualifying your performance data selection by providing the required information, click OK.
  7. Click Next to continue.
  8. In the View Name box, type MyNewPerformanceData. In the Description box, type A sample Performance Data view .
  9. Click Finish.

Related Concepts

Views

See Also

Work with the Performance Data View


Create a New State View

Create a new State view by using the Navigation pane in the MOM Operator console.

Members of MOM Administrators and MOM Authors can create new views anywhere in an active view, Public Views, or My Views. Members of MOM Users can create a new view only in My Views.

Note Note

You can create a new view in any existing folder, or create a new folder. To create a new folder, right-click an existing folder, point to New, and then click Folder.

To create a new State view

  1. In the Navigation pane, click State, right-click the folder for the rule group where you want to create the view, point to New, and click State View to open the Create New - State View dialog box.
  2. In the Which type of State View do you want to create? list, select the state that you want to create.
  3. The View description list is dynamically populated with criteria that correspond to your selection. Click Next to continue.
  4. Depending on the state that you selected, an additional dialog box is displayed. In the Which computers do you want to view? list, select the check box beside the description that qualifies which computers you want to view. Each enabled computer automatically creates a hyperlink in the View description (click the underlined value to edit) viewing area.
  5. Click each link to open a dialog box to provide more information that is used to select the computer. When finished entering this required information, click OK.
  6. Click Next to continue.
  7. Specify the roles that you want associated with the State view by either accepting all roles or selecting from existing available roles. Click Add and Remove to move roles between the Available Roles and Selected Roles lists. When finished selecting roles, click Next to continue.
    Note Note

    You can change the order of the computers in the Selected Roles list by clicking Move Up and Move Down to change the sequence in the list.

  8. In the View name box, type a name. You can optionally type a description in the Description box.
  9. Click Finish to complete the creation of the view.

Example

The procedure in the following example creates a new state view based on computer heartbeat.

  1. In the Navigation pane, click State, right-click the folder for the rule group where you want to create the view, point to New, and click State View to open the Create New - State View dialog box.
  2. Select For computers with no heartbeat in the last 15 minutes, and click Next.
  3. The with no heartbeat in specified time range check box is already selected.
  4. In the View description viewing area, click in the last 15 minutes to open a dialog box.
  5. You are prompted to select the values to show based on time range, which combines a numeric value with a time period. In the text box, type 5 as the numeric value. Click the arrow to select Minutes from the drop-down list. Click OK.
  6. Click Next to continue.
  7. Because the MOM configuration in this example does not use a Reporting Database or a Reporting Server, these roles need to be removed. In the Selected Rows list, click MOM Reporting Database, and click Remove. Do the same for the MOM Reporting Server.
  8. Click Next to continue.
  9. In the View Name box, type MyNewState. In the Description box, type A sample State view.
  10. Click Finish.

Related Concepts

Views

See Also

Work with the State View


Resolve an Alert

Use the MOM Operator console to resolve alerts.

To resolve an alert:

  1. In the Results pane, right-click the alert that you want to resolve, and click Set Alert Resolution State to.
  2. Select one of the following resolution states:
    • New
    • Resolved
    • Acknowledged
    • Level 1: Assigned to help desk or local support
    • Level 2: Assigned to subject matter expert
    • Level 3: Requires scheduled maintenance
    • Level 4: Assigned to external group or vendor


Work with Tasks

After you create tasks in the MOM Administrator console, you can perform actions on, and run the tasks from the Tasks pane in the MOM Operator console. When you create an Operator console task you can define the view type as: Alert, Event, or Computer.

In the Operator console, you can work only with the tasks that are specific to the view type that you assigned to the task. For example, if you create Alert view tasks, when you click Alerts in the Navigation pane, all alert tasks appear as active in the Tasks pane. However, when you click Events in the Navigation pane, only tasks that are specific to events appear as active in the Task pane; the alert tasks appear as inactive.

Note Note

Run-time tasks, such as Management Server or agent-managed computer, always appear active (enabled) in the Operator console.

See Also

Working with Tasks | Create a New Task


MOM Reporting

Use the Reporting console provided by Microsoft® SQL Server™ Reporting Services to view the reports that MOM automatically generates. Several predefined reports are provided for each Management Pack that is included with Microsoft Operations Manager (MOM) 2005. If these Management Packs and their associated reports are installed, you can view or print these reports.

See Also

MOM Reports


Open the Reporting Console

Use the Microsoft® Operations Manager (MOM) Reporting console to open the user interface provided by Microsoft SQL Server™ Reporting Services to view the reports that MOM automatically generates.

Open the Reporting Console

You can open the Reporting console from the Administrator console, from the Operator console, and in stand-alone mode.

To open the Reporting console from the Administrator console

  1. In the navigation pane, click Microsoft Operations Manager.
  2. In the details pane, click Start Reporting Console.

To open the Reporting console from the Operator console

  • In the Go menu, click Open Reporting Console.

To open the Reporting console in stand-alone mode

  • In the Microsoft Windows® operating system, click Start, point to Programs, point to Microsoft Operations Manager 2005, and then click Reporting Console.

Choose Reports to View or Print

After you open the Reporting console, you use the SQL Reporting Services browser interface to choose the reports that you want to view or print.

The following report categories are available and displayed as hyperlinks:

  • Microsoft Operations Manager
  • Operational Data Reporting
  • Operational Health Analysis

To open one of the preceding categories and view the reports, click the category name.

See Also

MOM Reports


MOM Reports

Several predefined reports are provided with the Microsoft Operations Manager (MOM) 2005 Management Pack. The following table summarizes these reports and their content.

These reports are organized by the following categories:

  • Microsoft Operations Manager
  • Operational Data Reporting
  • Operational Health Analysis

Microsoft Operations Manager

The following table summarizes the available reports in the Microsoft Operations Manager category. This category displays all of the reports except for those in the Operational Data Reporting category.

Name | Description
Agent Configuration This report provides configuration information for MOM agents. The required input and available parameters are as follows:
  • Management Group (must be specified).
  • Primary Server (default is ALL).
  • Agent (default is ALL).
  • Sort by—You can sort the results by: Agent (default), Agent Version, Applied Software Updates, Management Group, Primary Management Server, Secondary Management Server, and Action Account Identity.

You can also specify whether you want the results in ascending or descending order.

Agent CPU Usage Detail This report provides a summary of CPU usage for all the agents for a specified period. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Agent.
  • Sort by—You can sort the results by: Agent (default), Agent Version, Applied Software Updates, Management Group, Primary Management Server, Secondary Management Server, and Action Account Identity.

You can also specify whether you want the results in ascending or descending order.

Agent CPU Usage Summary This report graphs CPU usage for an agent for a specified period. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Sort by—You can sort the results by: Agent (default), and CPU Usage.

You can also specify whether you want the results in ascending or descending order.

Agent Events This report provides the key agent health-related events collected by MOM. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Computer (must be specified).
  • Event Type (default is ALL).
  • Sort by—You can sort the results by: Time (default), Event ID, Description, Computer Name, Event Type, and Source.

You can also specify whether you want the results in ascending or descending order.

Agent Health Summary This report provides a summary of key health statistics related to agent performance. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Computer Group (must be specified).
  • Sort by—You can sort the results by: Computer (default), Starts, Stops, and Crashes.

You can also specify whether you want the results in ascending or descending order.

Agent Installation Events This report provides agent installation events collected by MOM. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Computer (must be specified).
  • Event Type (default is ALL).
  • Sort by—You can sort the results by: Time (default), Event ID, Description, Computer Name, and Event Type.

You can also specify whether you want the results in ascending or descending order.

Agent Uptime by Computer This report provides the agent uptime data collected by MOM. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Computer Group (must be specified).
  • Sort by—You can sort the results by: Computer Name (default), Agent Uptime, and System Uptime.

You can also specify whether you want the results in ascending or descending order.

Alert Logging Latency This report provides information about the latency between the time an alert is generated and the time it is stored in the database. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Computer Group (must be specified).
  • Sort by—You can sort the results by: Computer (default), Number of Alerts, Avg Seconds, Min Seconds, and Max Seconds.

You can also specify whether you want the results in ascending or descending order.

Computer Discovery Events This report provides information about the computer discovery events generated by MOM. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Management Server (must be specified).
  • Sort by—You can sort the results by: Time (default), Event ID, Description, Computer Name, and Event Type.

You can also specify whether you want the results in ascending or descending order.

Event Logging Latency This report provides information about the latency between the time an event is raised and the time it is stored in the database. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Computer Group (must be specified).
  • Sort by—You can sort the results by: Computer (default), Number of Events, Avg Seconds, Min Seconds, and Max Seconds.

You can also specify whether you want the results in ascending or descending order.

Management Group Agents The report lists the management servers in a management group and the agents that report to each of the management servers. You need to identify:
  • Management Group.
MOM Health Summary This report provides a summary of MOM health indicators for key components and services. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Computer Group (must be specified).
MOM Performance Analysis This report provides a graph of the volume of data collected by MOM as well as the latency for related to storing this data in the database. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
Operations Manager 2005 Licenses in Use | The report displays the number of Operations Manager 2005 licenses that are required, based on the number of computers that are in use.

Operational Data Reporting

The following table summarizes the available reports in the Operational Data Reporting category.

Name | Description
All Microsoft Operations Manager Alerts and Events | Displays all MOM Alerts and Events in the last seven days.
Management Group Health | Displays management group configuration information and provides a summary of event, alert, and performance counter activity for the last seven days. The report also provides detailed information for the following: Top 100 Alerts by Volume, Installed rule groups (with enabled state), Installed computer groups (with enabled state and count), Top 50 Events, Top 20 alerts with the longest average time to resolve, and Top 20 alerts with the largest total operational cost (Average time to resolve # of Alerts).
Script and Response Errors | Displays all MOM script and response errors in the last seven days.

Operational Health Analysis

The following table summarizes the available reports in the Operational Health Analysis category. This category is a subset of the Microsoft Operations Manager category.

Name Description
Alert Analysis This report provides a list of the alerts matching the criteria specified in the report parameters. Report data can be refined by specifying additional parameters. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Computer Group (must be specified).
  • Alert Name (default is ALL).
  • Provider Instance Name (default is ALL).
  • Rule Group (default is ALL).
  • Sort by—You can sort the results by: Time, Alert Name, Repeat Count (default), Computer Name, Processing Rule Group, and Provider Instance.

You can also specify whether you want the results in ascending or descending order. You can display the properties of a single alert by clicking its name in the body of the report.
Alert Resolution Times This report provides the time difference between when alerts are raised and when they are resolved, categorized by the computer on which the alert was raised. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Computer Group (must be specified).
  • Sort by—You can sort the results by: Computer (default), Number of Alerts, Avg Time, Min Time, and Max Time.

You can also specify whether you want the results in ascending or descending order.

Alerts by Severity by Computer Group This report provides the number of alerts that are raised on computers in the specified computer group, categorized by alert severity. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Computer Group (must be specified).
Event Analysis This report provides the events matching the criteria specified in the report parameters. Report data can be refined by specifying additional parameters. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Computer Group (must be specified).
  • Event Type (default is ALL).
  • Event ID (default is ALL).
  • Provider Instance Name (default is ALL).
  • Source (default is ALL).
  • Sort by—You can sort the results by: Time (default), Event Id, Sample Text, Repeat Count, Computer, Event Type, Source, and Provider Instance.

You can also specify whether you want the results in ascending or descending order.
Most Common Alerts by Alert Count This report provides the most common alerts that are raised during the specified time period. Report data can be refined by specifying additional parameters. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Sort by—You can sort the results by: Count (default), Alert Name, Activity %, Avg. Time to Resolve, Total Time to Resolve, Rule Group, and Data Provider.

You can also specify whether you want the results in ascending or descending order.
Most Common Alerts by Computer This report provides the most common alerts on each computer during the specified time period. Report data can be refined by specifying additional parameters. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Computer (must be specified).
  • Sort by—You can sort the results by: Count (default), Computer, Alert Name, Activity %, Avg. Time to Resolve, Total Time to Resolve, Rule Group, and Data Provider.

You can also specify whether you want the results in ascending or descending order.
Most Common Alerts by Computer Group This report provides the most common alerts that are raised by each computer group during the specified time period. Report data can be refined by specifying additional parameters. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Computer Group (must be specified).
  • Sort by—You can sort the results by: Count (default), Computer Group, Alert Name, Activity %, Avg. Time to Resolve, Total Time to Resolve, Rule Group, and Data Provider.

You can also specify whether you want the results in ascending or descending order.
Most Common Events by Computer This report provides the most common events on each computer, that are raised during the specified time period. Report data can be refined by specifying additional parameters. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Computer (must be specified).
  • Sort by—You can sort the results by: Event Count (default), Computer, Source, Log, Event Type, Event ID, Activity %, and Sample Text.

You can also specify whether you want the results in ascending or descending order.
Most Common Events by Computer Group This report provides the most common events for each computer group that are raised during the specified time period. Report data can be refined by specifying additional parameters. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Computer Group (must be specified).
  • Sort by—You can sort the results by: Event Count (default), Computer Group, Source, Log, Event Type, Event ID, Activity %, and Sample Text.

You can also specify whether you want the results in ascending or descending order.
Performance Analysis This report provides a graph for the selected performance counters collected on the computers specified in the report parameters for the time specified in the report parameters. The required input and available parameters are as follows:
  • Begin Date and End Date to set a date range for the report.
  • Computer Group (must be specified). After you identify the computer group, the available computers for selection are provided in the list labeled Computer.

You can specify up to four counters for the performance graph. For each you must identify the following:

  • The object name, which creates a counter list with available performance counters.
  • The performance counter, which creates an instance list with available instances.
  • The instance name.

You must specify the scale factor for the object that you are graphing. The scaling factor ranges from 0.001 to 10000000.0. The default scale factor is 1.0.

Rule Group Associated with a Computer This report provides the association relationships between computers, rule groups, and computer groups. The required input and available parameters are as follows:
  • Computer Group (must be specified).
  • Rule Group (default is ALL).
  • Computer (default is ALL).
  • Sort by—You can sort the results by: Computer (default), Computer Group, and Rule Group.

You can also specify whether you want the results in ascending or descending order.

Rule Groups Associated with a Computer Group This report provides the association relationships between rule groups and computer groups. The required input and available parameters are as follows:
  • Computer Group (must be specified).
  • Rule Group (default is ALL).
  • Sort by—You can sort the results by: Computer Group (default) and Rule Group.

You can also specify whether you want the results in ascending or descending order.


Scripting Overview

Microsoft® Operations Manager (MOM) 2005 provides scripting capabilities for flexible, customized monitoring and response to events, alerts, and performance data. You can use the MOM scripting interface or standard Microsoft scripting languages to create scripts that MOM can implement. Scripts can extend MOM event management functions and provide additional data collection capabilities. MOM can also implement response scripts for events or alerts or do so on a scheduled basis.

The MOM scripting feature allows you to extend the capabilities of rules and provide specialized actions to respond to an event, alert, or performance threshold. Rules can also be configured to run on a scheduled basis.

MOM can run scripts in association with rules. Because MOM is rules-based, many problems can be detected and handled without using scripts. Scripting provides the advanced capabilities sometimes required to detect and handle problems.

MOM uses Microsoft Active Scripting through scripts and Automation COM objects. MOM invokes Active Scripting, identifies the language of the user-provided script, and then calls the appropriate scripting engine. For scripts that use either Microsoft Visual Basic Scripting Edition(VBScript) or Microsoft JScript®, the language is specified on the General tab of the script's Properties dialog box. For all other languages, the Custom setting must be selected and the script engine must be specified by adding a line (similar to the following example) to the first line of the script.

#!PerlScript

Including the shebang line causes errors, unless the Custom language type is used. To determine the appropriate name (ProgID) to use when calling a specific scripting engine component, consult the documentation for that script engine.

The custom scripting engine must be installed on all computers where the script will run.

The script runs and interacts with MOM through Automation COM objects. The script can also use other Automation COM objects. You can write scripts using any active scripting language, including VBScript, JScript, and Perl.

Script developers should be aware that objects automatically provided to scripts running in the Microsoft Windows® Script Host environment, such as the WScript object, are not present in the MOM scripting runtime. The WScript object is available only to scripts executed by the Cscript.exe or Wscript.exe applications. Calling the WScript.Echo method or other WScript methods in a MOM script results in script errors. Similarly, MOM scripting objects are not meant to be used outside of the MOM scripting environment and runtime. Using MOM scripting objects in other environments, such as the Windows Script Host, is unsupported.

Note Note

Use of the objects described in the Helper objects section is strongly discouraged. In most cases, identical or similar functionality is available through existing Windows Management Instrumentation (WMI) classes or COM libraries that are included with Windows or other Microsoft products.

MOM scripts run within an instance of the MOMHost.exe process. The MOMHost.exe process and scripts run under the MOM Action account, which is used to control their security privileges.

Scripts are stored in the MOM database and distributed with rules by the Agent Manager. Management Pack modules can contain scripts created for a specific application or environment. Open the source code for scripts included with MOM Management Packs from the Scripts node of the MOM Administrator console. View the source code on the Script tab of the script's Properties dialog box.

Note Note

For developer-oriented information about creating custom Management Packs, programming reports, extending the MOM Administrator console, and creating connectors to other management products, see the documentation and code samples in the MOM Software Development Kit (SDK).


Types of Scripts

Scripts can run on the agent-managed computer or Management Server computer. Because agents can run using a local system account by default, scripts that run on the agent-managed computer can access only information local to the agent-managed computer.

Note Note

If a script must access a network resource that requires a particular security context, the action account on the computer on which the script will be executed must be configured to use an appropriate service account.

Scripts that run on the Management Server computer can access stored state information in the Management Server's ScriptState object. They do not have access to ScriptState objects created by managed computers. This is true even for the local agent on the Management Server computer.

Scripts can run in response to a rule match or on a timed basis.

State Variables

As a response to a rule, you can manipulate the state variables that the script creates. You can then use these state variables in a script to determine the appropriate action to take.

Use state variables to perform multi-event correlation. A state variable can keep track of how many times an event has occurred on one or more monitored computers.

For example, you want to monitor logon attempts and page your administrator if an excessive number of logon failures occur within a given period across all computers in your enterprise. A high number of logon failures in a short time can indicate a distributed attempt to break into the network. You can create a rule to increment a state variable every time a logon failure occurs. This increment is performed in highly optimized code, rather than in a script, and has minimal performance impact, even during the start of the business day when logon activity is very high. You can then run a script at regular intervals to check the state. If the number of failures is not excessive, the script resets the variable. If the number of failures is excessive, the script pages your administrator.

Response Scripts

Response scripts answer an event, alert, or performance threshold. When you create a rule, you can specify a script to run in response to a rule match. Response scripts are synchronous, meaning that the agent or Management Server waits for the script to complete before continuing to process the associated event, alert, or performance data.

Scripts respond to an event, alert, or performance data with computer configuration changes. For example, using Windows Management Instrumentation (WMI), a script could change a computer configuration in response to an event. A company policy might prohibit employees from using dial-up networking. You can configure Microsoft® Operations Manager (MOM) to watch for an event that indicates that dial-up networking is enabled on a computer. A script could respond by using WMI to turn off dial-up networking on that computer, and then display a cautionary message to the computer user.

You can also create a rule that watches for successful logon events. When MOM processes a successful logon event, a script could analyze the number of failed logon events occurring on that computer in the last minute, for example. If the number is high, the successful logon event can be indicative of a successful network security attack. If the script determines that the attack might have been successful, the script can generate a Security Issue alert, and e-mail or page the network administrator.

Timed Scripts

Timed scripts are response scripts that run on a timed basis. They can run on the agent-managed or Management Server computer.

MOM can create timed events, and you can link a script as a response to a timed event. For example, you could configure MOM to create an event that occurs every 10 minutes. When the event occurs, the product could run a script that pings the Internet service provider (ISP) router. If the ISP connection is down, the script could create an alert that indicates the problem.


Create a Script

You can use scripts within rules. Scripts can run as responses or on a timed basis.

To create a script

  1. In the Navigation pane, expand Management Packs, right-click Scripts, and then click Create Script.
  2. Follow the instructions to complete the creation of a script. For more information about the options in the dialog box, click Help.


Modify a Script

You can modify a script, including its source code and parameters, when necessary.

To modify a script:

  1. In the Navigation pane, expand Microsoft Operations Manager (default), expand Rules, expand Advanced, and click Scripts.
  2. In the Detail pane, click the script that you want to modify.
  3. On the Action menu, click Properties.
  4. Specify the desired values on the Properties tabs, and then click OK.


Copy a Script

You can copy a script, paste it, and modify it to create a new script. You can copy and paste a script within the current Rules snap-in or into a Rules snap-in for another management group.

To copy and paste a script

  1. In the Navigation pane, expand Management Packs, and click Scripts.
  2. In the Detail pane, select the script that you want to copy.
  3. In the Action menu, click Copy.
  4. In the Navigation pane, click Scripts . You can paste scripts only into a Scripts folder in a Rules snap-in.
  5. In the Action menu, click Paste.


Debug a Script

Debug Microsoft Operations Manager (MOM) scripts either from the local computer or a remote computer by using Microsoft Visual Studio®.NET. After the debugger is connected to the MOM service, you can step through scripts, set breakpoints, view the call stack, examine variables and objects, and use other debugging features in the Visual Studio® .NET development environment. You can debug scripts running on either the MOM Management Server computer or an agent computer.

Installing Remote Debugging Components

To support remote debugging, install the full set of Visual Studio® .NET debugging components on the computer running the script.

To install the remote debugging components on an agent computer or a Management Server

  1. From the Visual Studio® .NET CD or DVD, run Setup.
  2. In the Visual Studio .NET Setup window, click Remote Components Setup.
  3. On the Remote Component Setup page, scroll to the Full Remote Debugging support area, and then click Install Full.
  4. Click OK after the installation is complete.

Enabling Debugging

The default settings on the MOM Management Server and agents do not support attaching a debugger to the running MOM scripts. You must enable debugging through the Windows registry.

For scripts that run on agent computers, enable debugging on each agent computer that you are debugging. If a script runs on the Management Server, enable debugging on the Management Server computer. This also allows you to debug agent scripts that are running on the Management Server.

To turn debugging on and specify which scripts to debug

  1. Run Windows Registry Editor (Regedit.exe).
  2. Navigate to the HKEY_LOCAL_MACHINE\SOFTWARE\Mission Critical Software\OnePoint registry key.
  3. Change the value of the DebugEnabledScripts entry to specify the name of the script or scripts that you want to debug. Wildcard expressions are supported for this setting. If DebugEnabledScripts does not already exist, create a new String entry for it.
  4. To enable debugging, change the value of the EnableActiveDebugging entry to 1. If EnableActiveDebugging does not already exist, create a new DWORD entry for it.

To disable debugging, change EnableActiveDebugging to 0.

Note Note

Disable debugging after you have finished troubleshooting the problem. Enabling debugging will decrease performance, and other users could attach debuggers to the MOMService.exe process and lock threads for extended periods of time.

Attaching the Debugger to MOM

To attach the debugger to an agent or management server

  1. Start the Visual Studio .NET integrated development environment.
  2. On the Tools menu, click Debug Processes.
  3. In the Processes dialog box, in the Name box, type the name of the computer running the scripts.
  4. In the Available Processes list, select MOMService.exe, and then click Attach. Debug scripts on only one agent at a time.
  5. In the Attach to Process dialog box, from the list of program types to debug, select Script, and then click OK. Check boxes for all other program types should be cleared.
  6. In the Debugged Processes list, select the MOMService.exe process, click Break, and then click Close to save settings.
  7. Wait for a script matching the DebugEnabledScripts registry value to run.

To end the debugging session and detach from the MOM service, press Shift+F5.

Debugging the Script

The first script matching the name or wildcard pattern specified in the DebugEnabledScripts registry entry opens in Visual Studio® .NET. You can use the commands on the Debug menu. You can also view the data displayed in the various debugging windows, such as the Locals window and the Call Stack window. For more information about debugging with Visual Studio® .NET, see the Visual Studio® .NET documentation.

When debugging MOM scripts, use the following guidelines:

  • If script execution is paused for long periods of time as you debug the code, expect MOM to raise alerts indicating that your script did not run to completion in a timely manner. These alerts can be ignored while debugging.
  • If the other scripts do not match the DebugEnabledScripts registry key, or you press Step or Go in the debugger, attaching the debugger locks the thread responsible for running your script until the debugging is complete. A locked script thread will not prevent other scripts using other available threads from running , but it does decrease performance.
  • If a second instance of a script is started before you finish debugging the first instance, the second instance is prevented from running if it must wait longer than five minutes for the first instance to complete. If any script is prevented from running because of a debugging session or other causes, a MOM alert is raised.
  • If you must restart the MOM service, first detach the debugger from the MOM process. Reattach the debugger to the new MOM process after it has started. If you do not explicitly detach the debugger, it might not detect that the service process has stopped.
  • If you step through a script that has opened in the debugger until it exits, and the next script to open in the debugger is the same script, the debugger will break into the script. Press F5 (the Continue command) to complete its execution, unless you want to step through the script again.


Delete a Script

If a script is no longer required by a rule, you can delete it. You cannot delete a script that is referenced by a rule. You must first delete the reference to the script from the rule.

To delete a script

  1. In the Navigation pane, expand Microsoft Operations Manager (default), expand Rules, expand Advanced, and click Scripts.
  2. In the Detail pane, click the script that you want to delete.
  3. On the Action menu, click Delete, and then click Yes.


Reference: Glossary and Icons

This section contains:

  • MOM 2005 Glossary
  • MOM Icons Definitions


Glossary

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A

administrator account
Account used to log on to Windows 2000 by users to create service accounts, install Microsoft Operations Manager 2005 components, and have access to the MOM Administrator console. Administrators are members of the Administrators group and have full control over the domain or computer.
Administrator Console
Interface based on Microsoft Management Console (MMC) technology, used for monitoring and event management. Can include the Microsoft Operations Manager 2005 Information Center, Operations, Management Packs, and Administration snap-ins.
agent
Service that runs on every computer you want to monitor. An agent captures information from the computer on which it is running. An agent applies predefined rules to the captured data and performs actions as defined by the rules.
alert
An indication of a significant event. Alerts are defined by rules.
alert rule
Rule that specifies one response for a number of previously defined alerts.
alert severity
Property of an alert indicating its seriousness. Examples include Service Unavailable, Security Issue, Critical Error, Error, Warning, Information, and Success.
alert view
Window that displays specified alerts in the management group.
attribute
Computer characteristic, typically defined by a Registry key or value.
attribute view
Window that displays specified computer attributes in the management group.

B

Boolean regular expressions
Search criteria for text pattern matching that allow you to combine regular expressions using the Boolean operators and, or, and not.

C

command bar
In the Operator Console, a set of tool bar icons specific to the view selected (Alerts, State, etc.).
company knowledge
Information you add to alerts or rules about resolving the indicated condition.
component
Individual part of the product: agent, server, Data Access Server (DAS), or database.
computer group
Collection of computers with some attribute in common. Computer groups are defined by computer grouping rules for similar event management.
computer group filter
In the Operator Console, a drop-down list of filters that limit the number of computers shown.
computer group view
Window that displays specified computer groups in the management group.
computer grouping rule
Rule that combines computers with common attributes into a group to be similarly managed and monitored.
computer view
Window that displays specified computers in the management group.
computer rule formula
Regular expression or wildcards used to create a computer grouping rule. For example:
Windows_Version = 2000 AND (MSMQ_Installed)
.
conditional filter
Filter that allows Microsoft Operations Manager 2000 to evaluate further rules, but does not insert events into the database unless another rule match occurs.
console scope
In the Operator Console, defines a set of computer groups for individual MOM 2005 users. A console scope limits the user to seeing only those computers that are in the computer groups associated with the console scope.
consolidation rule
Rule for grouping multiple events from a computer into a single summary event.

D

Data Access Server (DAS)
Component that receives events from the MOM Servers and inserts them into the database. Requests for data from the database and requests to insert data into the database typically go through the DAS.
database
Central product component that stores information including events, alerts, rules, and scripts.
database filter
Filter that allows Microsoft Operations Manager 2000 to evaluate further rules, but does not insert matching events into the database.
datastream
Flow of events, alerts, and performance information from the agents to the MOM Server, from the MOM Server to the DAS, and from the DAS to the database.
Destination configuration group
Receives forwarded alerts in a multitiered MOM configuration. See also: Source configuration group
discovered group
Any computer group found by MOM.
duplicate alert suppression
Feature that combines multiple identical alerts within a specified period of time into one alert.

E

event
Any significant occurrence in the system or an application that requires a user to be notified or an entry to be added to a log. Microsoft Operations Manager 2000 monitors events logged in Windows 2000 event logs and other application logs, among others.
event consolidation
Combines multiple events into one event. The single event identifies the number of consolidated events and when the first and last consolidated events occurred.
event rule
Rule for generating an alert when specific events occur.
event view
Window that displays specified events in the management group.

F

filter
See filtering rule.
filtering rule
Rule for excluding an event, alert, or performance data from some or all processing by Microsoft Operations Manager 2000. Types of filters include pre-filters, conditional filters, and database filters.
forwarding
See alert forwarding.

G

No Glossary entries.

H

heartbeat
Periodic pulse from the agent that contains information related to its viability. The heartbeat also informs the MOM Server of the current rules evaluated by the agent, requesting updates if necessary.

I

Information Center
Interface that provides access to areas of MOM, including Microsoft Operations Manager Web, Downloads and Updates, and Documentation.

J

No Glossary entries.

K

Knowledge Base
See product knowledge

L

No Glossary entries.

M

Managed Computers list
List of computers matching the Managed Computer rule for an Agent Manager.
Managed Computer rule
Rule that specifies the computers on which an Agent Manager is responsible for installing and uninstalling agents.
Management Group
Group of computers containing the following Microsoft Operations Manager 2005 components: one database, one or more Data Access Servers, one or more MOM Server, and one or more agents.
Management Packs
Predefined solutions from Microsoft. Contain computer groups and rules, with filters, performance counters, and alerts defined for specific customer applications such as Microsoft Exchange.
measuring rule
Rule for collecting a numeric value from Windows NT performance counters. See performance measure.
missing event
An event that was supposed to occur within a specified time interval, but did not occur.
missing event rule
Rule for generating an alert when particular events do not occur during a specified time. See missing event.
MOM Service
Refers to the Microsoft Operations Manager 2005 application.

N

nested rule groups
Rule groups within rule groups.
nested computer groups
Computer groups within computer groups.
notification group
List of operators and scheduled availability for receiving page or e-mail responses.

O

operator
Person scheduled to receive e-mail or page responses from Microsoft Operations Manager 2005.
Operator Console
Interface that you use to perform monitoring functions.
override criteria
Selected target + value pairs that specify when a rule does not apply to value pair. See target, value.

P

parameter
a parameter defines what actions are taken within a script, based on parameter values. See script.
performance data
Sampled numeric data collected from Windows NT performance counters.
performance data view
Window that displays specified performance information.
performance measure
Sampled numeric data collected for capacity planning.
performance rule
Rule that defines how MOM processes performance counter data and WMI numeric data.
performance threshold
Sampled numeric data compared to a threshold value. Microsoft Operations Manager 2005 generates an alert if the threshold is crossed in either direction.
pre-filter
Filter that excludes an event from further processing by Microsoft Operations Manager 2005. The event is not inserted in the database.
private view
A view that is accessible only by the user who created it, and is saved in the My Views folder.
product knowledge
A collection of rule comments that embodies knowledge about the meaning and importance of events. Product Knowledge contains predefined information from Microsoft. Company Knowledge contains information entered by the Microsoft Operations Manager 2005 user.
provider
Source of information collected by Microsoft Operations Manager 2005. Providers include system event logs and performance counters, among others.
public view
A view that is accessible by anyone, and is saved in the All Public Views folder.

Q

No Glossary entries.

R

regular expressions
Search criteria for text pattern matching that provide more flexibility than simple wildcard characters.
Reporting Console
Interface to the database that allows you to generate reports, including specific security auditing and general system monitoring reports, and graphs useful for capacity planning or performance analysis.
resolution history
Microsoft Operations Manager 2005 automatically tracks changes to alert fields. You can also enter your own information about an alert.
resolution state
Status in the cycle of resolving alerts. Default resolution states include New, Acknowledged, and Resolved, among others.
response
Action that Microsoft Operations Manager 2005 initiates when a rule match occurs. Notifications, command or batch files, scripts, and SNMP traps are examples of possible responses. Responses that occur on the MOM Server computer are central responses. Responses that occur on the agent computer are local responses.
rule
Method of grouping computers or identifying data to collect. Rules an define a collection of computers for similar event management. Rules can also define the events, alerts, and performance data to collect, what to do with the information once it is collected, and how to respond to the indicated condition.
rule group
Set of rules grouped together with a single name. Grouping rules together allows you to associate more than one rule with a computer group.
rule match
Occurs when Microsoft Operations Manager 2005 receives information that matches a rule. When a rule match occurs, the product performs the actions and response defined in that rule.

S

script
Simple program that can be added to a rule as a response, or used as an extension to the event criteria definition.
service level agreement time
The amount of time an alert can remain in an alert resolution state before it becomes a service level exception.
service level exception
An alert that has remained longer than specified in a resolution state. For example, the default service expectation time for an alert to remain in the New resolution state is 10 minutes. If an alert's resolution state is New for longer than 10 minutes, it is considered a service level exception.
Source configuration group
Forwards alerts in a multitiered MOM configuration. See also: Destination configuration group
state indicator
In the Operator Console, a command bar that shows the state of computers in a specified computer group.

T

target
Computer or computer group to which override criteria is applied. See override criteria.
task
Action that diagnoses or repairs a problem. A task can also automate a management process.
threshold rule
Rule for creating an alert when a Windows NT performance counter value crosses a defined threshold. See performance threshold.

U

uninstall delay
The amount of time Microsoft Operations Manager 2005 waits before removing an unnecessary agent from a managed computer. The default uninstall delay is 48 hours.

V

value
Number taken from rules applied to a computer or computer group. See override criteria, target.
view
In the Operator Console, a view of the data from the database with pre-defined criteria.

W

Web Console
Interface that allows you to access database information remotely from any Windows platform that can run Microsoft Internet Explorer.
Web Console server
Component installed on a Microsoft Internet Information Services computer that hosts the Web Console.
Web farm
Potentially hundreds of Windows 2000 servers linked in a network environment to support a company's web site. Many thousands of users can access a company's web farm servers in a day. Microsoft Operations Manager 2005 helps network administrators ensure smooth web farm operation.

X

No Glossary entries.

Y

No Glossary entries.

Z

No Glossary entries.


Microsoft Operations Manager Icons

Microsoft Operations Manager 2005 uses icons to help you identify different consoles, events, alerts, views, status, and nodes.

MOM 2005 Console Icons

The following icons identify the MOM consoles:

MOM Administrator console | Identifies the Microsoft Operations Manager 2005 Administrator console.
MOM Operator console | Identifies the Microsoft Operations Manager 2005 Operator console.
MOM Reporting console | Identifies the Microsoft Operations Manager 2005 Reporting console.

MOM Administrator console icons

The following icons are used in the MOM Administrator console:

Information Center | Identifies the Information Center node.
Operations | Identifies the Operations node.
Management Packs | Identifies the Management Packs node.
Administration | Identifies the Administration node.

Management Pack icons

Sub-directories | Identifies the sub-directories of the Management Packs node.
Computer Groups and Discovered Groups | Identifies the Computer Groups and Discovered Groups nodes.
Event Rules | Identifies the Event Rules node.
MOM icon | Identifies the Alert Rules node.
MOM icon | Identifies the Performance Rules node.
Enabled Rule | Identifies a node that contains an enabled rule group.
Disabled Rule | Identifies a node that contains a disabled rule group.
Task node | Identifies the Tasks node in the navigation pane.
Task detail | Identifies the Task in the detail pane.
Scripts | Identifies the Scripts node in the navigation pane.
Scripts detail | Identifies Scripts in the detail pane.
Notification node | Identifies the Notification node in the navigation pane.
Notification Groups | Identifies the Notification Groups node.
MOM icon | Identifies the Operators node.
MOM icon | Identifies the Search Results node.

Administration icons

Computers | Identifies the Computers, All Computers, and Unmanaged Computers nodes.
Management Servers | Identifies the Management Servers node.
Agentless Managed | Identifies the Agentless Managed Computers node.
Agent-managed | Identifies the Agent-managed Computers node.
Windows Server Cluster Computers | Identifies the Windows Server Cluster Computers node.
Pending Actions | Identifies the Pending Actions node.
Computer Discovery Rules | Identifies the Computer Discovery Rules node.
Console Scope | Identifies the Console Scopes node.
MOM icon | Identifies the Global Settings node.
MOM icon | Identifies the Product Connectors node (if the MOM Connector Framework is installed).

MOM Operator Console icons

The following icons are used in the Operator Console:

Alerts view | Identifies the Alerts view.
State view | Identifies the State view.
Events view | Identifies the Events view.
Performance view | Identifies the Performance view.
Computers and Groups view | Identifies the Computers and Groups view.
MOM icon | Identifies the Diagram view.
My Views | Identifies the My Views view.
Public Views | Identifies the Public Views view.

Alert Icons

The following icons identify alert severity:

MOM icon | Service Unavailable. Identifies alerts generated for missed heartbeats and other events indicating that an application or service is unavailable to its users.
MOM icon | Security Issue. Identifies an alert that indicates a security compromise has occurred. Systems on the network are at risk.
MOM icon | Critical Error. Identifies an alert that indicates a serious problem needing attention immediately.
MOM icon | Error. Identifies an alert that is important and needs attention soon.
MOM icon | Warning. Identifies an alert that might indicate future problems.
MOM icon | Information. Identifies an alert that simply provides information.
MOM icon | Success. Identifies an alert that indicates a successful event or operation.


Reference Overview

This section contains reference information for:

  • MOM Wizards - context sensitive topics for the wizard dialog screens
  • MOM Properties - context sensitive topics for right-click Help and the MOM properties pages


Operations Context Help

This section contains help topics that are displayed when you right-click a Operations node or a Operations item properties tab Help button.


Alert View Properties: General

General
This tab displays the View name and Description boxes for the view. The description is optional. To change the name or description, click the appropriate text box, and delete or add text.


Alert View Properties: Criteria

Criteria
This tab has two input areas, one for selecting alerts and one for specifying the corresponding descriptive parameters that are used to qualify the alert. In the Which alerts do you want to view? list, select an alert by clicking the check box beside the alert you want. When you select an alert, a corresponding hyperlink is displayed in the View description (click the underlined value to edit) input area. Click the hyperlink to open a dialog box, and then type the required information in the text box. The following table lists the available alerts and describes the associated information that you are prompted to provide.
Alert | Required view description information
from specified source | Click the link to open the Source dialog box. Type a complete text string or use wildcards to identify the alert source. Click OK.
with specified alert severity | Click the link to open the Severity dialog box. Select the appropriate check box to identify the level of severity that you want to use. Click OK.
generated in a specific time period | Click the link to open the Date and Time Generated dialog box. Select the appropriate check boxes and options to specify a time range or a time interval. Click OK.
owned by specified person | Click the link to open the Owner dialog box. Type a complete text string or use wildcards to identify the alert owner. Click OK.
with specified text in alert description | Click the link to open the Description dialog box. Type a complete text string or use wildcards to identify the alert description. Click OK.
raised by specified computer | Click the link to open the Computer Name dialog box. Type a complete text string or use wildcards to provide the Domain and Computer information. Click OK.
with specified resolution state Click the link to open the Resolution State dialog box. Under (Select resolution states to search for:), select a check box beside a resolution state . The available resolution states are:
  • Level 4: Assigned to external group or vendor
  • Acknowledged
  • Level 1: Assigned to help desk or local support
  • Level 2: Assigned to subject matter expert
  • Level 3: Requires scheduled maintenance
  • Resolved
  • New

You can use an alternative option, Display only alerts with resolution state:, to apply one of the following logical operators:

  • Equals
  • Not Equals
  • Less Than
  • At Most
  • Greater Than
  • At Least
  • Like

against one of these states:

  • Resolved
  • Acknowledged
  • Level 1: Assigned to help desk or local support
  • Level 2: Assigned to subject matter expert
  • Level 3: Requires scheduled maintenance
  • Level 4: Assigned to external group or vendor
  • New
Click OK.
that violated specified service level agreement Click the link to open the Service Level Exception dialog box. Under Custom service level agreement, accept or change the time parameters listed. The available choices are:
  • longer than 10 minutes in state: New
  • longer than 0 days in state: Resolved
  • longer than 20 minutes in state: Acknowledged
  • longer than 4 hours in state: Level 1: Assigned to help desk or local support
  • longer than 2 days in state: Level 2: Assigned to subject matter expert
  • longer than 7 days in state: Level 3: Requires scheduled maintenance
  • longer than 30 days in state: Level 4: Assigned to external group or vendor

An alternative is to switch to the Default company service level agreement. Click OK.
with specified name | Click the link to open the Alert Name dialog box. Type a complete text string or use wildcards to search for the alert name. Click OK.
with specified string in CustomField n Click the link to open the Custom Field n dialog box. Type a complete text string or use wildcards to search for the text in a custom field.
Note Note

You might not see Custom Field n as an option. You can change the name of a custom field, or your MOM Administrator might have changed the custom field names.

Click OK.
with specified GUID | Click the link to open the Alert GUID dialog box. Type the GUID that you want to search for. Click OK.
raised by computers in a specified group | Click the link to open the Computer Group dialog box. Type a complete text string or use wildcards to search for the computer group name. Click OK.
with specified Computer CustomData n | Click the link to open the Computer Custom Data n dialog box. Type a complete text string or use wildcards to search for the custom data field. Click OK.


Events View Properties: Criteria

Criteria
This tab has two input areas, one for selecting events and one for specifying the corresponding descriptive parameters that are used to qualify the event. In the Which events do you want to view? list, select an event by clicking the check box beside the event that you want. When you select an event, a corresponding hyperlink is displayed in the View description (click the underlined value to edit) input area. Click the hyperlink to open a dialog box, and then provide the required information. The following table lists the available events and describes the associated information you are prompted to provide.
Event | Required view description information
from specified source | Click the link to open the Source dialog box. Type a complete text string or use wildcards to identify the alert source.
of specified type Click the link to open the Type dialog box. Select the appropriate check box to identify the type of event. Choose from the following options:
  • Audit Success
  • Audit Failure
  • Information
  • Warning
  • Error
  • Success
with event id of a specified number | Click the link to open the Event ID dialog box. Type the ID numbers, separated by semicolons.
generated in a specific time period Click the link to open the Date and Time Logged dialog box to specify a time range or a time interval. The default option is In the last time interval, which takes the format of time value, time measurement. Type an integer to specify the time value, and click the arrow to select one of the following time measurements:
  • days
  • hours
  • minutes
  • seconds

The other option is Within the time range. When you select this option, you must select at least one After or Before time range. Use the appropriate list to select the date for each.
from specified user | Click the link to open the User Name dialog box. Type a complete text string or use wildcards to identify the user.
with specified text in alert description | Click the link to open the Description dialog box. Type a complete text string or use wildcards to identify the alert description.
raised by specified computer | Click the link to open the Computer Name dialog box. Type a complete text string or use wildcards to provide the Domain and Computer information.
in specified category | Click the link to open the Category dialog box. Type a complete text string or use wildcards to identify the category.
from event providers of specified type Click the link to open the Provider Type dialog box. Select the check box beside each provider that you want to identify. The available choices are:
  • Performance Monitoring
  • Generic Provider
  • Timed Event
  • Application Log
  • Event Log
  • WMI Events
  • WMI Numeric Provider
from event providers with specified name | Click the link to open the Provider Name dialog box. Type a complete text string or use wildcards to search for the provider name.
that generated alerts | No action, all events that generated alerts are displayed.
that are consolidated events | No action, all events that are consolidated events are displayed.
collected by a specified agent | Click the link to open the Name dialog box. Type a complete text string or use wildcards to provide the Domain and Computer information.
with specified GUID | Click the link to open the Alert GUID dialog box. Type the GUID that you want to search for.
raised by computers in a specified group | Click the link to open the Computer Group dialog box. Type a complete text string or use wildcards to search for the computer group name.


Event View Properties: General

General
This tab displays the View name and Description boxes for the view. The description is optional. To change the name or description, click the appropriate text box, and delete or add text.


Attribute View Properties: General

General
This tab displays the View name and Description boxes for the view. The description is optional. To change the name or description, click the appropriate text box, and delete or add text.


Attribute View Properties: Criteria

Criteria
This tab has two input areas, one for selecting attributes and one for specifying the corresponding descriptive parameters that are used to qualify the attribute. In the Which computer attributes do you want to view? list, select an attribute by clicking the check box beside the attribute that you want. When you select an attribute, a corresponding hyperlink is displayed in the View description (click the underlined value to edit) input area. Click the hyperlink to open a dialog box and, and then type the required information in the text box. The following table lists the available attributes and describes the associated information that you are prompted to provide.
Attribute | Required view description information
collected in specified time period Click the link to open the Date and Time Logged dialog box. The default option is In the last time interval, which takes the format of time value, time measurement. Type an integer to specify the time value, and select one of the following time measurements from the list: days, hours, minutes, or seconds.

The other option is Within the time range:. When this option is selected, you must select at least one time range. After and Before ranges are available. Use the appropriate list to select the date for each.
with specified name | Click the link to open the Attribute Name dialog box. Type a complete text string or use wildcards to search for an attribute name.
collected from specified computer | Click the link to open the Computer Name dialog box. Type a complete text string or use wildcards to provide the Domain: and Computer: information.
of specified type | Click the link to open the Attribute Type dialog box. Select the appropriate check box to identify the type of attribute that this is. The available choices are: IP Address, Float, Integer, String, and Boolean.
with specified text in attribute description | Click the link to open the Attribute Description dialog box. Type a complete text string or use wildcards to find the attribute description.


Computer View Properties: General

General
This tab displays the View name and Description boxes for the view. The description is optional. To change the name or description, click the appropriate text box, and delete or add text.


Computer View Properties: Criteria

Criteria
This tab has two input areas, one for selecting computers and one for specifying the corresponding descriptive parameters that are used to qualify the computer that you select. In the Which computers do you want to view? list, select a computer by clicking the check box beside the descriptive parameter that you want. When you select an item, a corresponding hyperlink is displayed in the View description (click the underlined value to edit) input area. Click the hyperlink to open a dialog box, and then provide the required information. The following table lists the available parameters and describes the associated information you are prompted to provide.
Note Note

If you do not specify any computers, all the computers in the management group are part of the Computers view.

Computers | Required view description information
with specified state Click the link to open the State dialog box. Select the appropriate check box to identify the type of state that you want to use. The following choices are available:
  • Information
  • Error
  • Security Issue
  • Success
  • Warning
  • Critical Error
  • Service Unavailable
  • No Alerts
with Open Alerts | All computers with Open Alerts are in the view. Use other criteria to qualify the Open Alerts. For example, computers with a specified name or in a specified computer group.
with specified severity alerts that are not resolved Click the link to open the Alert Severity dialog box. Select the appropriate check box to identify the level of alert severity that you want to use. The following choices are available:
  • Success
  • Information
  • Warning
  • Error
  • Critical Error
  • Security Issue
  • Service Unavailable
with specified name | Click the link to open the Computer Name dialog box. Type a complete text string or use wildcards to provide the Domain and Computer information.
in specified computer group | Click the link to open the Computer Group dialog box. Type a complete text string or use wildcards to identify the computer group.
with specified FQDN | Click the link to open the FQDN dialog box. Type a complete text string or use wildcards to identify the FQDN.
with no heartbeat in specified time range Click the link to open the Heartbeat Time dialog box to specify a time range. This option takes the format of time value and time measurement. Type an integer to specify the time value, and click the arrow to select one of the following time measurements:
  • days
  • hours
  • minutes
  • seconds
running Microsoft Operations Manager agent | All computers with the agent installed are in the view. Use other criteria to qualify this selection. For example, computers with a specified description.
with specified description | Click the link to open the Computer Description dialog box. Type a complete text string or use wildcards to identify the computer description.
with specified CustomData n | Click the link to open the Custom Data n dialog box. Type a complete text string or use wildcards to identify the custom data.


Computer Group View Properties: General

General
This tab displays the View name and Description boxes for the view. The description is optional. You can change the name or description by clicking the appropriate text box and deleting or adding text.


Computer Group View Properties: Criteria

Criteria
This tab has two input areas, one for selecting computers and one for specifying the corresponding descriptive parameters that are used to qualify the computer that you select. In the Which computer groups do you want to view? list, select a computer by selecting the check box beside the descriptive parameter that you want. When you select an item, a corresponding hyperlink is displayed in the View description (click the underlined value to edit) input area. Click the hyperlink to open a dialog box, and then provide the required information. The following table lists the available parameters and describes the associated information that you are prompted to provide.
Note Note

If you do not specify any computer groups, all the computer groups in the management group will be part of the Computer Groups view.

Computers | Required view description information
with specified severity unresolved alerts Click the link to open the Alert Severity dialog box. Select the appropriate check box to identify the level of alert severity that you want to use. The following choices are available:
  • Success
  • Information
  • Warning
  • Error
  • Critical Error
  • Security Issue
  • Service Unavailable
with specified name | Click the link to open a search dialog box. Type a complete text string or use wildcards to provide the search criteria to use in searching for the computer group name.


Diagram View Properties: General

General
Use this tab to select the following options.
View name
Specify the view name.
View description
Specify an optional view description.
Optimize diagram layout when number of objects reaches
Specify the number of objects to display before optimizing the diagram. The default value is 250.
Maximum number of objects to display on surface
Specify the maximum number of objects to display on the view. The default value is 1000.


Diagram View Properties: Diagram Settings

Diagram Settings
This tab provides the following options.
Diagram type
Specify the specific type of diagram you want.
Number of levels to display
Specify the number of levels to display. By default, all levels are displayed.
Routing style
Specify the routing style, which determines how objects in the diagram are laid out on the screen. The default style is Straight. Other styles include: Network, Center to Center, Org Chart (North-South), and Tree (North-South).
Node placement style
Specify how the nodes are placed in relation to the MOM Management Server. The default value is North-South. Other styles include: Undirected, West-East, South-North, East-West, and Circular.
Node placement depth
Specify how far apart the nodes are placed. The default value is Medium. Other options include: Shallow and Deep.
Rendering quality
Specify the rendering quality for the image. The default value is High Speed. The other option is High Quality.
Background image
Specify a background image for the diagram. By default, no images are used.

If you want to add a background image, click Background Images to view and select the available background images.


Performance View Properties: General

General
This tab displays the View name and Description boxes for the view. The description is optional. To change the name or description, click the appropriate text box, and delete or add text.


Performance View Properties: Criteria

Criteria
This tab has two input areas, one for selecting attributes and one for specifying the corresponding descriptive parameters that are used to qualify the attribute. In the Which computers do you want to view? list, select a computer by clicking the check box beside the description of the computer type. When you select a computer, a corresponding hyperlink is displayed in the View description (click the underlined value to edit) input area. Click the hyperlink to open a dialog box, and then provide the required information. The following table lists the available computers and describes the associated information that you are prompted to provide.
Note Note

If you do not specify any computers, all the computers in the management group will be part of the Performance view.

Computer | Required view description information
with specified name | Click the link to open the Name dialog box. Type a complete text string or use wildcards to provide the Domain: and Computer: information.
in specified computer group | Click the link to open the Computer Group dialog box. Type a complete text string or use wildcards to provide the computer group description.


Performance Data View Properties: General

General
This tab displays the View name and Description boxes for the view. The description is optional. To change the name or description, click the appropriate text box, and delete or add text.


Performance Data View Properties: Criteria

Criteria
This tab has two input areas, one for selecting performance data and one for specifying the corresponding descriptive parameters that are used to qualify the performance data. In the Which performance data do you want to view? list, select a performance item by selecting the check box beside the description that describes the item. When you select an item, a corresponding hyperlink is displayed in the View description (click the underlined value to edit) input area. Click the hyperlink to open a dialog box, and then provide the required information. The following table lists the available attributes and describes the associated information that you are prompted to provide.
Performance data | Required view description information
for specified object | Click link to open the Object dialog box. Type a complete text string or use wildcards to search for an object name.
measured in specified time period Click link to open a dialog box. Use the dialog to specify a time range or a time interval. The default option is In the last time interval, which takes the format of time value, time measurement. Type an integer to specify the time value, use the list to choose one of these time measurements: days, hours, minutes, seconds.

The other option is Within the time range:. When this option is selected it is necessary to at least one time range. After and Before ranges are available. Use the appropriate list to select the date for each.
for specified instance | Click link to open the Instance dialog box. Type a complete text string or use wildcards to search for an instance name.
for specified counter | Click link to open the Counter dialog box. Type a complete text string or use wildcards to search for counter.
measured on specified computer | Click link to open the Computer Name dialog box. Type a complete text string or use wildcards to provide the Domain: and Computer: information.
in specified computer group | Click link to open the Computer Group dialog box. Type a complete text string or use wildcards to search for a computer group.


Chart Properties

Use this dialog box to modify the way the performance chart is displayed, including font type and background color. You can modify the following properties:

  • Fonts
  • Grid Properties
  • Background Fill

To change the X-Axis font

  1. In the Fonts area, click Change.
  2. In the upper portion of the Font dialog box, select a font, font style, and size.
  3. In the lower portion of the dialog box, select an effect or script as needed.
  4. When you finish selecting font options, click OK.

To change the Grid properties

  1. In the Grid Properties area, select the vertical gridlines check box to add vertical gridlines (horizontal gridlines is the default).
  2. To select a different gridline color, click Change.
  3. In the Color dialog box, click a basic color. You can select more colors by clicking Define Custom Colors.
  4. When you finish selecting a gridline color, click OK.

To change the Background fill color

  1. In the Background Fill area, to select a single color fill, click the appropriate option (two color fill is the default).
  2. To change the fill colors for either the single or two color, click Change for the color you want to change.
  3. Click a basic color or define a custom color and click OK.

When you finish making all of the changes that you want, click OK in the Chart Properties dialog box.


Summary State View Properties: General

Use this tab to view and modify the content in the View name and Description boxes for the view. The description is optional. To change the name or description, click the appropriate text box, and delete or add text.


Summary State View Properties: Criteria

Criteria
This tab has two input areas, one for selecting computers and one for specifying the corresponding descriptive parameters that are used to qualify the computer selection. In the Which computers do you want to view? list, select a computer by clicking the check box beside the computer description. When you select a computer, a corresponding hyperlink is displayed in the View description (click the underlined value to edit) input area. Click the hyperlink to open a dialog box, and then provide the required information. The following table lists the available computer items and the associated information that you are prompted to provide.
Computer | Required View Description Information
in a specified computer group | Click the link to open the Computer Group dialog box. Type a complete text string or use wildcards to identify the computer group.
with specified name | Click the link to open the Name dialog box. Type a complete text string or use wildcards to provide the Domain and Computer information.
with specified text in the description | Click the link to open the Description dialog box. Type a complete text string or use wildcards to find text in the computer description.
with specified computer status Click the link to open the Severity dialog box. Select the appropriate check box to identify the level of severity that you want to use. The available choices are:
  • Success
  • Information
  • Warning
  • Error
  • Critical Error
  • Security Issue
  • Service Unavailable
If you want every severity, click Select All. If you want to undo all of your selections, click Clear All.
with open alerts | By default, all states with open alerts display. Use the other items to qualify this selection.
with no heartbeats in specified time range Click the link to open the Heartbeat dialog box that you use to specify a time range. The time range takes the format of time value, time measurement. Type an integer to specify the time value, and click the arrow to select one of the following time measurements:
  • days
  • hours
  • minutes
  • seconds
running Microsoft Operations Manager Agent | By default, all states running the agent display. Use the other items to qualify this selection.
with specified string in CustomDatan | Click the link to open the Customn dialog box. Type a complete text string or use wildcards to locate text in a user-defined custom text box.


Summary State View Properties: Roles

Use this dialog box to view the selected and available roles for the view. You can select from the following options:

Display all roles (including those added in the future)
All the available roles (Computer, MOM, MOM Agent Node, MOM Agentless, MOM Database, MOM Reporting Database, MOM Reporting Server, and MOM Server) are included in the view. Clear the check box for this item if you want to display specific roles for the view.
Select from existing roles.
The resulting view shows only computers that have one or more of these roles. To delete roles from the Selected Roles list, click Remove. To add roles from the Available Roles list, click Add.


Management Packs Context Help

This section contains Help topics that are displayed when you right-click a folder in the Management Packs node or when you click Help on a tab in a properties dialog box for a Management Packs item.


Management Pack Import/Export Wizard: Welcome

Use this wizard to define what management packs you want to either import or export. You can also import reports through this wizard.

To continue in the wizard, click Next.


Management Pack Import/Export Wizard: Import or Export Management Packs

Use this page in the wizard to specify whether to import or export Management Packs.

This page contains the following options:

Import Management Packs and/or reports
This is the default option.
Export Management Packs
To export a Management Pack, select the option.


Management Pack Import/Export Wizard: Select a Folder and Choose Import Type

Use this page in the wizard to specify the location of the Management Pack or report files. You can also import management packs and reports.

This page contains the following options:

Select the folder where the management pack and/or report files are located
Specify the path to the folder where the Management Pack is located, or click Browse to navigate to the folder.
Select what type of import you want to perform
Select one of the following import types:
Import management packs only
This is the default and only option if you do not have MOM Reporting installed.
Import reports only
Select this option if you want to only import reports. You can import reports any time after Management Packs are installed.
Note Note

If you choose to import reports only, the Select Reports dialog box is displayed after you click Next. This dialog box lists the available reports. To select a report, click the name of a report that is listed. After you have selected all the reports that you want to import, click Next.

The Select Reports dialog box also has the Always warn me about insecure connections option selected by default. It is recommended that you keep this option selected. If you do not want to receive any warning, clear the check box.

Import management packs and reports
Select this option if you want to import Management Packs and their associated reports in the same import session. This is the default option if you have MOM Reporting installed.

See Also

Management Pack Import/Export Wizard: Select Reports


Management Pack Import/Export Wizard: Select Management Packs

Use this page in the wizard to select the Management Packs to import. You can also specify how you want the import to handle existing Management Packs.

This page contains the following options:

Please select one or more Management Packs to import
Click the name of each Management Pack that you want to import.
Note Note

If you choose to import reports and Management Packs, the Select Reports page is displayed after the Select Management Packs page. This page lists the available reports. To select a report, click the name of the report in the list.

The Select Reports page also has the Always warn me about insecure connections option selected by default. It is recommended that you keep this option selected. If you do not want to receive a warning, clear the check box.

Import options
Select from the following import options:
Update existing Management Pack. Custom rules, enabled/disabled settings, and company knowledge will be retained.
Select to update information only in the existing Management Pack that has changed. This is the default option.
Note Note

If you are in author mode and are importing a management pack that was created in author mode, the imported rules will overwrite any changes made to the existing management pack. For example, if you disabled a rule in the existing management pack and that rule is enabled in the management pack you are importing, the enabled rule will overwrite the disabled rule.

Replace existing Management Pack
Select this option if you want to completely replace an existing Management Pack with the Management Pack that you are importing.
Backup existing Management Pack
This check box is selected by default. Any existing Management Packs that might be affected by an import are backed up so they can be restored if necessary. It is recommended that you keep this option selected. The default directory that was created when you installed Microsoft Operations Manager (MOM) 2005 is \Program Files\Microsoft Operations Manager 2005\MPBackup\. To select a different backup directory, click Browse.


Management Pack Import/Export Wizard: Select Reports

Use this page in the wizard to select report files to import.

This page contains the following options:

You selected this folder
This box is populated with the path to the folder that you selected in the previous wizard page. If the reports to import are stored in a different folder, type the path to this folder in this box.
Please select one or more reporting files to import
Select the name of each report you want to import from the list.
Always warn me about insecure connections
This check box is selected by default. It is recommended that you keep this check box selected. If you do not want to receive a warning, clear the check box.

See Also

Management Pack Import/Export Wizard: Select a Folder and Choose Import Type


Management Pack Import/Export Wizard: Select a Rule Group

Use this page in the wizard to specify the rule groups that you want to export.

This page contains the following option:

Please select a Rule Group
Navigate to the folder that contains the rule group that you want to export, and select it.
Note Note

When you select a rule group, all of the child rule groups, associated computer groups, notification groups, providers, and scripts are also exported.


Management Pack Import/Export Wizard: Select Views

Use this page in the wizard to specify the views that you want to export with the Management Pack.

This page contains the following option:

Select the views that you want to export with the Management Pack
Navigate to the folder that contains the views that you want to export, and select the check box beside the view. You can select a group of views or individual views.
Note Note

If you select a parent node for a view, all the child views for the node are automatically selected.


Management Pack Import/Export Wizard: Select Tasks

Use this page in the wizard to specify the tasks to export with the Management Pack.

This page contains the following option:

Select the tasks that you want to export with the Management Pack
Navigate to the folder that contains the tasks that you want to export, and select the check box beside the task. You can select a group of tasks or individual tasks.

Note Note

If you select a parent node for a task, all the child tasks for the node are automatically selected.


Management Pack Import/Export Wizard: Management Pack Name

Use this page in the wizard to provide the location and name for the Management Pack that you are exporting. You can also specify overwrite handling if the Management Pack already exists.

This page contains the following options:

Select the name and location of the Management Packs file
Click Browse to navigate to the folder where the Management Pack is located. Click the name of the Management Pack (.akm file), and then click Open.
Overwrite Handling
If the Management Pack already exists you have these options:
Overwrite the existing Management Packs file
Select to overwrite the existing Management Pack with the Management Pack that you are exporting. This is the default option.
Append to the existing Management Packs file
Select this option if you want to append the Management Pack that you are exporting to an existing Management Pack. Also use this option if you are creating a new Management Pack.
Management Pack Types (authoring mode only)
If you enable Management Pack authoring mode, you can select from the following options:
Export full Management Pack
Select to export the full Management Pack. The knowledge base is editable, and includes rules marked for deletion. This is the default option.
Export retail Management Pack
Select this option if you want to export the retail version of the Management Pack. The knowledge base is read-only, and any rules marked for deletion are dropped.


Computer Groups

This folder contains computer groups that either you created, or that automatically downloaded with Microsoft® Operations Manager (MOM) 2005. Computer groups help define on which computers MOM 2005 rules are deployed. In the Administrator console, you can create and manage computer groups and subgroups.

You can also calculate group membership to make sure you see the latest group membership data. This means that included subgroups and computers, excluded computers, searches, and formulas (including formulas based on membership in discovered groups) are re-evaluated.

You must determine the inheritance and associations of rule groups to computer groups by following the hierarchy for both the associated rule groups and computer groups. In the Administrator console and the Operator console.

To verify inheritances and associations in the Administrator console

  1. In the Navigation pane, click an associated rule group.
  2. In the Detail pane, the Bound to Computer Groups field lists all the computer groups to which this rule group is associated, or has inherited from its parent rule group.

To verify inheritances and associations in the Operator console

  1. In the Navigation pane, click the Computer Groups folder to view the list of computer groups in the Detail pane. You can also view the list by expanding the Computer Groups folder.
  2. In the Detail pane, click a computer group or computer, and then click the Rule Groups tab in the lower portion of the pane.
    Note Note

    To see the updated information, refresh the Operator console.

See Also

Work with a Computer Group | Views


Work with a Computer Group

After you create a computer group, you can work with the group in the Details pane of the Administrator console. You can change the initial settings for the group, delete a computer, or copy the definition of a computer group in the current management group and paste it into another management group.

You can also calculate group membership to make sure that you see the latest group membership data. This means that included subgroups and computers, excluded computers, searches, and formulas are re-evaluated, including formulas based on membership in discovered groups.

You must determine the inheritance and associations of rule groups to computer groups by following the hierarchy for both the associated rule groups and computer groups. In the Administrator console and the Operator console, you can verify these inheritances and associations.

To view inheritances and associations

  1. In the Administrator console, in the Navigation pane, click an associated rule group.
  2. In the Detail pane, the Bound to Computer Groups field lists all the computer groups to which this rule group is associated, or has inherited from its parent rule group.

To view information about a rule group

  1. In the Operator console, in the upper portion of the Detail pane, click a computer group or computer.
  2. In the lower portion of the Detail pane, click the Rule Groups tab.
Note Note

To view the updated information, refresh the Operator console.

See Also

Computer Groups | Computer Group Properties | Delete a Computer Group | Views


Welcome to the Create Computer Group Wizard

Use this wizard to create a new computer group or subgroup. You can group similar computers together and monitor and manage the group instead of individual computers. The computer grouping rules that you specify with the wizard define groups of computers.

To continue in the wizard, click Next


New Computer Group: Confirmation

This dialog box displays the computer group properties that you defined.

If you want to change any of the properties, click Back to navigate to the appropriate dialog box.


Computer Groups: General

Use this tab to specify a name and description for the computer group.

This tab contains the following options:

Name
Type the name of the computer group. Do not include parentheses or commas in the name of the computer group.
Description (optional)
Type a description of the computer group.


Computer Groups: Included Computers

Use this tab to specify, by domain and computer name, which computers to always include in the computer group. If a computer matches the specification in this window, Microsoft Operations Manager (MOM) 2000 always includes it in the computer group, regardless of other specifications.

This tab contains the following options:

Computers included in this computer group
Includes Domain and Computer columns, which identify the domain and computer names that match the specified text pattern matching expression.
Add
Add computers to the specification.
Remove
Remove computers from the specification.
Note Note

If a computer matches both the include and exclude specifications, it is excluded.

See Also

Add Computer | Excluded Computers


Computer Groups: Add Computer

Use this dialog box to specify, by domain and computer name, which computers to always include in the computer group. If a computer matches the specification in this window, Microsoft Operations Manager (MOM) 2000 always includes it in the computer group, regardless of other specifications.

This dialog box contains the following options:

Domain
Identifies domain names that match the specified text pattern matching expression.
Computer
Identifies computer names that match the specified text pattern matching expression.
Add
Add computers to the specification.
Remove
Remove computers from the specification.
Modify
Modify the specification.
Note Note

If a computer matches both the include and exclude specifications, it is excluded.


Computer Groups: Included Subgroups: Add Subgroup

Use this dialog box to select from a list of available subgroups.

Select one or more computer groups to add
Add one or more of the available subgroups by clicking the check box beside each subgroup name, and then click OK.

The following subgroups are available by default when you first install MOM.

Subgroup | Description
Microsoft Operations Manager 2005 Agents | Contains computers that have the Microsoft Operations Manager Agent component installed.
Microsoft Operations Manager 2005 Databases | Contains computers that have the Microsoft Operations Manager Database component installed.
Microsoft Operations Manager 2005 Product Connector Servers | Contains computers that have the MOM-to-MOM product connector installed.
Microsoft Operations Manager 2005 Report Servers | Contains computers that have the Microsoft Operations Manager Reporting Server component installed.
Microsoft Operations Manager 2005 Reporting Database Servers | Contains computers that have the Microsoft Operations Manager Reporting Database Server component installed.
Microsoft Operations Manager 2005 Servers | Contains computers that have the Microsoft Operations Manager Server component installed.
Microsoft Operations Manager 2005 Virtual Servers | Contains computers that have the Microsoft Operations Manager Virtual Server component installed.


Computer Groups: Excluded Computers

Use this tab to specify, by domain and computer name, which computers to always exclude from the computer group. If a computer matches the specification, Microsoft Operations Manager (MOM) 2005 always excludes it from the computer group, regardless of other specifications.

This tab contains the following options:

Computers always excluded from this computer group
The Domain and Computer columns identify domain names and computer names that match the specified text pattern matching expression.
Add
Add computers to the specification.
Edit
Edit computers in the specification.
Remove
Remove computers from the specification.
Search
Search for computers to add to the specification.
Note Note

If a computer matches both the include and exclude specifications, it is excluded.

See Also

Add Computer | Included Computers


Computer Groups: Search for Computers

Use this tab to set the search criteria that you want Microsoft Operations Manager (MOM) to use when looking for undiscovered computers.

This tab contains the following criteria options, on which you can search:

Do not search for computers.
Turns off all search criteria.
Search for computers using all criteria specified below.
Turns on all search criteria.
Include computers that are
To search for specific types of computers, select any of the following check boxes:
  • Servers
  • Clients
  • Domain Controllers
  • Unknown
  • Cluster Virtual Servers
Include computers
To search on additional criteria, select any of the following check boxes.
  • With any name
  • Whose name matches the following criteria
    • Domain name
    • Computer name

Set the search criteria based on the Domain name and/or Computer name. For both Domain name and Computer name criteria, choose one of these list options: equals, contains substring, matches wild card, matches regular expression, or matches Boolean regular expression. In the entry box beside the list, type the text that will be used with the search logic. If you want to use wildcards, click the right arrow beside the input area. You can insert any of the following wildcards: Any Character, Any Digit, or Any Character, 0 or More Matches.

Note Note

If you use wild cards in your search, the appropriate search criteria must be selected.

See Also

String Pattern Matching


Computer Groups: Formula

Use this tab to determine membership for the group.

Important Important

If you use a formula, you must first set search criteria for the computer group. For more information about setting search criteria, see Search for Computers

This tab contains the following options:

Do not use a formula to determine membership for this computer group
This option is selected by default. A formula will not be used to determine group membership.
Specify a formula for the computer group
Select this option if you want to construct a formula for determining group membership. You can use operators and functions in conjunction with attributes, computer groups, and discovered groups to create the formula.
Note Note

Computers for which your formula evaluate to TRUE are members of this computer group, unless they are in the excluded computers list.

Operator
Click to select from the available list of logical operators: AND, OR, NOT, <, <=, >, >=, =, <>, and ().
Function
Click to select from MatchRegEx or MatchWildcard.
Attribute
Click to view a list of existing computer groups whose attributes you want to use.
Computer Group
Click to view a list of existing computer groups that you can specify of which the new computer must be a member.
Discovered Group
Click to view a list of discovered computer groups that you can specify of which the new computer must be a member.

The following example, used to determine group membership in the Microsoft Operations Manager Database groups, illustrates what a finished formula looks like.

MatchWildcard(AttributeValue(Microsoft Operations Manager 2005 Database Server),"5.*")

See Also

Identify Attributes | Identify Computer Group | Identify Discovered Group


Computer Groups: Formula: Select Computer Group

Use this dialog box to identify the computer group for which the new computer must be a member.

This dialog box contains the follow option:

Select a group of which computers groups must be a member
By default, the following groups are available:
  • Microsoft Operations Manager 2005 Agents
  • Microsoft Operations Manager 2005 Databases
  • Microsoft Operations Manager 2005 Product Connector Servers
  • Microsoft Operations Manager 2005 Report Servers
  • Microsoft Operations Manager 2005 Reporting Database Servers
  • Microsoft Operations Manager 2005 Servers
  • Microsoft Operations Manager 2005 Virtual Servers

After you select the group, click OK to return to the Formula dialog box.


Computer Groups: Formula: Select Discovered Group

Use this dialog box to select the discovered management group.

This dialog box includes the following option:

Select a discovered group
Specify the group for which the new computer must be a member. To return to the Formula tab, click OK.


Computer Groups: State Roll-up Policy

Use this tab to calculate the state of the current computer group.

This tab contains the following options:

The worst state of any member computer or subgroup.
The state of the computer group is equal to the worst state of any one of the members of the computer group. In the State Roll-up Models window, that state is Service Unavailable.
The worst state from the specified percentage of best states in the computer group.
The state of the computer group is equal to the worst state from the specified percentage of the healthiest computers within the computer group. As the State Roll-up Models window illustrates, if you have a computer group containing 10 computers, and the state roll-up policy is set at 60%, the most severe state of the 6 healthiest computers is Warning. The minimum percentage you can specify is 1%, and the maximum is 99%.
The best state of any member computer or subgroup.
The state of the computer group is equal to the best state of any one member of the computer group. In the State Roll-up Models window, that state is Success.


Computer Groups: Console Scopes

Use this tab to view the console scopes (user groups) that can access the computers in this computer group. If you make changes to the computer group, you change access for the MOM Operator console users within these console scopes, all of the parents of this computer group, as well as the console scopes that include the parent groups.

This tab contains the following information:

The computer group is used in definition of these Console Scopes
This is read-only.


Computer Groups: Parents

Use this tab to view the first-generation parent groups of this computer group. If you make changes to this computer group, you can affect the computers and other computer groups contained in the parent groups.

This tab contains the following information:

First-generation parent groups of this computer group


Computer Groups: Rules

Use this tab to view the rule groups associated with this computer group. You can also disable all rules and add or remove rule groups. You can view the Rule Groups inherited from parent Computer Groups or Rule Groups associated with this Computer Group and inherited by its subgroups.

To disable all rules on the computers contained in this Computer Group, click the check box for the option in the upper portion of the Rules tab.

To add a rule group to this computer group, click Add.

To remove a rule from this computer group, select the rule group in the list box, and then click Remove.

See Also

Computer Groups: Add Rule Group


Computer Groups: Rules: Select Rule Group

Use this dialog box to add a rule group to a computer group.

This dialog box contains the following option:

Select Rule Group
Expand the tree, click a group, and then click OK. On the Rules tab, the rule group populates the Rule Groups associated with this Computer Group and inherited by its subgroup box.

See Also

Computer Groups: Rules


Computer Groups: Delete Computer Group

Use this dialog box to specify how to delete or not to delete subgroups contained within a computer group.

This dialog box contains the following options:

  • but do not delete contained subgroups.
  • also delete contained subgroups, only if they have no other parent.
  • also delete contained subgroups, always.


Discovered Groups

This folder contains any computer groups discovered by Microsoft® Operations Manager (MOM).

To view the discovered computer groups

  1. In the Navigation pane, click the Discovered Groups folder.
  2. The discovered computer groups appear in the Detail pane.

See Also

Work with Discovered Groups


Work with Discovered Groups

Use the Details pane to work with discovered groups. You can create replicas of the computer groups. Replica groups are regular computer groups that are based on the membership of a discovered group. For example, if you want to give a user access to all the computers in Exchange Routing Group 1, you need a “real” computer group to add to the user's console scope. You cannot add discovered groups directly, so you must create a replica group from the discovered group.

To create a replica of a computer group

  • In the Detail pane, right-click a discovered computer group, and then click Create Replica Computer Group(s).

See Also

Discovered Groups


Rule Groups Detail Pane

View and print rule group details; create, edit, and delete rule groups; and navigate through the rule group hierarchy.

The fields are defined as follows:

Enabled
Indicates whether the rule group is enabled.
Parent Rule Group
Specifies the parent of the rule group, and allows you to navigate to the parent rule group.
Child Rule Groups
Specifies the children of the rule group, and allows you to navigate to the child rule groups.
Description
Describes the rule group.
Bound to Computer Groups
Specifies the computer groups to which the rule will be distributed.
Microsoft Knowledge Base
Specifies the Microsoft Knowledge Base information for the rule group. This field is available only if there is Knowledge Base information available.
Company Knowledge Base
Specifies the company-provided knowledge base information associated with the rule group. This field is available only if there is company-provided knowledge base information associated with the rule group.
Event Rules
Specifies the event rules in the rule group. Click an event rule to display its Properties dialog box.
Alert Rules
Specifies the alert rules in the rule group. Click an alert rule to display its Properties dialog box.
Performance Rules
Specifies the performance rules in the rule group. Click a performance rule to display its Properties dialog box.

To create a rule group

  • In the Navigation pane, right-click the rule group that you want to contain the new rule group, and click Create Rule Group.

To edit a rule group

  • In the Navigation pane, right-click a rule group, and click Properties.

To delete a rule group

  1. In the Navigation pane, right-click a rule group, and click Delete.
  2. Click an option in the Delete Rule Group dialog box, and then click OK.

To print the details of a rule group

  1. In the Navigation pane, click a rule group.
  2. In the Detail pane, click Print.


Understanding Rule Groups

Rules define how Microsoft®Operations Manager (MOM) 2005 collects, handles, and responds to information. Rule groups hold and categorize rules. For example, a rule group named Microsoft SQL Server contains rules related to Microsoft SQL Server™. Grouping rules together allows you to associate more than one rule with a computer group.

Rule groups provided as part of Management Pack modules contain specific Microsoft Knowledge Base information that defines the purpose, features, and configuration of the rule group.


Rule Group Properties: Computer Groups

Use this tab to view, add, and remove computer groups associated with the rule group. To deploy the rules in a rule group to agents, you must associate the rule group with computer groups.

This tab contains the following options:

Name
Specify the name of the computer group associated with the rule group.
Description
Specify the description of the computer group.

To associate an additional computer group with the rule group, click Add.

To disassociate a computer group from the rule group, select a computer group, and then click Remove.


Rule Group Properties: Parent Rule Groups

Use this tab to view the first-generation parent groups that contain this rule group.


Rule Group Properties: General

Use this tab to specify the name for a rule group and whether the rule group is enabled.

This tab contains the following options:

Name
Specify the name of the rule group.
Description
Describe the rule group.
Enabled
Specify whether the rule group is currently enabled.
Rule group GUID
Specify a globally unique identifier for the rule group. You can use this GUID to locate a specific rule group. This box is read-only.


Event Rules

Use this node to create or find event rules. Event rules define how Microsoft® Operations Manager (MOM) responds when an event occurs. Event rules specify actions, such as Alert on or Respond to Event, Filter Event, or Detect Missing Event.


Event Rules Detail Pane

View, create, edit, and delete event rules in a rule group. When you click Event Rules in the Navigation pane, a table listing all available event rules appears in the Detail pane.

The table contains the following information:

Name
Specifies the name of the rule.
Enabled
Indicates whether the rule is currently enabled.
Type
Specifies the event rule type, such as filter or forwarding.
Provider Name
Specifies the name identifying a particular instance of a provider that generates an event, such as Security for Windows Event Log.
Provider Type
Specifies the type of information provider that generates the event, such as Windows Event Log or WMI Events.
Source
Specifies the Windows event source that matches this rule, such as Microsoft Exchange Server or Microsoft SQL Server™.
ID
Specifies the Windows event identification number that matches this rule.
Event Type
Specifies the event type, such as Error or Audit Failure.
Event Text Criteria
Specifies the text-pattern matching expression for event text for events matched by this rule.
Response
Indicates whether a rule match generates a response, and if so, what response.

To create an event rule

  • In the Navigation pane, right-click Event Rules, and click Create Event Rule.

To edit a rule

  • In the detail pane, right-click a rule, and click Properties.

To delete a rule

  • In the Detail pane, right-click a rule, and click Delete.


Alert Rules

Use this node to view, create, or find alert rules. Alert rules define how Microsoft® Operations Manager (MOM) finds and responds to alerts. An alert rule can specify what alerts properties MOM should look for, for example, from a particular alert source or severity level. From the Alert Rules node, you can also respond to an alert.

To create an alert rule

  • In the Navigation pane, right-click Alert Rules, and then click Create Alert Rule.

To find a rule

  • In the Navigation pane, right-click Alert Rules, and then click Find Rules.

To respond to an alert

  • In the Navigation pane, right-click Alert Rules, and then click Respond to Alert.


Alert Rules Detail Pane

Edit the properties, or delete alert rules for a rule group. When you click Alert Rules in the Navigation pane, a table listing all available alert rules appears in the Detail pane.

The table contains the following information about the rules:

Name
Specifies the name of the rule.
Enabled
Indicates whether the rule is currently enabled.
Alert Source
Specifies the user-defined alert source name. If no name is defined, the default is the event source name.
Severity
Specifies the alert severity, such as Service Unavailable or Error.
Response
Indicates whether a rule match generates a response, and if so, what response.

To edit a rule

  • In the Detail pane, right-click a rule, and click Properties.

To delete a rule

  • In the Detail pane, right-click a rule, and click Delete.


Alert Rule Properties: Alert Criteria

Use this tab to match specific types of alerts.

This tab contains the following options:

from alert source
Specify where the alerts are coming from.
of severity
Specify level of severity, for example, Security Issue or Critical Error.
only match alerts generated by rules in the following group
Specify the rule group in which rules have generated alerts that match the rule. Click Browse to look for a rule group.
Note Note

If you do not specify a rule group for this alert criteria, the alert rule will apply to all rule groups available, regardless of the location of the alert rule within the rule group.

Criteria description
Displays the criteria you have selected.
Advanced
Click to set more criteria.


Alert Rule Properties: Configure Response Command

Use this tab to specify the properties of the command that you would like to run.

This tab contains the following options:

Use Windows command interpreter (not recommended)
Specify that the command run from the Windows command interpreter.
Application
Specify the executable file for the command line utility (for example, Notepad.exe).
Command Line
Specify the command line that you want to use. You can type a command line, or click the arrow to select a command line..
Initial directory
Specify the initial working directory.
Run Location
Specify where to run the command, either an agent computer or a Management Server. If you select Management Server, you can also specify to Run this response before duplicate alert suppression.
Response timeout
Specify when to end the response if it runs too long. Type the Response timeout in minutes.


Performance Rules

Use this node to create or find performance rules. You can also sample or compare performance data.

Performance rules define how Microsoft® Operations Manager (MOM) processes performance counter data and Windows Management Instrumentation (WMI) numeric data. You can create the following types of performance rules:

Measuring rules
Cause MOM to collect numeric values from sources, such as WMI or Microsoft Windows NT® performance counters. MOM stores sampled numeric measures in the database. Measuring rules can also include a response.
Threshold rules
Specify that MOM generate an alert or execute a response when a WMI value or performance counter crosses a defined threshold.


Performance Rules Detail Pane

View, create, edit, and delete performance rules for a rule group. When you click Performance Rules in the Navigation pane, a table listing all available rules appears in Detail pane.

Name
Specifies the name of the rule. The table contains the following information about a rule:
Enabled
Indicates whether the rule is currently enabled.
Type
Specifies the performance rule type: measuring or threshold.
Provider Type
Specifies the type of information provider, such as Windows Event Log or WMI.
Provider Name
Specifies the user-defined name that identifies a particular instance of a provider, such as Security for Windows Log.
Response
Indicates whether a rule match generates a response, and if so, what response.

To create a performance rule

  • In the Navigation pane, right-click Performance Rules, and click Create Performance Rule.

To edit a rule

  • In the Detail pane, right-click a rule, and click Properties.

To delete a rule

  • In the Detail pane, right-click a rule, and click Delete.


Rules Settings: Report on Rules

Use this tab to enable or disable the rule group detail report in the Detail pane.

This dialog box contains the following option:

Enable
This check box is selected by default. Clear this check box to disable the report in the Detail pane. When the detail report is disabled, only the list of child rule groups is displayed in the Detail pane.


Rules Settings: Configuration Change

Use this tab to enable or disable an informational dialog box after you make configuration changes.

This dialog tab contains the following option:

Show Configuration Change dialog box
This check box is selected by default. When this option is selected, the dialog box appears with the following message: All configuration changes have been transmitted to the Management Servers. Agents will receive these changes during the next automatic configuration update. To disable the dialog box, clear this check box.


Rule Properties: General

Use this tab to view rule properties, enable or disable the rule, and set override criteria.

This tab contains the following options:

Rule Name
Specify the name for this rule.
Rule action
Displays what the rule does. This box is read-only.
Rule path
Displays the location of the rule in the MOM Administrator console. This box is read-only.
Rule GUID
Displays a globally unique identifier for the rule group. You can use this GUID to locate a specific rule group. This box is read-only.
Last modified by
Displays the [domain\userID], the date, and the time the rule was last modified. This box is read-only.
Note Note

Depending on the type of rule, this box might not appear.

This rule is enabled.
Clear the check box to disable this rule.
Enable rule-disable overrides for this rule
Select the check box to enable overrides.
Override Name
Displays a unique override name, with _RuleDisable appended, if the Enable rule-disable overrides for this rule is enabled.
Note Note

If you change the override name, a new override will be assigned to this rule. Therefore, the override criteria set for the previous override name will no longer apply to this rule.

Set Criteria
Click to specify the override criteria for this rule.


Event Rule Properties: Criteria

Use this tab to specify event properties that you want this rule to match.

This tab contains the following options:

from source
Specify that the rule matches events from the specified source.
with event ID
Specify that the rule matches events with the specified event ID number.
of type
Specify that the rule matches events of the specified type, such as Success Audit or Information.
with description
Specify that the rule matches events with the specified text in the description field.
Criteria description
Displays all criteria defined for the rule. This box is read-only.
Advanced
Click to specify more advanced rule criteria.


Alert Rule Properties: Alert

Use this tab to specify whether a match to this rule generates an alert, and the properties for that alert.

This tab contains the following options:

Generate alert
Specify whether a match to this rule generates an alert.
Enable state alert properties
Specify that state alert properties are enabled. When you select this check box, the Edit button is enabled, which when clicked, launches the Alert Severity Calculation for State Rule dialog. This dialog allows you to add or modify alert severity conditions for this rule.
Alert severity
Specify the level of severity of the alert, such as Security Issue or Critical Error.
Owner
Specify the person responsible for tracking and resolving the alert.
Resolution state
Specify the status of the resolution process of the alert, such as New or Resolved. The resolution state indicates whether the resolution process has begun.
Alert source
Specify the source of the alert. The default is $Source Name$, but you can specify another parameter by clicking the arrow and selecting from the list.
Description
Describe the alert. Press Enter to insert line breaks within the Description box.
Server role
Specify the role that the server plays in regard to the alert. For example, the agent or the MOM Database.
Instance
Specify the instance of the alert, such as the source domain or provider name.
Component
Specify the component of the Server role.

To populate the custom fields of the alert, click Custom Fields.


Alert Rule Properties: Alert Severity Calculation for State Rule

Use this dialog box to define alert severity conditions. For state rules, you must define at least two alert severity conditions, one for alert severity (Red) and one for no problem (Green). Microsoft® Operations Manager (MOM) evaluates the conditions that you add to this list in order, top to bottom, and they trigger at the first match.

This dialog box contains the following options:

Move Up/Move Down
Select a condition in the list, and click the arrows to change the order of the conditions.
Add
Click to add a condition.
Edit
Click to make changes to an existing condition.
Remove
Click to remove an existing condition.


Rule Properties: Edit Alert Severity Condition

Use this dialog box to define the alert severity conditions for state rules.

You must define at least the following two conditions:

  • If for alert severity
  • Else must specify "no problem."
Note Note

These conditions are set in relation to the severity that populates the for Alert Severity box.

This dialog box contains the following options used to build the conditions:

Parameter
Select a parameter from the list, for example, Event Number, Event Type, Provider Name, or a custom parameter n.
Operator
Select an operator from the list, for example, AND, OR, and NOT.
Function
Select a function from the list, for example, MatchRegEx or MatchWildcard.
Condition
As you build the conditions, they are listed in this box.
Override
Click to create the override criteria. In the Insert Override dialog box, type an Override Name and Default Value, and then click OK. The override populates the Condition list.
Show Overrides
Click to see a list of the overrides created for this condition.

See Also

Override Criteria


Alert Rule Properties: Alert Suppression

Use this tab to define how to handle duplicate alerts. To be considered a duplicate alert, the specified fields of an alert must be identical to those of an existing unresolved alert generated by the same rule.

This tab contains the following options:

Suppress duplicate alerts
Specify whether to suppress duplicate alerts.
Fields
Select the appropriate check boxes to specify which fields must be identical.
Select All
Click to select all of the fields.
Clear Selections
Click to clear all the selections.


Rule Properties: Data Provider

Use this tab to specify the source of the data or events matched by the rule.

This tab contains the following options:

Provider name
Select a provider name from the list box. Based on the provider name that you select, the information in the following Provider type and Provider settings fields is updated.
Provider type
Displays the name of the data provider type for the selected provider. For example, Windows event log, Windows performance counter, or timed event provider. This field is read-only.
Provider settings
Describes the settings for the provider instance. This field is read-only.

Click New to create a new provider.

Click Modify to modify a performance rule provider type. Modify is available only when viewing the properties for performance rules.


Rule Properties: Knowledge Base

Use this tab to view and edit the knowledge base for this rule.

This tab contains the following options:

Company Knowledge Base
Displays saved comments and information about this rule.
Edit
Click to edit the company knowledge base.


Rule Groups: Search Results

The Search Results node contains the results of a rule search. When you click Search Results in the Navigation pane, Rule Search folders populate the Detail pane. To view the actual search results, expand the Search Results folder, and then click one of the Rule Search items. A table listing the search results appears in the Detail pane.

The table contains the following information about the search results:

Name
Specifies the name of the rule.
Enabled
Indicates whether the rule is enabled.
Type
Specifies the type of rule, such as Event Collection or Compare Performance Data.
Rule Group
Specifies the Rule Group folder in which the rule resides.


Windows Performance Counter Provider Properties: General

Use this tab to specify performance counter provider properties.

This tab contains the following options:

Name
Specify the name of the performance provider.
Counter definitions
Specify the computer from which to read performance counter definitions.
Browse
Browse for the computer from which to read performance counters.
Object
Specify the name of the performance object to sample.
Advanced
Specify advanced counter features to sample.
Counter
Specify the name of the performance counter to sample.
Instance
Specify the performance counter instances to sample. The special instance <All> indicates that the provider supplies values for all instances of a given counter.
Description
Displays the description of the selected performance object and counter. This box is read-only.
Sample every
Specify how often the performance counter provider samples data.


Windows Performance Counter Provider Properties: Synchronization

Use this tab to specify the time of day to synchronize sampling data.

This tab contains the following option:

Synchronize at
Specify whether to synchronize sampling data and, if so, what time synchronization will take place.

To set the time for the synchronization, click the arrows in the Time box.


Rule Properties: Schedule

Use this tab to specify when this rule is active.

This tab contains the following options:

Always process data
Indicates that the rule is always active.
Only process data during the specified time
Indicates that the rule is active only between the specified times.
Process data except during the specified time
Indicates that the rule is active, except during the specified time.
Between n and n
Specify the start and stop time between which the rule is active or inactive.
Sunday through Saturday.
Specify the day of the week that the rule is active or inactive.


Rule Properties: Responses

Use this tab to view, add, edit, and remove the response actions that happen when a match occurs on the rule. These options are not available for pre-filter rules.

This tab contains the following options:

Define any response actions you would like to take when a match occurs.
The box in the center of this dialog box shows any responses already defined.
Add
Click to add a new response, and then select the response from the Add drop-down menu.
Edit
Select a response, and then click this button to edit a response.
Remove
Select a response, and then click this button to remove a response.

See Also

Assigning Responses to a Rule


Alert Rule Properties: Responses, Send a notification to a Notification Group - Notification Tab

Alert Rule Properties: Responses, Send a notification to a Notification Group—Notification Tab

Use this tab to specify a notification group you want to notify when a rule match occurs, when you want to create new notification groups, and when you want to modify notification groups.

The field is defined as follows:

Notification group
Specifies the name of the notification group.

To create a new notification group, click New.

To modify a notification group, select a notification group in the Notification field and click Modify.


Alert Rule Properties: Responses, Send a notification to a Notification Group—Email Format Tab

Use this tab to specify the format of e-mail messages to notification groups. The fields are defined as follows:

Use default email format
Use the default e-mail format provided by Operations Manager. The default e-mail message text includes the following fields: Computer, Time, Source, EventID, Text, Type, User, Agent, Provider Type, Provider Name, and Category.
Custom email format
Use a custom e-mail format that you specify. If you select this option, you must provide information for the following fields:
Subject
Specify the subject line for the custom e-mail message.
Message
Specify the fields to include in message body for the custom e-mail message.


Alert Rule Properties: Responses, Send a notification to a Notification Group - Command Format Tab

Alert Rule Properties: Responses, Send a notification to a Notification Group—Command Format Tab

Use this tab to specify the format of a command line to use to send a notification to a notification group. The command line starts a paging application that uses a modem to notify operators in the notification group. The fields are defined as follows:

Use default command
Use the notification command specified in the global settings.
Custom command
Specifies the custom command line to use for this notification.


Alert Rule Properties: Responses, Send a notification to a Notification Group - Page Format Tab

Alert Rule Properties: Responses, Send a notification to a Notification Group—Page Format Tab

Use this tab specify the format of pages sent to notification groups using a paging service. Your paging service must provide an SMTP e-mail service for Microsoft Operations Manager (MOM) 2005 to work. MOM sends an e-mail message to the paging service, which forwards the e-mail to the appropriate paging recipient. The fields on this page are defined as follows:

Use default page format
Use the default page format provided by MOM. The default message text includes the following fields: Text and Event URL.
Custom page format
Use a custom page format. If you select this option, you must provide information for the following fields:
Subject
Specify the subject line of the message.
Message
Specify the fields to include in the message for the page.


Event Rule Properties: Responses, Update State Variable - State Variable Update

Event Rule Properties: Responses, Update state variable—State Variable Update

Enables you to view, add, remove, and edit the state variable update operations to perform as a response. The available fields are defined as follows:

Variable Name
Specify the name of the state variable to update.
Action
Specify the action to perform on the state variable.
Value
Specify the value, if any, to which to change the state variable.
Perform the operation
Enables you to specify whether to update the state variable on the agent-managed computer or on the management server. The updated state variables are available to scripts that run where the variables are updated. If you select Locally on the agent computer, the updated state variables are available to scripts that run on the agent-managed computer.
Locally on the agent computer
Specify that the state variable is updated on the agent-managed computer.
Centrally on the Management Server
Specify that the state variable is updated on the management server computer.

To add a new state variable update operation, click Add.

To remove a state variable update operation, select the state variable update operation you want to remove and click Remove.

To edit a state variable update operation, select the state variable update operation you want to edit and click Edit.


Event Rule Properties: Responses, Update state variable—State Variable Update Operation

Rule Properties: Responses, Update state variable—State Variable Update Operation

This dialog enables you to identify a state variable and specify how the value of the variable should be updated. The available fields are defined as follows:

Operation
Specify the type of operation to perform. The available choices are as follows:
  • Increment variable value
  • Decrement variable value
  • Set variable value to property
  • Set variable value to text
  • Set variable value to number
  • Set variable value to N occurrences
State variable
Specify the name of the state variable to update. Click the arrow button beside the State variable input box to obtain a list of choices. You can choose state variables in several categories. These categories are determined by the type of rule that you are working with. The rules and corresponding categories are as follows:
  • Event rules - select from the Alert, Event, or Target categories.
  • Alert rules - select from the Alert category
  • Performance rules - select from the Performance Data or Alert category.
Note Note

This option is not available with the Store the last N occurrences operation. If you select this operation, you will be prompted to provide the State variable root value and, optionally, the Property value.

Additional configuration options are provided. Their availability depends on the state variable operation that you specify. These options are described in the following section.

Configuration Options

Number of occurrences
Specify the number of state variables to store. This field is available only with the Store the last N occurrences operation.
State variable root
Specify the root variable name by which to store the occurrences of the variables. This option is available only with the Store the last N occurrences operation. When storing the last N occurrences of a variable, MOM 2005 creates several variables with names prefaced by the state variable root. You can access these variables from a script through the state object. MOM creates the following variables with the state variable root:
State_Variable_Root.size
Specifies the number of occurrences stored. This value is equal to the value specified in the Number of occurrences field.
State_Variable_Root.first
Specifies which State_Variable_Root.N variable contains the earliest occurrence of the variable. If State_Variable_Root.first equals 4, the earliest occurrence of the variable is stored in State_Variable_Root.4.
State_Variable_Root.last
Specifies which State_Variable_Root.N variable contains the latest occurrence of the variable. If State_Variable_Root.last equals 2, the latest occurrence of the variable is stored in State_Variable_Root.2.
State_Variable_Root.N
Specifies each of the occurrences of the state variable. N can be from 1 to the number specified in the Number of occurrences field. The occurrence cycle through the N variables overwriting the oldest occurrence. Use the .first and .last variables to keep track of the order of occurrences.
Property
Specifies the event or alert property to which to set the state variable. This field is available only with the Set variable value to property or Store the last N occurrences operation.
Text
Specifies the text to which to set the state variable. This is available only with the Set variable value to text operation. You can specify the $State Variable$ variable in the Text field. The $State Variable$ variable represents the value of the variable before the state variable update operation is performed.
Number
Specifies the number to which to set the state variable. This field is available only with the Set variable value to number operation.


Alert Rule: Launch a Script

For an alert response, select a script that launches when it matches the alert criteria you set. To select a script to launch, select from the following configuration settings:

Script name
From the drop-down list, specify the script that you want to launch. You can also specify a new script, or edit an existing script.
Run location
Specify from which location the script executes: Agent Computer or Management Server.
Response timeout
Specify the maximum number of minutes in which the script can run before MOM terminates it.
Script parameters
Configure parameters of the selected script. When you select an existing script, a list appears with supported parameters that you can configure. To configure a parameter, click Edit Script Parameters.
Note Note

Not all scripts have parameters. Whether a script includes parameters is based on its need for external input to do conditional processing. For example, the MOM Action Account Password Expiration Check script takes a parameter that configures how soon an alert should be raised before the action account password expires.


File Transfer Response

Use this tab to add a file transfer response to a new or existing rule. You can specify that files are transferred when the alert matches the rule.

This tab contains the following options:

Virtual directory configuration
Specify to either Use global settings or Use other virtual directory. You configure the global settings in the Web Addresses Properties dialog box.
File transfer direction
Specify the direction for the file transfer: Upload one file from local agent computer to remote virtual directory or Download one or more files from remote virtual directory to local agent computer.
Note Note

In this dialog box, you can also add, delete, or edit files to be downloaded.

Insert
Select a parameter to add to the path for the local source file, and the remote destination file name. You can choose from Agent, Event, or Target parameters. You can also select an Environment Variable, for example, %PROGRAMFILES% or %SYSTEMROOT%.
Warning Warning

In destination file names, date and time, or URL parameters cause the file transfer to fail. These parameters contain characters not allowed by the file system, for example, colon or forward slash. Do not use any of the following parameters:

  • Event Time
  • First Time
  • Last Time
  • Start Time
  • Event URL


Rule Properties: Knowledge Authoring

Use this tab to specify the comments for the Knowledge Base entry.

This tab contains the following options:

Sections
Select a Knowledge Base section that will help a Microsoft Operations Manager (MOM) administrator resolve the alert. For example, document the possible Causes and Resolutions of the alert.
Section text
Type content that applies to the section that you selected above.
Other rules that share this knowledge entry:
Displays the Rule GUID for other rules that share the same Knowledge Base content.

To add comments to a Knowledge Base section,

  1. In the Sections list box, select the section in which you want to add content.
  2. In the Section text box, type the related content.
  3. Click Generate Knowledge Base to update the content.

To share knowledge between rules

  • Click Share new to enter the GUID of the rules for which you want to share knowledge.
    Note Note

    Avoid overusing this feature. It is important to provide specific and complete resolution information for each rule that you create.

  • To stop sharing knowledge between rules and Select the Rule GUID and click Stop sharing.


Rule Properties: Advanced Criteria

Use this dialog box to create advanced criteria to match the alert or event data.

This dialog box contains the following options:

Process only data that matches all these criteria
Shows a table listing any current criteria. The columns in the table match the options you can set for additional criteria.
Define more criteria
Specify additional criteria, by completing the Field, Condition, and Value boxes.
Remove
Select the criteria, and then click this button to remove it.
Add to List
Complete the Define more criteria boxes, and then click this button to add the criteria.


Rule Search: General

Use this dialog box to specify general criteria of the rule for which you are searching.

This dialog box contains the following options:

Rule name
Specify the rule name, or identify it by using wild card characters or text strings within the name.
Rule type
Specify the type of rule for which you are searching.
All rule types
Specify to search all rule types for the specified rule. You can search by rule name, last modified information, and rule response information.
Event rules
Specify to search all event rules. You can refine your search by specifying data provider, event criteria, and rule response information.
Alert rules
Specify to search all alert rules. You can refine your search by specifying alert criteria and rule response information.
Performance rules
Specify to search all performance rules. You can refine your search by specifying performance criteria and rule response information.
Last modified
Specify the date and time that the rule was last modified, as well as the account that last modified this rule.


Rule Search: Criteria (Event)

Use this dialog box to specify the criteria of the events identified in the rules for which you are searching.

This dialog box contains the following options:

Event ID
Specify the number of the event identified in the rules for which you are searching.
Event source
Specify the application that logged the event, such as MOM Service or Microsoft® SQL Server™. You can specify it exactly or identify it by using wildcard characters or text strings within the source name.
Event description
Describe the event identified in the rules for which you are searching.
Event type
Specify the type of the event, such as Error, Warning, or Information.
Event rule type
Specify the type of the rule for which you are searching, such as Filter Event or Collect Specific Events.


Rule Search: Criteria (Alert)

Use this dialog box to specify criteria of the rules-generated alerts for which you are searching.

This dialog box contains the following options:

Alert source
Specify the source of the alert generated by the rule, or identify it by using wild card characters or text strings within the name. Alert source is typically defined by the creator of the rule.
Alert severity
Specify the severity of the alert generated by the rules for which you are searching, such as Security Issue or Critical Error.


Rule Search: Criteria (Performance)

Use this dialog box to specify performance criteria within the rules for which you are searching.

This dialog box contains the following options:

Instance
Specify the performance counter instance used to report performance values. You can specify it exactly or identify it by using wildcard characters or text strings within the instance name.
Domain
Specify the domain of the computer on which the performance data is collected. You can specify it exactly or identify it by using wildcard characters or text strings within the domain name.
Computer
Specify the computer on which the performance data is collected. You can specify it exactly or identify it by using wildcard characters or text strings within the computer name.
Performance rule type
Specify the type of performance rule for which you are searching.


Rule Search: Location

Use this dialog box to specify the rule groups within which to search for a rule.

This dialog box contains the following options:

All Rule Groups
Specify to search within every rule group.
Specify Rule Group
Select a specific rule group within which to search. This option does not search child rule groups within the specified rule group.


Rule Search: Overrides

Use this dialog box to specify override criteria of the rule for which you are searching.

This dialog box contains the following options:

Override Types
Select one of the following types of override:
Rule Disable overrides
Performance Threshold overrides
Script Parameter overrides
State Alert Severity overrides
Override Name
Specify the override name, or identify it by using wild card characters or text strings within the name.
Criteria Type
Specify criteria types to apply to the override.


Rule Search: Provider

Use this dialog box to specify the data provider by which to search for a rule.

This dialog box contains the following options:

Provider name
Specify the data provider name, or identify it by using wild card characters or text strings within the name.
Provider type
Specify the type of data provider, such as Windows Event Log or WMI Events.


Rule Search: Responses

Use this dialog box to indicate whether a script response or a specific notification group is part of the rule for which you are searching.

This dialog box contains the following options:

Launch script
Select a script to search.
Notification group
Select a notification group to search.


Override Criteria

View all of the unassociated override criteria created for this Management Group. Unassociated means that these overrides are not attached to any rules. You can create unassociated override criteria to:

  • Share overrides among different rules.
  • For script writers and SDK developers, reference the overrides in a script or call API.

Each override criteria is represented by a column in the table in the Detail pane. The table contains the following columns:

Target
Computer or computer group to which you apply the override criteria.
Value
Number taken from rules applied to the computer or computer group. You can type one (1) for Enable, or zero (0) for Disable. For example, if you want to create an override that disables an alert rule for a specific computer in a computer group, the value is 0.
Override Name
Unique name for the override. If you choose a name already used for another override, the new criteria overwrites the previous settings. (If you create an override through the Rule Properties dialog box, a unique name is created automatically.)
Warning Warning

After you attach this override to a rule and then change the override name, you will have two overrides with the same criteria. However, the original override might not be attached to the rule.

Precedence
When you have set the same override criteria to multiple computers or computer groups, specifies the order in which you want the override to run.
Last Modified Date
Date and time someone last changed the override criteria.
Last Modified By
Domain and user name of the last person to change the override criteria.

See Also

Create Override Criteria.


Override Criteria Properties

Use this dialog box to view the properties of the selected override criteria. You can also edit the value for the criteria and set the order in which Microsoft® Operations Manager (MOM) evaluates the criteria.

This dialog box contains the following active options:

Value
Click the current value and type a new one to change the value for a target.
Set Override Criteria Precedence
Click to set the precedence of the override criteria. In the Set Override Criteria Precedence dialog box, select the override criteria in the list box, click Move Up or Move Down, and then click OK.

See Also

Override Criteria


Welcome to the Create Override Criteria Wizard

Use this wizard to define an override criteria for the current Management Group. Override criteria can also be defined in rule property dialog boxes. After being defined, overridden criteria can be used by rules, scripts, or through the Microsoft® Operations Manager (MOM) 2005 APIs.

To continue in the wizard, click Next.


Create Override Criteria Wizard: Override Name

Use this page in the wizard to create a new override.

This page contains the following option:

Override name
Specify a unique override name. If you want to add criteria to an existing override, type an existing override name.


Create Override Criteria Wizard: Override Criteria

Use this page in the wizard to add one or more override criteria for the named override.

Microsoft Operations Manager (MOM) evaluates override criteria (target + value pairs) in the order that they appear on the Override Criteria list, starting from the top.

To add override criteria, click Add, and follow the instructions in the Add Override Criteria dialog box.

See Also

Add Override Criteria


Create Override Criteria Wizard: Add Override Criteria

Use this dialog box in the wizard to select a target and value for this override.

This dialog box contains the following options:

Target
Click the arrow, and click either Computer Group or Computer to select the override target. Select the computer group or individual computer that you want to target, and click OK.
Value
Select a value from the drop-down list and click OK. The Override target and value appear in the Override Criteria list box.
Note Note

If you do not see a drop-down list, type the value in the box.

If you add more that one override criteria, Microsoft Operations Manager MOM evaluates them in the order that they appear on the Override Criteria grid, top to bottom. To change the order of the criteria in the Override Criteria list box, select the criteria you want to reorder and click Move Up or Move Down.

See Also

Create Override Criteria


Tasks

Tasks are actions that diagnose or repair a problem. A task can also automate a management process. In the Navigation pane, click the Tasks node to view the table of current tasks in the Detail pane. Each task occupies one row of the table.

The table contains the following information about a task:

  • Name
  • Description
  • Type
  • Run Location

In the Navigation pane, you can create a task or a task folder. In the Detail pane, you can delete a selected task, or edit the properties of the task.

See Also

Working with Tasks


Create Task Wizard: Task Configuration (Target Role)

Use this page in the wizard to specify the target role for which a task is available, the script that the task will run, and the script parameter default values.

This tab contains the following options:

Target role
Select one of the following target roles: Computer, MOM Agent, or MOM Server.
Script
Specify the script that you want to run on a machine. Click the down arrow to select from the scripts that imported with the Management Pack.
Note Note

You can also create your own scripts through the Scripts node in the Management Packs folder in the Administrator console .

Parameter default values
Specify the parameters for a script. You can edit the value for some parameters.
Note Note

Not all scripts have parameters. A script includes parameters only if the script needs external input to do conditional processing. For example, the MOM Action Account Password Expiration Check script includes parameters that raise alerts based on the number of days before the password expires.


Create Task Wizard: Task Configuration (Managed Code)

Use this page in the wizard to configure managed code tasks in place of script tasks to handle complex conditional logic, as well as interact with the Microsoft® .NET Framework. You must either distribute the assemblies yourself, or use a file transfer task.

This page contains the following options:

Target role
Specify one of the following target roles: Computer, MOM Agent, or MOM Server.
Assembly name
Specify the display name for the assembly.
Fully qualified type name
Specify the namespace and class name of the class on which you want to call a method. For example, MyNamespace.MyClass
Method name
Specify the name of the method you want to call on the assembly. For example, MyMethod.
Method type
Specify either Instance or Static method type.
Method parameters (in order)
Specify parameters in the right order and that match the method type you select. Make sure the value you specify is consistent with the type. For example, don’t specify a string when the method type is System.Int32. You can add, edit, and delete parameters, or change their order by clicking Move Up and Move Down.


Create Task Wizard

Use this wizard to create new tasks that can be run in different locations, for example, in the Operator console or on an agent-managed computer.

The wizard includes the following pages:

  • Welcome to the Create Task Wizard - Start page of the wizard.
  • Task Run Location and Type - Specify where the task will run and the type of task.
  • Task Configuration - Depending on what run location you choose, you can configure the target class, target role, the task command, or the initial directory location for the task.
  • Task Name and Description - Specify name, description, and select a shortcut key for the task.

See Also

Welcome to the Create Task Wizard | Task Run Location and Type | Task Configuration | Name and Description


Welcome to the Create Task Wizard

Use this wizard to create a task. You can create tasks to diagnose and repair a problem, or automate management processes.

To continue in the wizard, click Next.


Create Task Wizard: Task Run Location and Type

Use this page in the wizard to specify where you want the task to run and the type of task for the location.

This page contains the following options:

Run location
To specify a run location for the task, click the appropriate radio option. The Operator console is selected by default.
  • Operator Console
  • MOM Management Server
  • Agent-managed computer
  • Agent-managed computer if available; if not, Management Server
Task type
Depending on which run location you choose, you can select a task type available for that location.
Task type | Description | Run location
Command-line | A specific command and parameter that runs on a remote computer. For example, mstsc.exe $Computer Name$. This command line opens a Remote Desktop session to the computer by name. | All
Script | Created script (VB, Java), imported into MOM, that runs on an agent computer. For example, MOM Action Account Password Expiration Check. This script includes critical and error parameters that you can edit. | All, except Operations console
Managed Code | A .DLL file, called an Assembly, written in managed code. For example, you want to run a diagnostic test on your Microsoft Exchange Server. This file must be installed on the computer on which it will run. | All, except Operations console
File Transfer | Command to upload or download a file between a virtual directory on the Management Server and an agent computer. | Agent-managed computer


Create Task Wizard: Task Configuration (View Type)

Use this page in the wizard to select the properties that apply to the task.

This page contains the following options:

View type
Specify one of the following types of view: Alerts, Events, or Computers.
Task command line
Specify the command line that the task runs. The list of task command lines varies according to the view type you select:
View type | Task command line
Alerts | Alert Level, Alert Level Name, Alert Source, Computer Domain, Computer ID, Computer Name, CustomFieldn, Description, ID, Last Modified, Last Modified by User, Last Time State Modified, Name, Owner, Processing Rule Name, Repeat Count, Resolution State, Resolution State Name, Resolved By User, Rule ID, Ticket ID, Time Added, Time Of First Event, Time Of Last Event, Time Raised, Time Resolved
Events | Category, Description, Event Type, Event Type ID, Generated by Computer, Generated By Computer ID, Generated By Domain, ID, Is Alerted, Is Consolidated, Logged On Computer, Logged On Domain, Number, Provider Instance, Provider Type, Provider Type Name, Received Time, Source, Time, User
Computers | Agent Installed By User, Computer Name, Custom Data n, Description, Desired Managed Type, DNS Suffix, Domain, Expires, FQDN, Heartbeat Checked, Host Name, ID, Ignore Status, Is Computer Verification Approved, Is Computer Verified, Is Management Server, Is Pending Action Approved, Last Heartbeat, Last Modified, Last Modified By, Managed Type, Management Server ID, Management Server Name, Time Added, Type, Version
Start in
Specify the remote computer directory in which the task is stored.
Task output behavior
Specify the output behavior for the task: Display output, or Do not display output.
Important Important

When you create a task to capture standard output to display in the Operator console, you must include the appropriate executable file in the command line. For example, if you use a .bat file, type the command line as follows: cmd.exe /c batchfile.bat.


Create Task Wizard: Task Name and Description

Use this page in the wizard to provide a name and description for your task.

This page contains the following options:

Name
Specify the name of the task.
Shortcut key (optional)
Select the function key from the Shortcut key list, and type the key name or number in the box. Two parameters are required: a function key (CTRL or ALT) and a letter or number key (A-Z, 0-9).
Description (optional)
Describe the task.


Notification

Use this folder to create and manage operators and notification groups.

To create operators and notification groups. In the Detail pane, select the following options:

Create Operator
Define the person who receives notifications when alerts are triggered.
Create Notification Group
Define groups of people who receive notifications when alerts are triggered.

To manage operators and notification groups, select the following options:

Operators
In the Detail pane, right-click the operator that you want to manage, and click Properties.
Notification Groups
In the Detail pane, right-click the notification group that you want to manage, and click Properties.


Notification Groups

View, create, edit, and delete notification groups. You can also add operators to a notification group.

Depending on the Management Pack modules installed, notification groups might contain default groups configured to receive notifications from rules defined in the Management Pack modules. For information about the notification group associated with a Management Pack module, see the Management Pack module Knowledge Base.

To create a notification group

  1. In the Navigation pane, right-click Notification Groups, and click Create Notification Group.
  2. Follow the instructions in the Notification Groups Properties dialog box.

To edit a notification group

  1. In either the Navigation or Detail pane, right-click a notification group, and click Properties.
  2. In the Notification Group tab, click New Operator.
  3. Follow the instructions in the Operator Properties dialog boxes. You can add or remove operators from the group, edit existing operators, or create new operators.

To delete a notification group

  1. In either the Navigation or Detail pane, right-click a notification group, and then click Delete
  2. When the Delete the selected notification group message appears, click Yes.
    Note Note

    You must delete all references to the group before you can delete the notification group. If you have not deleted all the references, a message appears asking you to delete all references to the group.


Notification Group Properties: Notification Group Tab

Use this tab to edit a notification group or create a new notification group and add operators to the group. You can add one or more operators to a group.

To create a new notification group

  • In the Name field, type a name for the new notification group.

To add one or more operators to the notification group

  • In the Available operators list box, select the operators that you want to add, and then click the left arrow. The operators move to the Group operators list box.

To remove one or more operators from the notification group

  • In the Group operators list box, select the operators that you want to remove, and then click the right arrow. The operators move back to the Available operators list box.

If no operators appear in the Available operators list box, you can create new operators.

To create one or more new operators

  1. In the Notification Group Properties dialog box, click New Operator.
  2. Follow the instructions in the Operator Properties dialog box.

When you complete the creation of the notification group, click Finish.

See Also

Operators


Operators

Use this node to view, create, modify, and delete operators. Operators represent the people who receive notifications when alerts are triggered.

To view the all of the current operators, click Operators in the Navigation pane.

Note Note

You can also add operators to notification groups. To see if a notification group contains operators, click the notification group in the Navigation pane. The operators for the selected group appear in the Detail pane.

See Also

Adding an Operator to a Notification Group


Operator Properties: General

Use this tab to specify the name or description of the operator and whether the operator is enabled.

This tab contains the following options:

Name
Displays the name or description of the operator.
Enabled
Select to enable the operator.


Email

Specify whether to notify the operator by e-mail.

This dialog box contains the following options:

Email this operator
Specify to notify the operator by e-mail.
Email address
Specify the e-mail address of the operator.
Always email this operator
Specify to e-mail the operator 24 hours a day, seven days a week.
Email this operator at the specified times
Specify to e-mail the operator from one of the following specified times:
Between ___ and ___
Specify the start and stop time for when to e-mail the operator.
Sunday through Saturday
Specify whether to e-mail the operator on the selected day of the week.


Operator Properties: Page

Use this tab to configure paging through a non-Microsoft paging service. Microsoft Operations Manager (MOM) 2005 sends an e-mail to the paging service, which forwards the e-mail to the appropriate operator, or paging recipient. The paging service must provide an SMTP e-mail service for MOM paging to work.

This tab contains the following options:

Page this operator
Specify to notify the operator by page.
Page address
Specify the page address of the operator.
Always page this operator
Specify to page the operator 24 hours a day, seven days a week.
Page this operator at the specified times
Specify to page the operator from one of the following specified times:
Between ___ and ___
Specify the paging start and stop times.
Sunday through Saturday
Specify to page the operator on the selected days of the week.


Command

Use non-Microsoft paging applications to notify operators of a detected condition. You can configure Microsoft Operations Manager (MOM) 2005 to use an external command line to run software that pages operators through a modem, rather than the SMTP e-mail service. This external command is specified within the rule that sends responses to the notification group to which the operator belongs.

You can specify whether to notify the operator by external command, the operator ID for the operator, and when to notify the operator by external command.

Notify this operator by external command
Specify whether to run an external command to launch a non-Microsoft paging application.
Operator ID
Specify the text to use for an operator identification in non-Microsoft application paging. This text is used for the $Operator ID$ variable when defining a notification response for a rule.
Always notify by external command
Specify to notify the operator by external command 24 hours a day, seven days a week.
Notify this operator by external command at the specified times
Select one of the following specified times to notify the operator by external command :
Between ___ and ___
Specify the start and stop time for when to notify the operator by external command.
Sunday through Saturday
Specify to notify the operator on the selected day of the week.


Computer Attributes

Use this folder to view, create, and manage computer attributes. Use computer attributes in formulas to populate computer groups with member computers for which the formulas are true. You can use two types of computer attributes:

Based on registry keys or registry values for a specific computer.
This attribute can be computed by either a Registry value (the attribute is the value of either a registry value or the default value of a registry key), or a Boolean value (determined by whether the registry key or value).
Based on service discovery
Service discovery scripts included in a Management Pack add attributes that automatically appear in the Computer Attributes folder.


Registry-Based Attribute Properties: General

Use this tab to specify the name and description of the attribute.

Name
Specify the name of the attribute. The first character of the name must be a letter. Subsequent characters can be letters, numbers, underscores, or blanks. Do not include any parentheses or commas in the name of the attribute.
Description
Describe the attribute.
Enabled
Specify whether statistics on this attribute are currently collected.


Registry-Based Attribute Properties: Type

Use this tab to specify the source of the attribute.

This tab contains the following options:

Registry value
Compute the attribute from a registry value.
Registry key
Compute the attribute from a registry key.


Registry-Based Attribute Properties: Registry Path

Use this tab to specify the registry value or key to use.

Enter the path to the registry value under HKEY_LOCAL_MACHINE
Specify the registry value to use. This box is available only if you select Registry value on the Registry-Based Attribute Properties, Type tab.

To browse the local registry to select a value or key, click Browse. You can search for the value or key on either your Local computer or a Remote computer.


Registry-Based Attribute Properties: Value

Use this tab to specify how the attribute value or key is computed.

Important Important

These options are available only if you select Registry value on the Registry-Based Attribute Properties: Type tab.

For a registry value, select from the following options:

Check registry value for existence
Specify whether the attribute value is computed by checking that the registry value exists.
Retrieve registry value and convert to
Specify that the registry value be retrieved as the selected data type: string, integer, float, or IP address.

For a registry key, select from the following options:

Check registry key for existence
Specify whether the attribute value is computed by checking that the registry key exists.
Retrieve key's default value as
Specify that the registry key be retrieved as the selected data type: string, integer, float, or IP address.


Application Log Provider Properties: Directories

Allows you to identify the logs you would like to monitor. Click Add to specify directory location and log file format.

You can also click Remove or Edit for log files that are specified.


Application Log Provider Properties: Directory Edit

Allows you to specify criteria to define the files that the application log provider processes. The fields are defined as follows:

Format
Specifies the format of the log files in the specified directory.
Directory
Specifies the location of the log file.
Pattern
Displays the file pattern specified in the File Pattern Edit dialog.

Click Add to add an application log file pattern.


Application Log Provider Properties: Directory Edit, File Pattern Edit

Allows you to specify a pattern for monitored log files. The field is defined as follows:

File pattern
Specifies the log file pattern. A question mark (?) matches 0 or 1 characters, and an asterisk (*) matches 0 or more characters.


WMI Provider Properties - General

Allows you to specify WMI provider properties. For information about the Microsoft WMI SDK, which includes a WMI object browser, see the Microsoft Web site msdn.microsoft.com. For example, to monitor the RemoteAccess service and provide a WMI event when RemoteAccess changes from Stopped to Running, you might create the following WMI provider:

Field | Value
Name | RemoteAccess Service Watcher
Namespace | root\CIMV2
Query | select * from __InstanceOperationEvent within 5 where TargetInstance isa "Win32_Service" and TargetInstance.Name = "RemoteAccess" and TargetInstance.State = "Running"
Property List | __Namespace, __Path

In this example, the properties __Namespace and __Path are returned. If you want all properties returned, leave the Property List field blank.

The fields are defined as follows:

Name
Specifies the WMI provider name.
Namespace
Specifies the WMI namespace to which the class of the WMI numeric data belongs. Namespace is a unit for grouping classes and instances.
Query
Specifies the WQL query for WMI event notification.
Property list
Specifies the list of properties you want to view for the notification object. Separate the properties with a comma.


Scripts

Use this folder to view, create, and manage scripts that run on agent machines. Scripts trigger actions, for example, sending an alert or performing a service discovery. Depending on the contents of the Management Pack that you download, some default Visual Basic scripts load automatically. The following table lists some common scripts.

Script | Description
MOM Action Account Password Expiration Check | Generates an alert if the action account password is about to expire.
MOM Agent Service Discovery | Performs Service Discovery on the MOM Agent.
MOM Database State Monitoring | Collects state information for the MOM Database Server.
MOM Mark alerts for forwarding to MOM Master management group | This script changes the resolution state of a MOM alert, so that it can be forwarded to the MOM Master management group.
MOM Test End-to-End Monitoring | Verifies MOM that end-to-end alert collection and notifications are working.
MOM Virtual Server Service Discovery | Performs discovery of MOM Virtual Servers.
Note Note

You can also create scripts as Microsoft® Visual Basic® Script Edition (VBScript), Microsoft JScript®, or custom code.


Script Properties: Script

Use this tab to specify the source code for the script.

This tab contains the following option:

Specify the VBScript source code for the script
Paste or type the code for your custom script.


Script Properties: Parameters

Use this tab to view, add, edit, and remove parameters that are passed to the script. Parameters define what actions are taken within the script, based on the parameter values. For example, a script could contain the parameter ErrorAlertThresholdDays, with a value of seven, that specifies raising an error alert based on checking for passwords expiring in seven days or less.

This tab contains the following information:

Name
Specifies the name of the script parameter.
Description
Describes the script parameter.
Value
Specifies the value of the script parameter.

To add a parameter, click Add.

To edit a parameter, select a parameter, and then click Edit.

To remove a parameter, select a parameter, and then click Remove.


Operator Properties: General

Use this tab to specify the name or description for the operator, and to set notifications.

This tab contains the following options:

Name
Specify the name or description for the operator. If you are working with the properties for an existing operator, the name of the operator automatically populates this box.
Enabled
Indicates that the operator can receive notifications. By default, this check box is selected. Clear the check box if you do not want the operator to receive notifications.


Operator Properties: Email

Use this tab to configure e-mail notifications for the operator.

This tab contains the following options:

Email this operator
By default, this check box is selected. Clear the check box if you do not want to send e-mail to the operator.
Email address
If the Email this operator check box is selected, type the e-mail address of the operator. If you are working with the properties for an existing operator, the e-mail address automatically populates this box. You can change the e-mail address by deleting the existing address and typing a new one.
Always email this operator
By default, this option is selected. The operator will be e-mailed at any time of day, any day of the week. Clear this check box if you want to specify specific times and days to e-mail the operator.
Email this operator between the specified times
Select this option to set specific times and days to e-mail the operator.
Between n and n
The default time range is set for 12:00.00 AM. Click the arrows to set the start and end time in the time range.
Days of the week
Select the check box for each day of the week that you want the operator to receive mail.


Operator Properties: Page

Use this tab to configure page notifications for the operator.

This tab contains the following options:

Page this operator
By default, this check box is not selected. Select the check box if you want to enable paging to the operator.
Page address
If the Page this operator check box is selected, type the page address of the operator. If you are working with the properties for an existing operator, the page address automatically populates this box. You can change the page address by deleting the existing address and typing a new one.
Always page this operator
By default, this option is selected when the Page this operator check box is selected. The operator will be paged at any time of day, any day of the week. Clear this option if you want to specify specific times and days to page the operator.
Page this operator at the specified times
Select the check box to set specific times and days to page the operator.
Between n and n
The default time range is set for 12:00.00 AM. Click the arrows for the start and end time in the time range.
Days of the week
Select the check box for each day of the week that you want the operator to receive page notifications.


Operator Properties: Command

Use this tab to configure external command notifications for the operator.

This tab contains the following options:

Notify this operator by external command
By default, this option is not selected. Select the check box to enable external command notifications to the operator.
Operator ID
If the external command notification check box is selected, type the Operator ID of the operator. If you are working with the properties for an existing operator, the Operator ID automatically populates this box. You can change the Operator ID by deleting the existing address and typing a new one.
Always notify by external command
By default, this option is selected when external command notification check box is selected. The operator will be notified at any time of day, any day of the week. Clear this check box if you want to specify specific times and days to notify the operator.
Notify this operator at the specified times
Select this option to set specific times and days to notify the operator.
Between n and n
The default time range is set for 12:00.00 AM. Click the arrows set the start and end time in the time range.
Days of the week
Select the check box for each day of the week that you want the operator to receive notifications.


Providers

Use this folder to view, create, edit, and delete data providers.

In the Navigation pane, click Providers to see a table in the Detail pane with the current data providers. The table consists of the following columns:

Type
Identifies the type of data provider, such as Windows Performance Counter or Windows Event Log.
Name
Specifies the name of the data provider.
Settings
Describes what the provider offers.


Administration Context Help

This section contains Help topics that are displayed when you right-click the Administration node or the Help button on the Properties tab of an Administration item.


Administration

Use this node to view and modify the major areas within MOM. When you click the Administration node, the Detail pane contains information about the number of servers and computers in the current Management Group. You can install or uninstall agents with the Install/Uninstall Agents Wizard. You can also click links to view or modify the following MOM areas.

  • Computers
  • Console Scopes
  • Global Settings
  • Product Connectors

See Also

Install Agents | Uninstall Agents


Computers

Use this node to view and manage the computers and servers, pending actions, and discovery rules in the current Management Group. In the Administration folder, when you click Computers, the Detail pane contains information about the number of servers and computers in the current Management Group. You can install or uninstall agents with the Install/Uninstall Agents Wizard. You can also click links to view or modify the following computer and server information.

  • All Computers
  • Management Servers
  • Unmanaged Computers
  • Agentless Managed Computers
  • Agent-managed Computers
  • Windows Server Cluster Computers
  • Pending Actions
  • Computer Discovery Rules

See Also

Install Agents | Uninstall Agents


All Computers

When you click All Computers, a table in the Detail pane displays all computers in the management group, including their current and desired management mode. The table contains the following information about the discovered computers:

Name
Specifies the name of the computer that is being managed.
Domain
Identifies the domain in which the computer is located.
Description
Specifies the description of the computer.
Last Contacted
Specifies the date and time of the computer's last contact with the MOM Management Server.
Operating System
Identifies the operating system of the computer.
Management Mode
Specifies the current management mode of the computer, such as Agent-managed or Unmanaged.
Desired Management Mode
Specifies the desired management mode of the computer.
Is Management Server
Indicates whether the computer is a MOM Management Server or not.
Primary Management Server
Specifies the name of the Management Server this computer belongs to.
Pending Action
Specifies the actions pending for that computer, such as Install agent or Start agentless management.


Management Servers

When you click Management Servers, a table in the Detail pane displays the management servers contained within the management group. The table contains the following information about any discovered management servers:

Name
Specifies the name of the computer that is being managed.
Domain
Identifies the domain in which the computer is located.
Last Contacted
Specifies the date and time of the computer's last contact with the MOM Management Server.
Operating System
Identifies the operating system of the computer.
Time Added
Specifies the time when the computer was added to Microsoft Operations Manager (MOM).
Version
Specifies the version of MOM running on that computer.


Unmanaged Computers

When you click Unmanaged Computers, a table in the Detail pane displays the computers that are not being managed by the Microsoft Operations Manager (MOM) 2005 Management Server. This view shows you previously managed computers still stored in the database, which means you can still access the data for these computers. The data remains in the database until data grooming occurs. In this view, you can also discover unmanaged machines and install agents or start agentless management. The table contains the following information about unmanaged computers:

Name
Specifies the name of the computer that is unmanaged.
Domain
Identifies the domain in which the computer is located.
Description
Specifies the description of the computer.
Operating System
Identifies the operating system of the computer.
Time Added
Specifies the time when the computer was added to MOM.
Management Server
Specifies the name of the MOM Management Server that manages this computer.


Agentless Managed Computers

When you click Agentless Managed Computers, a table in the Detail pane displays the computers being managed without agents. The table contains the following information about the agentless managed computer:

Name
Specifies the name of the computer that is being managed without an agent.
Domain
Identifies the domain in which the computer is located.
Description
Specifies the description of the computer.
Last Contacted
Specifies the date and time of the computer's last contact with the MOM Management Server.
Ignore Status
Indicates whether the Management Server ignores data from this computer, regardless of status or loss of contact.
Operating System
Identifies the operating system of the computer.
Time Added
Specifies the time when the computer was added to Microsoft Operations Manager (MOM).
Management Server
Specifies the name of the Management Server that manages this computer.

See Also

Agentless Monitoring


Agent-managed Computers

When you click Agent-managed Computers, a table in the Detail pane displays the computers being managed by an agent. The table contains the following information about the agent-managed computer:

Name
Specifies the name of the computer that is being managed.
Domain
Identifies the domain in which the computer is located.
Description
Specifies the description of the computer.
Operating System
Identifies the operating system of the computer.
Last Contacted
Specifies the date and time of the computer's last contact with the MOM Management Server.
Ignore Status
Indicates whether the management server ignores data from this computer, regardless of status or loss of contact.
Control Level
Specifies the level of control the Management Server has on the agent to configure, uninstall, or upgrade. Possible values are:
  • Full - Management Server has full control to configure, uninstall, or upgrade the agent.
  • None - Management Server has no control.
Time Added
Specifies the time when the computer was added to Microsoft Operations Manager (MOM).
Installed By
Identifies the user who installed the agent on this machine. This field is blank if the user used a Management Server account to install the agent from the Install/Uninstall Wizards.
Management Server
Specifies the name of the MOM Management Server that manages this computer.
Version
Specifies the version of Microsoft Operations Manager agent running on that computer.


Windows Server Cluster Computers

When you click Windows Server Cluster Computers, a table in the Detail pane displays the Windows Server Cluster computers within a management group. The table contains the following information about the Windows Server Cluster computer:

Name
Specifies the name of the computer that is being managed.
Domain
Identifies the domain in which the computer is located.
Last Contacted
Specifies the date and time of the computer's last contact with the MOM Management Server.
Ignore Status
Specifies whether the Management Server ignore data from this computer, regardless of status or loss of contact.
Management Mode
Specifies the current management mode of the computer, such as Agent-managed or Unmanaged.
Primary Management Server
Specifies the name of the Management Server to which this computer belongs.


Pending Actions

When you click Pending Actions, a table in the Detail pane displays the computers being agent-managed. The table contains the following information about pending actions:

Name
Specifies the name of the computer that is being managed.
Domain
Identifies the domain in which the computer is located.
Pending Action
Specifies the actions pending for that computer, such as Install agent or Start agentless management.
Approved
Indicates whether the computer has been approved for agent install.
Management Mode
Specifies the current management mode of the computer, such as Agent-managed or Unmanaged.
Desired Management Mode
Specifies the desired management mode of the computer.
Control Level
Specifies the level of control the agent has, which is set at Full by default.
Management Server
Specifies the name of the MOM Management Server that manages this computer.
Installed By
Specifies the time at which the computer started agentless management.
Version
Specifies the version of Microsoft Operations Manager running on that computer.


Computer Discovery Rules

When you click Computer Discovery Rules, a table in the Detail pane displays the discovery rule criteria for each computer in the management group. The table contains the following information about discovery rules:

Rule Type
Indicates whether to include or exclude a set of computers in the computer discovery rule.
Match Pattern
Specifies how the computer names are identified during the discovery process. For example, contains can specify certain characters within the computer's name.
Computer Name
Specifies the name of the computer that is being managed.
Domain
Identifies the domain in which the computer is located.
Computer Type
Specifies the type of the computer that is being managed.
Initial Management Mode
Specifies the initial mode in which the computer is being managed.
Include Domain Controllers
Indicates whether or not the computer includes domain controllers.
Verify
Indicates that the computer was contacted to verify that it exists.
Management Server
Specifies the name of the MOM Management Server on which the computer resides.


Welcome to the Install/Uninstall Agents Wizard

Use this wizard to install or uninstall agents. An agent installed on a computer that you want to manage makes it easy to collect data about the performance of the computer, run tasks, and monitor applications.

To continue in the wizard, click Next .

See Also

Agent Deployment Security


Method for Discovering Computers and Installing Agents

Use this page in the Install/Uninstall Agents Wizard to specify the method that you want to use for discovering computers and installing agents.

This page provides the following options:

Browse for or type in specific computer names
The default option. Type a list of computer names or browse the network to select computers.
Search Criteria
Use this option if you want to construct a search rule for discovering computers.


Computer Names

Use this page in the Install/Uninstall Agents Wizard to provide the names of the computers to add or browse the network.

This page contains the following options:

Computer names
Type the NetBIOS or Fully Qualified Domain Names (FQDN) in the box. Use spaces, commas, or semicolons as name delimiters. You can type each name on a separate line.
Browse
Click Browse if you want to browse the network and identify computers. After you click Browse you must provide additional information in the following additional dialog boxes:
Select Computers
This dialog box contains the following options:
  • Select this object type - The default is Computers.
  • From this location - The default is the domain that the MOM Server that you are using is a member of. Click Locations to see what other domains may be available.
  • Enter the names of objects to select - Add the types of objects that you want to find. Some examples include: a computer name, a user name, and a domain\user name.
  • Advanced - Click to refine your query. A dialog box is displayed that allows you to refine a query by qualifying the Name and Description. When you complete the Name and Description boxes, you can apply the Starts with and Is exactly qualifiers.

    You can also enable queries against disabled accounts, and enable queries by specifying the days since the last logon qualifier.

See Also

Agent Installation Permissions | Agent Action Account


Computer Discovery Rules

This page in the Install/Uninstall Agents Wizard enables you to add, edit, and delete computer discovery rules. After adding rules, they are displayed under Add new computer discovery rules for the Management Server.

The following column headings in the discovery rules viewing area display information about the computers that are discovered:

  • Rule Type
  • Match Pattern
  • Computer Name
  • Domain
  • Computer Type
  • Initial Management Mode
  • Include Domain Controllers
  • Verify

To add and create discovery rule criteria, click Add to open the Discovery Rule dialog box.


Computer Discovery Rule

Use this page in the Install/Uninstall Agents Wizard to create or modify a rule that you use to discover computers.

This page contains the following options:

Management Server
Displays the name of the Management Server that you are using to discover computers and push install agents.
Rule type
Specify whether to Include or Exclude a computer in this rule. If you select Include, the During computer discovery, contact each computer to verify that it exists check box is also selected by default. If you select Exclude, the During computer discovery, contact each computer to verify that it exists check box is unavailable.
Domain name
Type the name of the domain that you want to search.
Note Note

You can leave this field blank; however, it is recommended that you specify a domain name to expedite computer discovery. You can specify a Fully Qualified Domain Name (FQDN), for example domain.corp.company.com, or you can specify a NetBIOS domain name. A NetBIOS name cannot exceed 15 characters.

Computer name
The default is equals. The search must match the computer name that you provide. The other options include contains substring, matches wild card, matches regular expression, and matches boolean regular expression.
Note Note

You should use wildcards where possible instead of regular expressions. Creating computer discovery rules that use regular expressions to evaluate computer names will take significantly longer to complete. This can lead to poor performance on the Management Server because the MOM Service consumes more processor resources and memory during this type of discovery.

Computer type
The default is Servers and Clients. Select either Servers or Clients from the list.
Initial Management Mode
The default is Agent-managed. Select Agentless managed or Unmanaged from the list.
Apply query criteria to domain controllers.
Click this check box to include domain controllers in rule.
During computer discovery, contact each computer to verify that it exists.
Click this check box to verify that the computer exists.

See Also

String Pattern Matching


Agent Installation Permissions

Use this page in the Install/Uninstall Agents Wizard to identify the account to use for installing agents.

This page contains the following options:

Management Server Action Account
The default account. This account must have Administrator rights on the computer where the agent will be installed.
Other
Provide the name (domain\user name) and password for an account that has Administrator rights on the computer where the agent will be installed.


Agent Action Account

Use this page in the Install/Uninstall Agents Wizard to specify the account used to collect data from providers and run responses.

This page contains the following options:

Local system
Specify the default account that runs on the managed server.
Other
Specify the name (domain\user name) and password for an account that has an appropriate permission level on the managed server.


Agent Installation Directory

Use this page in the Install/Uninstall Agents Wizard to specify where the agent is installed on a discovered computer.

Note Note

This directory must exist on all of the discovered computers on which the agent will be installed.

This page contains the following option:

Select an environment variable path or type in a different path
The default installation path is Program Files\Microsoft Operations Manager 2005.


Select Agents to Uninstall

Use this dialog box to select the computers from which you want to uninstall the Microsoft Operations Manager (MOM) Agent.

This dialog box contains the Computer Names and Domain boxes.


Agent Uninstallation Permissions

Use this dialog box to identify the account to use for uninstalling agents. This account must have Administrator rights on the computer where the agent will be uninstalled. The options are:

Management Server Action Account
The default account. This account must have Administrator rights on the computer where the agent will be uninstalled.
Other
Provide the name (domain\username) and password for an account that has Administrator rights on the computer where the agent will be uninstalled.


Computer Properties: General

This tab displays the detailed properties, including any alerts, for this computer. You can add custom data to this computer.


Management Servers Properties (Computers): Failover

Use this tab to set how agents are assigned to this Management Server, in the event that failover occurs on other MOM Management Servers in the management group after communication failures.


Management Servers Properties (Computers): Responses

Use this tab to specify the total simultaneous responses allowed to run on the MOM Management Server, and on the local agent on the Management Server.

This tab contains the following options:

Total simultaneous responses allowed to run on this Management Server
Click the arrows to specify the number of script, e-mail, or paging responses that can run at one time. This includes custom server-side responses and responses run by the MOM Management Server's agent. This setting is available only if you clear the Use global settings check box.
Total simultaneous responses allowed to run on the local agent on this Management Server
Click the arrows to specify the number of local agent responses that can run at one time. This includes only responses run by the Management Server's agent. This setting is available only if you clear the Use global settings check box.


Management Servers Properties (Computers): Temporary Storage

Use this tab to specify temporary MOM Management Server and agent storage parameters. The Management Server and agent use temporary storage to ensure that data is delivered after service interruptions, such as loss of electrical power.

You can set the options below for both Management Server temporary storage and Agent temporary storage.

Maximum disk space
Specifies the disk storage space (in KBs) available to the Management Server or agent for temporarily storing data while it is being sent to the MOM Database. This option is available only if the Use global settings check box is cleared.
Use global settings
Specifies that the Management Server and agent use the global temporary storage setting, instead of the settings above.

See Also

Global Settings Properties: Temporary Storage


Console Scopes

Console scopes define the set of computer groups that appear in the Operator Console for individual MOM 2005 users. In the Administration folder, when you click Console Scopes a table listing the default console scopes appears in the Detail pane. Each scope occupies one row of the table. The table provides the following information:

Name
Specifies the name of the console scope.
Description
Specifies the description of the console scope.
# of Users
Specifies how many users have access to the computer groups in this console scope.


Create Console Scope Wizard

The Create Console Scope Wizard guides you through the process of defining a console scope, the computer groups associated with the console scope, and the users associated with the console scope.

The following pages are displayed when you use the wizard.

  1. Welcome to the Create Console Scope Wizard
  2. Console Scope Name
  3. Console Scope Description
  4. Add Computer Groups
    • When you click Add, the Add Computer Groups dialog box displays a list of the available computer groups.
  5. Add Users
    • When you click Add, the Domain\User name dialog box displays users that will be associated with the console scope. Complete the Domain and User nameboxes for each user that you add.
  6. Completing the Create Console Scope Wizard

See Also

Welcome to the Create Console Scope Wizard | Console Scope Name | Console Scope Description | Add Computer Groups | Add Users


Welcome to the Create Console Scope Wizard

A console scope defines the set of computer groups that appear in the MOM Operator console for individual Microsoft® Operations Manager (MOM) 2005 users.

To continue in the wizard, click Next.


Console Scope Name

Use this text box to type a name for the new scope. Click Next.


Console Scope Description

Use this text box to type a description for the new scope. This description is optional. Click Next.


Add Computer Groups

Use this dialog box to add or remove computer groups that are associated with the console scope. The name that you provided for the new scope is displayed list box below Computer Groups.

By default, the following computer groups are available:

  • Microsoft Operations Manager 2005 Agentless
  • Microsoft Operations Manager 2005 Databases
  • Microsoft Operations Manager 2005 Product Connector Servers
  • Microsoft Operations Manager 2005 Report Servers
  • Microsoft Operations Manager 2005 Servers
  • Microsoft Operations Manager 2005 Virtual Servers

To associate all the available computer groups with the new console scope

  1. Select the Has All Computer Groups check box.,
  2. Click Next.

To specify a particular group

  1. Click Add to open the Add Computer Groups dialog box.
  2. Select the check box beside each computer group that you want to add.
  3. Click OK to return to the Add Computer Groups dialog box.

The new scope has a + (plus sign) beside it, indicating that groups have been added. Click the + (plus sign) to see a list of the computer groups that are associated with the console scope.

To remove a computer group from the console scope

  1. Click the name of the computer group in the list.
  2. Click Remove.


Add Users

The users associated with this scope are listed under Users of this console scope.

To add users to the console scope

  1. Click Add to open the Domain\User name dialog box.
  2. In the Domain box, type the name of the domain that the user is a member of.
  3. In the User name box, type the user name.
  4. Click OK to save this information and return to the Add Users dialog box.

The Users of this console scope list shows the name of the user that you added.

To remove a user from the list

  1. In the Users of the console scope list, click the user, and click Remove.
  2. Click Next to proceed to the next dialog box.


Global Settings

Use this node to view and configure properties for the entire management group. When you click Global Settings in the Navigation pane, a table appears in the Detail pane with the following information:

Global Setting Type
Displays items that can be configured.

To view and change the properties for a global setting type, in the Detail pane, right-click a global setting type, and then click Properties on the drop-down menu. For more information about these properties, click the Help button on each tab.

See Also

Configure Global Settings


Agents Properties (Global Settings): Agent Heartbeat

Use this tab to specify how often agents check for rule updates and report availability of MOM Managed Computers. This tab contains the following options:

Request configuration interval ___ min
Specify how often MOM checks for configuration updates.
Heartbeat interval ___ sec
Specify how often the agent heartbeat occurs.
Current heartbeat scan for Management Servers is ___ sec
Specify how often the agent reports the availability of the computer.


Agents Properties (Global Settings): Responses

Use this tab to specify the number of script, e-mail, and paging responses that can run at one time. This tab contains the following option:

Simultaneous responses allowed
Specify the number of script, e-mail, and paging responses that can run simultaneously.


Global Settings Properties: Buffering

Use this tab to specify how long the agent buffers events, alerts, and performance data before sending them to the Consolidator. The tab contains the following options:

Send events and performance data after ___ msec
Specifies how often to send all of the collected event and performance data to the Consolidator. This box is available only when the Use Global Settings check box is cleared.
Send alerts and any associated responses after __msec
Specifies that alerts and responses that are to be carried out on the Consolidator computer are buffered for the same length of time as events are. This box is available only when theUse Global Settings check box is cleared.
Send alerts and items requiring central response immediately
Specifies that alerts and items requiring central response are not buffered. This box is available only when the Use Global Settings check box is cleared.
Use global settings
Specifies whether this agent uses the settings for agents configured in the Global Settings window. This check box is available only when you configure individual agents in the Agent Properties window.


Global Settings Properties: Event Collection

Use this tab to specify whether the binary data associated with each event should be collected and stored in the database. This tab contains the following option:

Collect event binary data
This check box is cleared by default. Collecting the binary data for each event can significantly enlarge the database. If you would like to collect the binary data for diagnostic purposes, select this check box.


Global Settings Properties: Automatic Management

Use this tab to specify whether or not the management of agents should be processed automatically, and specify an amount of time to delay agent uninstall tasks.

This tab contains the following options:

Do not automatically install, uninstall, and upgrade agents and automatically start and stop agentless management
Click this option if you do not want agents to be processed automatically.
Automatically install, uninstall, and upgrade agents and automatically start and stop agentless management
Click this option button if you do want agents to be processed automatically.
Number of hours to wait before automatically uninstalling an agent or stopping server management:
Click the arrows to specify the number of hours to delay agent uninstall or server management.


Management Servers Properties (Global Settings): Heartbeat Checking

Use this tab to specify how the management servers check for agent heartbeats.

This tab contains the following options:

Interval to scan for agent heartbeats ___ seconds
Click the arrows to specify the number of seconds between each agent heartbeat scan.
Scan agentless computers every specified number of times Management Servers perform the heartbeat scan ___ seconds
In the upper box, click the arrows to specify the number of times the Management Servers perform the heartbeat scan. The lower box displays the total number of seconds (read-only).
Number of ping attempts
Click the arrows to specify the maximum number of times the Management Servers ping the agents.
Time between pings ___ seconds
Click the arrows to specify the number of seconds between each ping attempt.
Ping time out ___ msec
Click the arrows to specify at what point the ping attempt fails.
Number of scans before generating service unavailability
Click the arrows to specify maximum number of ping attempts before rendering the agent unavailable.


Agents Properties (Global Settings): Temporary Storage

Use this tab to specify temporary agent storage parameters. The agent uses temporary storage to ensure that data is delivered after service interruptions, such as loss of electrical power. This tab contains the following option:

Maximum disk space ___ KB
Specify the disk storage space available to the agent.


Agents Properties (Global Settings): Security

Use this tab to specify whether to allow or prevent the MOM Agent from proxying for other computers or network devices.

In Microsoft Operations Manager (MOM) 2005, an agent can forward data on behalf of another computer or network device. This is called agent proxying.

This feature helps prevent spoofing attacks where one agent is used to pose as another agent (or sends data to the agent for processing) and attempts to send data to the Management Server. For multi-homed agents, each management group has its own setting on the agent for agent proxying.

This setting is inherited from the Global Agent settings. However, you can override the setting for individual agents; but be aware that MOM 2005 does not authenticate the data that is sent.

Note Note

Agents cannot proxy if mutual authentication is enabled, and the prevent proxying setting is enabled. However, if mutual authentication is disabled, agents are able to proxy regardless of the proxy setting.

This tab contains the following option:

Prevent agent from proxying for other computers or network devices
When you select this setting for an agent, the MOM Management Server attempts to match agent name and the data being sent from the agent. If the Management Server finds no match, the data is rejected and an event is logged.


Agents Properties (Global Settings): Service Monitoring

Use this tab to specify how often the agent checks and reports changes in the status of Microsoft® Windows® services. Service Availability reports use this information. This tab contains the following options:

Enable service monitoring
Specify whether to enable service checking and reporting.
Status check interval ___ sec
Specify how often the agent checks for the availability of Windows services. This box is available only if you select the Enable service availability checking and reporting check box.
Status reporting interval ___ sec
Indicates how often the agent reports the availability of Windows services. This box is read-only (unavailable) and the default number of seconds equals the Status check interval multiplied by 4.


Global Settings: Alert Resolution States

Use this tab to view, add, delete, and modify the parameters for alert resolution states. The resolution state indicates whether the resolution process has begun.

The columns in this tab are as follows:

Resolution State
Specifies the name of a resolution state.
ID
Specifies the identification number for the resolution state.
Service Level Agreement
Specifies the maximum time an alert is expected to stay in a resolution state. Default times are as follows:
  • New, 10 minutes
  • Acknowledged, 20 minutes
  • Level 1: Assigned to help desk or local support, four hours
  • Level 2: Assigned to subject matter expert, two days
  • Level 3: Requires scheduled maintenance, seven days
  • Level 4: Assigned to external group or vendor, 30 days
  • Resolved, No default
Display
Specifies whether the alert resolution state will be displayed in the MOM consoles.
Keystroke
Specifies the shortcut keystroke that applies to this resolution state.

To add a resolution state, click Add.

To delete a resolution state, click Delete.

To modify a resolution state, select a resolution state, and then click Modify.


Global Settings Properties: Edit Resolution State

Use this tab to create a new, or modify an existing, alert resolution state. On the Alert Resolution States tab, if you click Add to open the Edit Resolution State dialog box, you can create a new resolution state. If you click Modify, you can change all of the following settings, except Name and ID.

Name
Specify the name of the alert resolution state.
ID
Specify the numeric value for the alert resolution state.
The amount of time Alerts can remain in this resolution state
Specify the Service Level Agreement time in minutes, hours, or days.
Shortcut keystroke
Specify shortcut keys assigned to this resolution state.
Users may set this alert resolution state in the Operator Console and Web Console
Confirm that this resolution state displays in the Operator and Web Console menus.


Global Settings: Communications

Specify the TCP/IP port that agents should use when communicating with the MOM Management Servers. This port is also used as the UDP port that the agent uses for sending heartbeats to the Management Server.

Set the following option:

Encrypted communication port number
Type the number, or click the arrows to specify the port number.


Global Settings: Custom Alert Fields

Use this tab to specify custom alert fields that span a management group. When you create a rule that generates an alert, you can add more information by using this tab.

This tab contains the following option:

Custom fields 1 - 5
Specify the names of custom fields.


Global Settings: Database Grooming

Use this tab to specify when you want alert, event, and performance data removed from the system, as well as when you want alerts resolved.

This tab contains the following options:

Groom data older than the following number of days
Specify how many days the MOM Database stores data other than alerts, such as unmanaged computers, before it grooms them out.
Specify when alerts are automatically resolved
To modify auto resolution criteria, select one of the records, and then click Edit. Make changes in the days, hours, or minutes boxes, and click OK.

See Also

Global Settings: Database Grooming Edit


Global Settings: Email Server

Use this tab to specify settings that MOM Management Servers use when sending e-mail to notification groups.

This tab contains the following options:

Transport
Specifies the e-mail transport provider. Only Simple Mail Transfer Protocol (SMTP) is supported in Microsoft® Operations Manager (MOM) 2005. This field is read-only.
Server name
Specify the name of the SMTP server. You can specify the DNS name or the host name of the computer.
Returned address
Specify the Internet return address for the message sender.
Character set
Specify the defined list of characters to use for e-mail. MOM supports UTF-8 and Windows-1252.
SMTP Port
Specify the TCP port number that the SMTP server uses.


Knowledge Base Template

Microsoft Operations Manager (MOM) uses this template to structure and apply styles to the product knowledge that you create. You can change some parts of the template to reflect other section headings and styles. It is recommended that you copy the default template to another location so that you can reference or restore it as needed.

Note Note

You can use this property in Authoring mode only.


Global Settings: Notification Command Format

Use this tab to specify the default external command to use for command-based notification responses. The command launches a Microsoft paging application that uses a modem to notify operators.

This tab contains the following options:

Use Windows command interpreter (not recommended)
Specify whether to use the Windows command interpreter to run the command entered into the Command Line box.
Full Path to Application
Specify the entire path to the non-Microsoft paging application.
Command Line
Specify the default command to run. To change the default command, click the arrow to display a list of alert and event variables.
Note Note

For more information about the default command, see the MOM 2005 Security Guide.


Global Settings: Operational Data Reports

Use this tab to specify whether or not Microsoft Operations Manager (MOM) should send operational reports about your management group to Microsoft.

This tab contains the following options:

  • Yes, I want to send operational reports (Recommended)
  • No, I do not want to send operational reports


Global Settings Properties: Security

Configure security settings for the entire management group.

This tab contains the following options:

Mutual authentication required
Mutual authentication requires the MOM Management Server and the agent to authenticate each other using the Kerberos V5 protocol before they can communicate. This setting is applied to the management group, and cannot be overridden on the Management Server or agent. If you select this option, MOM SP1 agents cannot authenticate with the Management Servers and the Block MOM 2000 and MOM 2000 SP1 agents from connecting to the Management Server setting is automatically enabled. You must have an Active Directory® trust relationship between the Management Server domain and the agent domain.

Mutual authentication prevents a malicious attacker from posing as a Management Server or an agent, as well as communicating with, and performing actions on, the other computer. This setting is enabled by default if you are running Active Directory in your network.

Note Note

If you are upgrading to MOM 2005, this setting is disabled by default. If you are installing MOM 2005 for the first time, this setting is enabled by default.

Block MOM 2000 and MOM 2000 SP1 agents from connecting to the Management Server
If you select this option, only MOM 2005 agents can communicate with the Management Servers in this management group. This setting is applied to the management group, and cannot be overridden on the Management Server or agent. You can use this feature even if Mutual authentication is disabled. However, this feature is always enabled if Mutual Authentication is enabled. Blocking legacy agents helps to maintain a greater security level in your MOM environment.
Note Note

If you are upgrading to MOM 2005, this setting is disabled by default. If you are installing MOM 2005 for the first time, this setting is enabled by default.

Disable execution of custom responses on Management Servers
Custom responses are scripts that run on the Management Server in response to specific data gathered from one or more managed computers. This setting is applied to the management group, and cannot be overridden on the Management Server.

The following types of responses are affected by this setting:

  • Script responses configured to be launched on the Management Server
  • Notification responses when a command is specified
  • Command/batch file responses configured to be executed from the Management Server

The following responses are not affected by this setting and will always be executed:

  • Any response configured to be executed locally on the managed computer
  • Notification responses that use e-mail or page notifications
  • Update state variable responses
  • SNMP trap responses


Management Servers Properties: Discovery

Use this tab to the specify how often and when the MOM Management Server runs computer and attribute discovery. During discovery, Microsoft Operations Manager (MOM) performs the following tasks:

  • Finds computers that match the managed computer specification
  • Collects computer attributes
  • Evaluates computer group membership
  • Installs or uninstalls agents as appropriate

This tab contains the following options:

Interval for running attribute discovery ___ minutes
The default frequency is set to 60 minutes. Click the arrows to increase or decrease the frequency with which the attribute discovery runs. The minimum is 5 minutes, the maximum is 1440 minutes. The default frequency is 60 minutes.
Run computer discovery time
The default time is set to 2:05 A.M. Click the arrows to change the time.
Interval for computer discovery ___ day(s)
The default interval is set to 1 day. Click the arrows to change this value. The maximum number of days is 7.


Global Settings Properties: Rule Change Polling

Use this tab to specify how often management servers poll for rule changes.

This tab contains the following option:

Check for rule changes every ___ minutes
Click the arrows to specify the rule change poll interval.


Management Server Properties (Global Settings): Agent Install

Use this tab to specify where to install Microsoft Operations Manager (MOM) agents and whether to allow or reject new manual agent installations.

This tab contains the following options:

Select an environment variable path or type in a different path
Specify the folder where the Management Server will install the MOM Agent on the target computer. Select an environment variable from the list, or type a new path or environment variable.
Reject new manual agent installations
Select the check box to reject new manual agent installations. This means that any agents installed manually do not show up in the MOM Administrator console, and are not managed by MOM. This setting applies only to the agents installed after you select this option. Agents already installed are not be affected by this setting.


Global Settings: Web Addresses

Use this tab to specify the URLs for the virtual servers to include in an alert rule response.

This tab contains the following options:

Web Console Address
Specify the URL for the Web console. Changing this setting does not alter the URL used to access the Web console in a Web browser. Instead, this URL is used in default e-mail and paging responses. The format in which this address should be typed is:
http://ComputerName:PortNumber
Online Product Knowledge Address
Specify the URL for the link to more help inserted into the Product Knowledge. This link is available in the Operator console for all alerts. The default is http://support.microsoft.com/default.aspx. If you change the URL and want to go back to the default address, click Restore Default Product Knowledge Address.
Restore Default Product Knowledge Address
Click to restore the default product support URL inserted into the Product Knowledge.
File Transfer Server Address
Specify the URL for the server to, or from, which to transfer a file. This address is used by all file transfer responses, unless they are overridden on a per-rule basis. The file transfer server must be running Internet Information Services (IIS) 5.0 or later.
Online Company Knowledge Address
Specify the URL for the link to more help inserted into your Company Knowledge. This link will be available in the Operator console for all alerts.


Global Settings Properties: Licenses

Use this tab to change the number of MOM management licenses that you have for your organization. This number is evaluated by a MOM Management Pack rule to determine whether or not there is a potential licensing compliance issue.

This tab contains the following option:

Number of MOM management licenses
Specify the number of MOM management licenses that you have purchased for your organization.


Product Connectors

View and access properties that you can configure for your product connectors.

Note Note

If you have upgraded from Microsoft® Operations Manager 2000 SP1 with a product connector, you must clear the Destination Management Group is running MOM 2000 SP1 check box in the Destination Management Group Properties dialog box.

When you click Product Connectors in the Navigation pane, a table appears in the Detail pane that contains the following information:

Name
Specifies the name of the product connector.
Resolution State ID
Specifies the numeric value for the alert resolution state.
Outstanding New Alerts
Specifies the number of outstanding alerts that have been changed in one of the management groups, but have not been forwarded to the other management group.
Outstanding Updates
Specifies the number of outstanding alert updates from the destination management group. You can have outstanding alert updates on the destination Management Server if you suspended the product connector. After you re-initialize the product connector, the alerts on the destination Management Server update the source.
Note Note

To receive alert updates from the destination management group, in the Forwarding Properties dialog box, you must select the Receive alert updates from Destination back to Source check box. Additionally, you must enable the alert rule called Mark Alerts for forwarding to MOM Master management group contained within the Connector Framework rule group. Use the following computer groups: Microsoft Operations Manager 2005 Agents, Microsoft Operations Manager 2005 Servers, Microsoft Operations Manager 2000 Agents (if on a mixed environment with MOM 2000 agents).

Outstanding Discovery Events
Specifies the number of outstanding discovery events that have changed in one of the management groups, but have not been forwarded to the other management group.
Is Initialized
Indicates whether the product connector is up and running.
Is Suspended
Indicates whether the product connector is suspended from forwarding any alert or discovery information to the destination management group.
Note Note

When you suspend a product connector, the Is Suspended column displays Yes in the location from which the connector has been suspended. The MOM Administrator console(s) at the other end of the connector will display No in the Is Suspended column. Therefore, the connector must be resumed from the same location that it was suspended from.

To create a MOM-to-MOM Connection

  1. In the Navigation pane, right-click Product Connectors , and click Create MOM-to-MOM Connection.
  2. Complete the dialog boxes in the wizard.
Note Note

You can create only one MOM-to-MOM Connection per management group.

To view the properties for your product connectors

  1. In the Detail pane, right-click a product connector, and then click Properties.
  2. Make appropriate changes to the properties in this dialog box. For more information about these properties, click Help on each tab.


Welcome to the Create MOM-to-MOM Connector Wizard

Use this wizard to create a new connection between two Microsoft® Operations Manager (MOM) management groups. Use this connection to transmit Alert and Discovery information between the management groups.

To continue in the wizard, click Next.


MOM-to-MOM Connector: Connector Properties

Use this page in the wizard to specify the MOM-to-MOM Connector properties. After you create the MOM-to-MOM connector, the Name and Resolution State ID cannot be edited.

This page contains the following options:

Name
Specify the name of the MOM-to-MOM product connector.
Resolution State ID
Specify the numeric value for the alert resolution state.
Polling Interval
Set the polling interval between the destination and source management groups. The default setting is 20 seconds. To change this value, type an integer value in the Seconds box.


MOM-to-MOM Connector: Add MOM Master Management Group

Use this page in the wizard to specify the destination management group for the connection.

This page contains the following options:

Target MOM Management Server
Specify the name of the Management Server (DCAM, if the destination is a MOM 2000 SP1 server.)
Target MOM Web Service
Specify the URL of the Web service on the destination management group. The generic setting is http://[a-MOM-master-management group DCAM]:[port]/connectorserviceV2.asmx. For a MOM SP1 destination server, the generic setting is http://[a-MOM-master-DCAM]/connectorservice.asmx.
Destination Management Group is running MOM 2000 SP1
This indicates that the destination server is running MOM 2000 SP1.


MOM-to-MOM Connector: Forwarding Properties

Specify alert and discovery information forwarding properties. Set the following options:

Alert Forwarding Properties
Enable or disable alert forwarding. The default setting is enabled. Clear the check box for Forward new alerts and alert updates from Source to Destination if you want to disable alert forwarding. You can also synchronize alert updates between the destination management group and the source management group. To do this, select the Receive alert updates from Destination back to Source check box.
Discovery Information Forwarding Properties
To enable discovery information forwarding, select the Forward Discovery information from Source to Destination check box. Forwarding discovery data is disabled by default. When enabled, you can select from three options:
  • Forward only the Computer class and associated properties
  • Forward all Discovery information
  • Forward only a custom set of discovery information. If you select this option, click the Set Custom Discovery Forwarding button to provide the name and location of the discovery data configuration file on the source management server.


MOM-to-MOM Connector: Set Custom Discovery Forwarding

Use this page in the wizard to specify the name and location of the discovery data configuration file on the source management server.

Type the file name, or click Browse to locate the file.


MOM-to-MOM Connector Properties: Failover Configuration

Use this page in the wizard to view or modify the Microsoft Operations Manager (MOM) Destination Management Group Web services.

You can configure one or more Web service for failover purposes to ensure the information is still transmitted if the connector stops running.

This page contains the following options:

Add
Click to specify a failover MOM Management Server or MOM Web service.
Edit
Select a current Web service, and then click Edit to modify its URL.
Move Up/Move Down
Click these buttons to list the Web services in order of priority .


MOM-to-MOM Connector: Add Failover MOM Web Service

Use this page in the wizard to specify the destination Web service for the connection.

This page contains the following options:

Target MOM Management Server
Specify the name of the Management Server (DCAM, if the destination is a Microsoft Operations Manager (MOM) 2000 SP1 server.)
Target MOM Web Service
Specify the URL of the Web service on the destination management group. The generic setting is http://[a-MOM-master-management group DCAM]:[port]/connectorserviceV2.asmx. For a MOM 2000 SP1 destination server, the generic setting is http://[a-MOM-master-DCAM]/connectorservice.asmx.


Product Connector Wizard: Edit Failover Web Service (Failover Configuration)

In the Failover Configuration page in the wizard, click Edit to open this dialog box to edit the MOM Web service URL.

This dialog box contains the following option:

MOM Web Service
Edit the URL of the Web service on the destination Management Group. The generic setting is http://[a-MOM-master-management group DCAM]:[port]/connectorserviceV2.asmx. For a MOM 2000 SP1 destination server, the generic setting is http://[a-MOM-master-DCAM]/connectorservice.asmx.


String Pattern Matching

In many Microsoft Operations Manager 2005 fields, you can enter or select wildcards, regular expressions, or Boolean regular expressions. Wildcards and regular expressions allow you to specify or match many items using one expression or character-string formula.

You can select brief descriptions of wildcards, regular expressions, or Boolean regular expressions from drop-down menus. The menu items and their associated characters or operators are defined in the following topics:

  • Wildcards
  • Regular Expressions
  • Boolean Regular Expressions


Wildcards

Wildcard pattern matching is not case-sensitive. Some fields support the following wildcard characters.

Menu Item | Character | Definition
Any Character | Question mark (?) | Matches exactly one character.
Any Digit | Number sign (#) | Matches one digit.
Any Character, 0 or More Matches | Asterisk (*) | Matches zero or more characters.

The following table provides examples of wildcard character specifications and ilustrates cases where there is a match or there is not a match.

Example | Matches | Does Not Match
den??? | Denton and Dennis | Denison
el ????o | El Campo and El Indio | El Paso
houston\? | Houston? | Houstons
houston, tx ##### | Houston, TX 77024 | Houston, TX USOFA
5555 indigo ln \### | 5555 Indigo Ln #32 | 5555 Indigo Ln 320
*TX | Houston, TX and TX | Houston, TX 77024
San * | San Antonio and San Angelo | Santa Fe
b*ville | Brownsville and Beeville | Somerville


Regular Expressions

You can perform advanced text pattern matching using regular expressions. Regular expressions provide more flexibility than simple wildcards in defining rules or views. To match an exact regular expression character, precede the character with a backslash (\). The following table lists regular expression operators and their definitions.

Menu Item | Character | Definition
Any Character | . | Matches any single character.
Character in Range | [ ] | Matches any single character from within the bracketed list. Within square brackets, most characters are interpreted literally.
Character Not in Range | [^] | Specifies a set of characters not to be matched.
Beginning of Line | ^ | Matches the beginning of a line.
End of Line | $ | Matches the end of a line.
Or | | | Matches either the regular expression preceding it or the regular expression following it.
Group | ( ) | Groups one or more regular expressions to establish a logical regular expression consisting of sub-regular expressions. Used to override the standard precedence of certain operators.
0 or 1 Matches | ? | Specifies that the preceding regular expression is matched 0 or 1 time.
0 or More Matches | * | Specifies that the preceding regular expression is matched 0 or more times.
1 or More Matches | + | Specifies that the preceding regular expression is matched 1 or more times.
Exactly n Matches | {n} | Specifies that the preceding regular expression is matched exactly n number of times.
At Least n Matches | {n,} | Specifies that the preceding regular expression is matched n or more times.
At Most n Matches | {,n} | Specifies that the preceding regular expression is matched n or fewer times.
n to m Matches | {n,m} | Specifies that the preceding regular expression is matched a maximum of n times and a minimum of m times. If not specified, m defaults to 0. If n is not specified, the default depends on whether the comma is present. If no comma is present, n defaults to m. If a comma is present, n defaults to a very large number.
New Line Character | \n | Matches a new line.
Tab Character | \t | Matches a tab character.

The following table provides examples of regular expressions and ilustrates cases where there is a match or there is not a match.

Example | Matches | Does Not Match
st.n | Austin and Houston | Webster
st[io]n | Austin and Houston | Stanton
st[^io]n | Stanton | Austin or Houston
^houston | Houston | South Houston or Fort Sam Houston
ston$ | Houston and Galveston | Stonewall
dall|hart | Dallas and Dalhart and Lockhart | Dale
dal(l|h)art | Dalhart | Dallas or Lockhart
il?e$ | Etoile and Wylie | Beeville
il*e$ | Etoile and Wylie and Beeville | Bellaire
il+e$ | Etoile and Beeville | Wylie
ad{2} | Addison and Caddo | Adkins
(la.*){2,} | Highland Villiage and Lake Dallas | Laredo
il{,1}e$ | Bowie and Etoile | Brownsville
(a.*){2,3} | Alamo Heights and La Blanca | Austin or Aransas Pass
not ville | Houston and Dallas | Brownsville


Boolean Regular Expressions

Boolean regular expressions allow you to combine regular expressions using the Boolean and, or, and not operators.

Menu Item | Operator | Definition
Boolean And | and | Specifies that the preceding and following regular expressions must both match.
Boolean Or | or | Specifies that at least one of the preceding and following regular expressions must match.
Boolean Not | not | Specifies that the regular expression following the not must not match.

Regular and Boolean regular expression operators are available from drop-down menus, or you can enter them directly in the appropriate field. The following table provides examples of regular expressions and ilustrates cases where there is a match or there is not a match.

Example | Matches | Does Not Match
la and ia | La Vernia and Lelia Lake | Lake Jackson
ville$ or town$ | Brownsville and Baytown | Lubbock
ille$ and not ^[n-z] | Brownsville and Kerrville | Pflugerville


Agent-managed Computers: Update Agent Settings

Use this tab to synchronize communication settings and change or update the agent action account. If you change the communication port number or turn on or off mutual authentication, these and other agent configuration settings cannot be communicated through the Microsoft Operations Manager (MOM) communication channel. You can select the following options:

Which account do you want to use to update the agent settings?
Specify either the default, Management Server Action Account, or Other, a separate account accessed with a user name and password.
Which account do you want to use for the Agent Action Account?
Specify the agent action account either on your Local System or Other, a separate account accessed with a user name and password.

If you have agents with the control level set to none, you must update their settings manually.

See Also

Synchronize Agent Communication Settings | Install an Agent | Uninstall Agents


Agent-Managed Computers Properties: Computer Groups

This tab displays the computer groups to which this agent-managed computer belongs.


Agent-Managed Computer: Rules

This tab displays the rule groups deployed to this agent-managed computer.


Management Servers Properties (Computers): Responses

This tab displays the number of script, e-mail, or paging responses that can run simultaneously. You can select the following options:

Total simultaneous responses allowed to run on this Management Server
Specifies the number of responses that can run at one time. You can adjust this number only if you clear the Use global settings check box.
Total simultaneous responses allowed to run on the local agent on this Management Server
Specifies the number of responses that can run on the agent installed on this Management Server. If you select the Use global settings check box, this option becomes unavailable.


Global Settings Properties: Communications

Use this tab to specify the communication settings between the agent and the MOM Management Server. This tab contains the following options:

Packet size: ___ KB
Specifies the packet size allowed between the agent and the Management Server.
Maximum amount of data per second: ___ Kbps
Specifies the maximum amount of data allowed between the agent and the Management Server.


Global Settings Properties: Communications

Use this tab to configure which port the MOM Management Servers and agents in this management group use to communicate with each other. This setting applies to the management group, and cannot be overridden on the Management Server.

This tab contains the following option:

Encrypted communication port number
Specify the TCP/IP port that agents should use when communicating with the Management Servers.
Note Note

If you are installing Microsoft Operations Manager (MOM) 2005 for the first time, the port is 270 by default. If you are upgrading to MOM 2005, the port remains as 1270. To change the port, you must change this setting and also change the following registry key on all the upgraded agents:

HKLM\SOFTWARE\Mission Critical Software\OnePoint\Configurations\management group name\Operations\Agent\Consolidators

Consolidator number Secure Port  REG_DWORD 0x0000010e (270)


Global Settings: Database Grooming Edit

Use this dialog box to specify how old data in the database should be before Microsoft Operations Manager (MOM) grooms it. On the Database Grooming tab, if you click Edit to open the Database Grooming Edit dialog box, you can modify and view the following options:

Groom data older than the following value
Specify the number of days, hours, and minutes.
Criteria
Indicates the selected attribute name and value. This box is read-only (unavailable).


Welcome to Install Agents Wizard

This page summarizes what the wizard does.

The only required action is to click Next to advance to the next page of the wizard.

See Also

Agent Deployment Security


MOM-to-MOM Connector Properties: Failover

Use this page in the wizard to view or modify the Microsoft Operations Manager (MOM) Destination Management Group Web services.

You can configure one or more Web service for failover purposes to ensure the information is still transmitted if the connector stops running.

  • Click Add to specify a failover MOM Management Server or MOM Web service.
  • Select a current Web service, and then click Edit to modify its URL.
  • Click Move Up or Move Down to list the Web services in order of priority .


MOM-to-MOM Connector: Forwarding Properties

Use this page in the wizard to specify alert and discovery forwarding properties.

This wizard contains the following options:

Alert Forwarding Properties
Enable or disable alert forwarding. The default setting is enabled. Clear the Forward new alerts and alert updates from Source to Destination check box if you want to disable alert forwarding. You can also synchronize alert updates between the destination management group and the source management group by selecting the Receive alert updates from Destination back to Source check box.
Discovery Information Forwarding Properties
Forwarding discovery data is disabled by default. To enable discovery information forwarding, select the Forward Discovery information from Source to Destination check box.

Once enabled, three options are available:

  • Forward only the Computer class and associated properties
  • Forward all Discovery information
  • Forward only a custom set of discovery information. If you select this option, click Set Custom Discovery Forwarding to provide the name and location of the discovery data configuration file on the source Management Server, and then click Browse.

Finally, click View Discovery Forwarding Information to view the discovery forwarding configuration that you established. You also have the option of saving this configuration information to a file.


MOM-to-MOM Connector: Destination Management Group Properties

Use this page in the wizard to view the target MOM Web service.

This page contains the following option:

Target MOM Web Service
Specify the MOM Web service for the destination management group, as well as whether Microsoft Operations Manager (MOM) 2000 SP1 is running.


MOM-to-MOM Connector: Web Service URL

Use this page in the wizard to specify the destination Web service for the connection.

This page contains the following option:

MOM Web Service
Specify the URL of the Web service on the destination Management Group. The generic setting is http://[a-MOM-master-management group DCAM]:[port]/connectorserviceV2.asmx. For a Microsoft Operations Manager (MOM) 2000 SP1 destination server, the generic setting is http://[a-MOM-master-DCAM]/connectorservice.asmx.


MOM-to-MOM Connector: Add Failover Web Service (Failover Configuration)

In the Failover Configuration page in the wizard , click Add to open this dialog box to add the MOM Web Service URL.

This dialog box contains the following option:

MOM Web Service
Specify the URL of the Web service on the destination management group. The generic setting is http://[a-MOM-master-management group DCAM]:[port]/connectorserviceV2.asmx. For a MOM 2000 SP1 destination server, the generic setting is http://[a-MOM-master-DCAM]/connectorservice.asmx.


Product Connector Wizard: Edit Failover Web Service

In the Failover Configuration tab, click Edit to open this dialog box to edit the MOM Web service URL.

MOM Web Service
Edit the URL of the Web service on the destination Management Group. The generic setting is http://[a-MOM-master-management group DCAM]:[port]/connectorserviceV2.asmx. For a MOM 2000 SP1 destination server, the generic setting is http://[a-MOM-master-DCAM]/connectorservice.asmx.


MOM-to-MOM Connector: Discovery Forwarding Configuration

Use this page in the wizard to view or save the discovery forwarding configuration specified.

To save the configuration information, click Save to File.


Global Settings: Security

Use this global setting type to view and change the security properties of the agents installed on managed computers, as well as the MOM Management Server. To view or change the security properties, in the Navigation pane, click Global Settings. In the Detail pane, right-click Security, and then click Properties on the drop-down menu. For more information, click the Help button on the properties tab.


Global Settings, Security Warning dialog

ID: 150084 RP_MOM_ADMIN_GLOBAL_SECURITY_HLP_SYNCHSETTINGS


Console Scopes Properties: General

Use this tab to view and make changes to the properties for the select console scope. This tab contains the following options:

Console scope name
Specifies the name of the selected console scope. This box is read-only.
Console scope description
Specifies an optional description of the console scope.
Computer Groups
Specify whether this console scope Has All Computer Groups. You can also Add computer groups to or Remove computer groups from the console scope.

See Also

Console Scopes Properties: Users


Console Scopes Properties: Users

Use this tab to add and remove users of this console scope.

To add a user, click Add.

To remove a user, select the user in the list box and click Remove.

See Also

Console Scope Properties: General


Global Settings: Agents

Use this global setting type to view and change the properties of the agents installed on managed computers. To view or change the properties for all of the agents, in the Navigation pane, click Global Settings. In the Detail pane, right-click Agents, and then click Properties on the drop-down menu. For more information, click the Help button for each property tab.


Global Settings: Licenses

Use this setting to view or change the number of MOM management licenses that you have acquired for your organization.

To view or change the number of licenses, right-click Licenses and then click Properties.


Global Settings: Management Servers

View and change the properties for the management servers contained within Microsoft Operations Manager (MOM). To view or change the properties for all of the management servers, in the Navigation pane, click Global Settings. In the Detail pane, right-click Management Servers, and then click Properties on the drop-down menu. For more information, click the Help button for each property tab.


Install/Uninstall Agents: Agent Uninstallation Permissions

Use this page in the Install/Uninstall Agents Wizard to specify which account you want to use to uninstall an agent.

This page contains the following options:

Management Server Action Account
Specify the MOM Management Server Action account to uninstall an agent. This is the default.
Other
Specify an account User name and password to uninstall an agent.


Uninstall Agents

Use this dialog box to uninstall agents from remote computers. This dialog box contains the following options:

Management Server Action Account
The default, select this option to uninstall agents that use this account for deployment.
Other
Select this option to provide the name (domain\user name) and password for another account on the Management Server that was used for deployment of the agents.


New Computer

Use this dialog box to add an undiscovered computer to the Add Computer list.

This dialog box contains the following options:

Domain Name
Type the domain name for the computer to add a new computer.
Computer Name
Type the name of the computer, then click OK.


Computer Groups: Excluded Computers: Search Computer

The Computer dialog box enables you to apply logical expressions and character matching when searching for matches on the Domain and Computer fields.

This dialog box contains the following options:

Domain
Specify two sets of parameters, the logic and the data that you want to search against.
  • The list provides the following logic options:
    • equals
    • contains substring
    • matches wildcard
    • matches regular expression
    • matches boolean regular expression
  • Type the full or partial name that you want to search for. You can use wildcards in your search by clicking the right arrow button beside the input area. The list includes the following options:
    • Any Character
    • Any Digit
    • Any Character, 0 or More Matches
    Pick any option to insert the wildcard that you want to insert.
    Note Note

    If you use wildcards in your search, the appropriate search logic must be selected.

Computer
Specify two sets of parameters, the logic and the data that you want search against.
  • The list includes the following logic options:
    • equals
    • contains substring
    • matches wildcard
    • matches regular expression
    • matches boolean regular expression
  • Type the full or partial name that you want to search for. You can use wildcards in your search string by clicking the right arrow button beside the input area. The list includes the following options:
    • Any Character
    • Any Digit
    • Any Character, 0 or More Matches
    Pick any option to insert the wildcard that you want to insert.
    Note Note

    If you use wildcards in your search, the appropriate search logic must be selected.

To find a computer using search parameters

  1. For Domain, click the list to select the logic that you want to use. Type a full or partial name in the box, and if desired, insert wildcards.
  2. For Computer, click the list to select the logic that you want to use. Type a full or partial name in the box, and if desired, insert wildcards.
  3. Click OK.

To find a computer by using Browse

  1. Click Browse to open the Add Computer dialog box. This dialog box shows a list of discovered computers in the domain of which the MOM Management Server is a member.
  2. Select a computer in the list, and click OK.
  3. If the computer is not in the list, click New to open a dialog box where you can type the domain name and computer name for the computer that you want to add. Click OK.
  4. When you finish adding computers with Browse, click OK.

See Also

String Pattern Matching


Computer Group: Select Computer Group

Use this dialog box to identify the computer group for which the new computer must be a member. By default, the following groups are available:

  • Microsoft Operations Manager 2005 Agents
  • Microsoft Operations Manager 2005 Applied Software Updates
  • Microsoft Operations Manager 2005 Databases
  • Microsoft Operations Manager 2005 Product Connector Servers
  • Microsoft Operations Manager 2005 Report Servers
  • Microsoft Operations Manager 2005 Servers
  • Microsoft Operations Manager 2005 Virtual Servers

After you select the group, click OK to return to the Formula dialog box.


Computer Groups: Formula: Select Discovered Group

Use this dialog box to identify the discovered computer group for which the new computer must be a member.

This dialog box contains the following option:

Select a discovered group
By default, the MOM Management Group is available. After you select the group, click OK to return to the Formula dialog box.


Computer Groups: Formula: Attribute: Select Attribute

This dialog box provides a list of computer groups whose attributes you can apply to the computer that you want to add to the computer group.

This dialog box contains the following option:

Select a computer attribute to evaluate.
To use the attributes for an existing group, select the group name, and then click OK to close the dialog box.

If you want to specify custom attributes, click New to open the Registry-based Attribute Properties dialog box. Follow the instructions in the dialog box to create a new attribute. When you finish creating the new attribute, click OK to return to the Formula dialog box.


Computer Groups: Formula: Select Attribute

Use this dialog box to select from the default list of computer attributes to evaluate.

This dialog box contains the following option:

Select a computer attribute to evaluate
Select a computer to evaluate, and click OK. If you want to add a new computer attribute to the list, click New.


Computer Groups: Included Computers: Add Computer

Use this dialog box to add a computer to a computer group.

This dialog box contains the following options:

Select one or more computers to add
From the list box, select the computers you want to add.

The computer list window contains a folder for the domain of which the MOM Management Server is a member. Click the + (plus) symbol to expand the folder and view all of the discovered computers.

To select and add discovered computers, select the check box for each computer in the list. If you want to add all of the computers, select the check box for the domain folder. When you finish selecting computers to add, click OK

Note Note

If a computer that you want to add is not in the discovered computers list, click New to open a dialog box for adding a computer.

See Also

New Computer


Computer Groups: Included Computers: Add Computers: New Computer

Use this dialog box to add an undiscovered computer to the Add Computer list.

This dialog box contains the following options:

Domain Name
Type the domain name for the computer to be added.
Computer Name
Type the name of the computer to be added.
Note Note

Specify a Fully Qualified Domain Name (FQDN), for example, domain.corp.company.com, or you can specify a NetBIOS domain name. A NetBIOS name cannot exceed 15 characters.


Computer Groups: Included Subgroups

Use this tab to view the subgroups included in the current computer group.

This tab contains the following options:

Add
Add computers to the specification.
Remove
Remove computers from the specification.

See Also

Add Subgroup


Script Properties: General

Use this tab to specify script properties.

This tab contains the following options:

Name
Specify the name of the script.
Description
Type a brief description of the script.
Language
Specify the language in which the script is written. The options are VBScript, JScript, and Custom.


Rule Properties: Advanced

Use this tab to specify whether to mark the link between the current parent rule group and selected children rule group, or groups, as deleted. You can also select the ownership option.

This tab contains the following options:

Export as a vendor produced rule. Export if it is enabled or disabled
Specify to export the rule as vendor produced, whether it is enabled or disabled.
Export as a vendor produced rule. If the rule is disabled, then do not export
Specify to export the rule as vendor produced, except if it is disabled. This is the default setting.
Export as a customer created/modified rule
Specify to export the rule as created or modified by the customer.
Mark this rule group as deleted.
Select this check box to permanently delete the rule group, and all child rule groups from the MOM Administrator console and the MOM Database.
Note Note

The Advanced tab appears when you turn on Authoring mode.


Application Log Provider Properties

Specify the name and log type for an application log.

The Application Log Provider properties contain the following options:

Provider name
Specify the user-defined provider name for the application log.
Provider log type
Specify the type of application log, such as Syslog port.


Threshold Rule Properties: Threshold

Use this tab to specify that Microsoft Operations Manager (MOM) 2005 monitor data and generate an alert if the thresholds set are crossed in either direction.

This tab contains the following options that allow you to set values, conditions, and overrides:

Specify the threshold value you would like to match
Select from the following types of calculations that MOM performs while it monitors the data and then compares it with the conditions you set.
the sampled value
MOM calculates data specified in the Data Provider tab for this performance rule, that is, raw data. For example, if you select MOM Server-DB%Free Space Available-[ALL]15.0 minutes as the source for sampled data, MOM will monitor all of the data generated.
The average of values over
MOM calculates the average threshold value based on how many samples you specify. For example, if you enter 10 in the samples box, MOM calculates the average threshold value over those 10 samples.
The change in values over
MOM calculates the changes in the values over the number of samples you specify. For example, if you enter 20 in the samples box, MOM calculates the changes in the threshold values over those 20 samples.
Match when the threshold meets the following condition
After MOM monitors the raw data or performs the appropriate calculations specified above, it compares the results with one of the following conditions that you specify.
greater than the following value
Specify the greater-than value that MOM compares to the threshold values above. For example, if you enter 100 as the greater-than value and MOM calculates the average values to be 120, an alert is generated.
less than the following value
Specify the less -than value that MOM compares to the threshold values above. For example, if you enter 50 as the less-than value and MOM calculates the change in values to be 40, an alert is generated.
Always
Specify that MOM always compares the threshold value above and generates an alert.
Enable threshold overrides for this rule
Specify threshold overrides with override criteria for this rule.

See Also

Create Override Criteria


Create Notification Group

Use the Notification Group Properties-Notification Group dialog box to create a notification group and add operators to the group.

To create a notification group

  1. In the Name box, type the name of the group.
  2. In the Available Operators list, select names of operators to add , or create and add a new operator to the Group operators list.
  3. When you are finished adding operators, click Finish to close the dialog box.

If there are no operators listed, you can add and configure operators.

To add a new operator

  1. In the Detail pane, click Create Operator to open the Operator Properties - General dialog box.
  2. Follow the instructions in the Operator Properties dialog boxes to create a new operator and configure notifications.
  3. When you finish configuring the properties for the new operator, click Finish to return to the dialog box.
  4. The new operator is listed under Available Operators.
  5. Add the new operator to the Group Operators list.
  6. Click Finish to close the dialog box.

See Also

Create Notification Group Properties | Operator Properties: General | Operator Properties: E-mail | Operator Properties: Page | Operator Properties: Command


Notification Group Properties: Notification Group

To create or edit a notification group, use the following options:

  • Name - Shows the name of the notification group. If the notification group does not exist, you can type a name in this field.
  • Group operators - Lists any operators associated with the notification group. If you want to remove an operator, click the operator name and then click the right arrow beside the list.
  • Available operators - Lists any operators defined that can be associated with the group. To add an operator to the group, click the operator name and then click the left arrow beside the list.
  • New Operator - Opens the Operator Properties wizard. Use the wizard to create an operator and configure its notifications.
  • Properties - Opens the Operator Properties dialog box for any operator that you select on the Available operators list.

See Also

Create a Notification Group | Create Notification Group Dialog Box


Rule Properties: Consolidate

Use this tab to define the event consolidation policy.

Select which event fields must be identical for events to be consolidated
Specify which event fields must be identical for events to be consolidated by selecting any of the following check boxes:
  • Event Number
  • Full Event Number
  • Event Type
  • Message DLL
  • Source Name
  • Provider Name
  • Provider Type
  • Description
  • Message DLL File Version
  • Logging Computer
  • Category
  • User Name
  • Logging Domain
  • Parameter n

In this dialog box, you can also set the number of seconds in which events must occur.


Rule Group Properties: Advanced

In Microsoft Operations Manager (MOM) 2000, you could create rule groups as child groups to multiple parent rule groups. MOM 2005 does not allow this feature. If you import a Management Pack created in MOM 2000 that contains rule groups with multiple parents, use this tab to mark a rule group as deleted, which then breaks the link between a rule group and its multiple parents. The rule group still exists; marking it as deleted only breaks the relationship between the parent and child.

This tab contains the following options:

Rule group ownership options
Export as a vendor produced rule. Export if it is enabled or disabled
Export as a vendor produced rule. If the rule is disabled, do not export
Export as a customer created/modified rule (default)
Mark this rule group as deleted.
Select this check box if you want to remove the relationship between the parent and this rule group.
Note Note

You can use the Advanced tab only when you turn on Authoring mode.


Rule Group Properties: Knowledge Authoring

Use this tab to specify the comments for the knowledge base entry.

This tab contains the following options:

Sections
Select a knowledge base section that will help a Microsoft Operations Manager (MOM) administrator understand this rule group. For example, document the Purpose or Features of the rule group.
Section text
Type content that applies to the knowledge base section you selected above.

To add comments to a knowledge base section

  1. In the Sections list box, select the section to which you want to add content.
  2. In the Section text box, type the related content.
  3. Click Generate Knowledge Base to update the content.


Rule Properties: Knowledge Base

Use this tab to view and edit the knowledge base for this rule group.

This tab contains the following option:

Company Knowledge Base
View saved comments and information about this rule group.

To edit the company knowledge base, click Edit and follow the instructions in the dialog box.


Collection Rule Properties: Parameter Storage

Use this tab to specify the event parameters to store in the Microsoft Operations Manager (MOM) database.

This tab contains the following options:

Store all event parameters
Specify that MOM store all event parameters
Store these event parameters
Specify the particular event parameter to store.
Store no event parameters (default)
Specify that MOM store no event parameters.


Add Download File

Use this dialog box to specify the source and destination for the download file. The source includes the virtual directory and remote source file in the virtual directory. The destination includes the local download folder and the destination file name in the local folder. You can also insert parameters as part of the source or destination file name.

Warning Warning

In destination file names, date and time, or URL parameters cause the file transfer to fail. These parameters contain characters not allowed by the file system, for example, colon and forward slash. Do not use the following parameters:

  • Event Time
  • First Time
  • Last Time
  • Start Time
  • Event URL


Create Task Wizard: Task Configuration (File Transfer)

Use this page in the wizard to create a task to transfer files over HTTP. You can either upload or download files.

This page contains the following options:

Target role
Specify one of the following target roles: Computer, MOM Agent, or MOM Server.
Virtual directory configuration
Specify one of the following virtual directory configurations: Use global settings or Use other virtual directory.
File transfer direction
Specify one of the following directions for the file transfer: Upload one file from local agent computer to remote virtual directory or Download one or more files from remote virtual directory to local agent computer.

See Also

Create Task Wizard: Task Configuration (File Transfer Upload Source and Destination) | Create Task Wizard: Task Configuration (Download Source and Destination Files)


Create Task Wizard: Task Configuration (Add Download File)

Use this page in the wizard to add a download file to transfer.

Note Note

The parameters change depending on what target role you choose.

This page contains the following options:

Virtual directory configured for this file transfer
Displays the virtual directory that you configured for this file transfer. This box is read-only.
Remote source file in virtual directory (relative path)
Specify a source file and select a parameter from the menu.
Destination
Displays the local download folder for the file transfer. This box is read-only.
Destination file name in local download folder (relative path)
Specify a file name and select a parameter.
Warning Warning

In destination file names, date and time, or URL parameters cause the file transfer to fail. These parameters contain characters not allowed by the file system, for example, colon and forward slash. Do not use the following parameters:

  • Event Time
  • First Time
  • Last Time
  • Start Time
  • Event URL

See Also

Create Task Wizard: Task Configuration (File Transfer)


Create Task Wizard: Task Configuration: (Download Source and Destination Files)

Use this page in the wizard to configure the source and destination files to download.

This page contains the following options:

Virtual directory
Displays the virtual directory that you are using. This box is read-only.
Local download folder
Displays the local folder set for downloading the files. This box is read-only.
Files to be downloaded (relative paths)
Click Add to add files to the list of files to be downloaded. You can also delete or edit the files in the list.
Warning Warning

In destination file names, date and time, or URL parameters cause the file transfer to fail. These parameters contain characters not allowed by the file system, for example, colon and forward slash. Do not use the following parameters:

  • Event Time
  • First Time
  • Last Time
  • Start Time
  • Event URL


Create Task Wizard: Task Configuration (Upload Source and Destination Files)

Use this page in the wizard to configure the source and destination files that you want to upload.

Note Note

The parameters change depending on what target role you choose.

This page contains the following options:

Local source file (full path)
Specify a local source path and insert parameters and environment variables.
Virtual directory
Displays the virtual directory that you want to use. This box is read-only.
Remote destination file name in virtual directory (relative path)
Specify the remote destination file name and insert parameters.
Warning Warning

In destination file names, date and time, or URL parameters cause the file transfer to fail. These parameters contain characters not allowed by the file system, for example, colon and forward slash. Do not use the following parameters:

  • Event Time
  • First Time
  • Last Time
  • Start Time
  • Event URL

See Also

Create Task Wizard: Task Configuration (File Transfer)


Create Task Wizard: Task Configuration (Invoke Command Line Application)

Use this page in the wizard to choose the method to use to invoke the command-line application.

This page contains the following options:

Use secure command line invocation
Specify the application to use to invoke the command line application.
Use Windows command interpreter (Not recommended)
Specify using the Windows command interpreter to invoke the command-line application.


Management Pack Import/Export Wizard: SSL Warning

Microsoft Operations Manager (MOM) 2005 Reporting setup fails and Microsoft® SQL Server Reporting Services does not function properly, if you enable Secure Sockets Layer (SSL) on the Internet Information Services (IIS) Default Web site after installing SQL Server Reporting Services. To prevent this problem, always enable SSL on the IIS Default Web site before installing SQL Server Reporting Services.

For more information, see the MOM 2005 Release Notes.


Operator Properties: Notification Groups

Use this tab to add or remove notification groups to which the operator belongs.

This tab contains the following options:

Add
Click to add a notification group.
Remove
Click to remove a notification group.

See Also

Create a Notification Group | Notification Group Properties | Notification Group Dialog Box


Event Rule Properties: Custom Fields

Use this dialog box to create up to five custom fields for the alert that generates with this rule.

This dialog box contains the following option:

CustomFieldn
You can create up to five custom fields. In the boxes, type the custom field information, or click the arrow to choose an option from the menu.


Rule Properties: Filter

Use this tab to specify the way to apply a filter to your event rule.

This tab contains the following options:

  • Do not evaluate further rules, nor insert matching events in to the database. (Pre-Filter)
  • Continue evaluating rules, but do not insert matching events into the database. (Database Filter)
  • Continue evaluation rules, and insert matching events in to the database only if another rule matches. (Conditional Filter)


WMI Numeric Provider Properties

Specify WMI numeric provider properties. For information about the Microsoft WMI SDK, which includes a WMI object browser, see the Microsoft Web site msdn.microsoft.com. To monitor page faults for the Microsoft® Operations Manager (MOM) service, you can create the following WMI numeric providers:

Field | Value
Provider Name | MOM PageFaults
WMI Namespace to be searched | root\CIMV2
Class of objects to be measured | Win32_Process
Object instance expression | Description="MOMService.exe"
Numeric property to sample | PageFaults
Text property to be instance | Description
Sample every | 15 minutes

In this example, if you wanted to monitor page faults for all services, you could leave the Object instance expression field blank.

The fields are defined as follows:

Provider Name
Specifies the WMI provider name.
WMI namespace to be searched
Specifies the WMI namespace to which the class of the WMI numeric data belongs. Namespace Specifies a unit for grouping classes and instances.
Class of objects to be measured
Specifies the WMI class to which the numeric data belongs. Class defines the basic unit of management. Each class is a template for a type of managed object. All instances of the type use the template.
Object instance expression
Specifies the instance to measure. Instances contain actual data. If you leave this field blank, all instances of the object are collected. You can use the same operators in this field as those used in the WMI where clause. For more information, see the Microsoft WMI documentation.
Numeric property to sample
Specifies the numeric property to measure.
Text property to be instance
Specifies the property of the object used to differentiate the instance from other instances.
Sample every
Specifies how often to sample the WMI numeric data.


Rule Properties: Set Override Criteria

Use this dialog box to add override criteria to the selected rule.

This dialog box contains the following options:

Override Target
Specify the name of the computer group or computer targeted for override criteria.
Value
Specify the value set for the override criteria.


SNMP Response Editor

Specify where the Simple Network Management Protocol (SNMP) trap generates when it matches the properties that you have set as alert criteria. SNMP is an optional service that provides an SMNP agent that allows remote communication with centralized management of computer running a variety of operating systems.

To generate a trap, select from the following options:

Locally on the agent computer
The computer with the alert condition generates the trap. SNMP must be installed on computers where the rule is applied.
Note Note

A separate computer without the alert condition, acting as a proxy, can also generate the trap.

Centrally on the Management Server
SNMP must be installed on Management Servers.


Working with Tasks

After you create a task, you can change the initial settings for the task or delete a task.

To change the initial settings for a task

  • In the Detail pane, right-click the task, and click Properties.

To delete a task

  1. In the Detail pane, right-click the task, and click Delete.
  2. When the message appears asking if you are sure you want to delete the task, click OK.

See Also

Tasks


Threshold Rules: Set Override Criteria

Use this dialog box to add one or more override criteria for this rule.

Microsoft® Operations Manager (MOM) evaluates override criteria (target and value pairs) in the order in which they appear in the Override Criteria list.

To add override criteria

  • Click Add and in the Add Override Criteria dialog box, follow the instructions.

See Also

Add Override Criteria


Timed Event Provider Properties: Schedule

Use this tab to specify when to generate a timed event.

This tab contains the following options:

Generate event every ___ ___
Specify how often to generate an event.
Synchronize at ___
Specify the time of day to begin generating the timed events.


WindowsNT Event Provider Properties: General

Use this tab to specify the Windows NT® Event Log from which the provider reads data.

This tab contains the following option:

Log type
Select one of the following log types:
Application
Directory Service
DNS Server
File Replication Service
Security
System


WMI Numeric Provider Synchronization Properties

Use this dialog box to specify whether to synchronize sampling data, and if so, when sampling begins at the scheduled synchronization time each day.

This dialog box contains the following option:

Synchronize at
Specify the time every day to synchronize sampling data.


About Microsoft Operations Manager2005 Help

The Microsoft® Operations Manager(MOM) 2005 Help system provides different topic types. Information in the topics ranges from high-level conceptual information to low-level summaries of dialog boxes. The topic types are described in the following table:

Topic category | Type of information
Overview | Overview topics provide high-level introductory information. Typically, they include a short summary of related operations or features, and provide information about how those operations and features work together.
Conceptual | Conceptual topics provide more in-depth information than overviews. They include information about how MOM carries out tasks, why a task should be performed, in what situations the task should or should not be performed, definitions of relevant terms, analogies, and examples.
Process | A process topic reflects the goal of a MOM administrator, rather than an element of the UI or product architecture.
Procedure | Procedure topics list the steps needed to accomplish a task. They provide navigational graphics that you can use to quickly identify where you need to be within the MOM Administrator console to perform a particular task.

Related Tasks

Find and Display Help Topics | Access Help | Help Overview


Access Help

You can access Microsoft Operations Manager(MOM) 2005 Help from several points in the MOM Administrator console.

To access context-sensitive Help for the selected item

  • Right-click any item in the Administrator console, and then click Help.

    -or-

  • Press F1 on any item in the Administrator console.

    -or-

  • On the toolbar, click the Help icon .

    -or-

  • On the View menu, click Help.

To access Help without going to a specific Help topic

  • On the Help menu, click Help Topics.

Related Tasks

Help Overview


Advanced Search Overview

A basic search of Help topics consists of the word you want to search for. You can refine your search by using the following methods:

  • Words, phrases, and wildcard characters
  • Search operators
  • Nested search expressions

Related Tasks

Access Help | Basic Search Overview | Help Overview


Basic Search Overview

You can search for Help topics by using any word, not just those that have been defined as keywords in the index. To do so, use the Search tab in the Help Viewer.

To perform a basic search, you can use a single word or phrase. To create more complex searches, you can use search queries that include wildcard characters and nested expressions.

When searching for Help topics, keep the following guidelines in mind:

  • Searches are not case-sensitive. You can type your search in uppercase or lowercase characters. For example, Software, software and SOFTWARE are interpreted in the same way by the search engine.
  • You can search for any combination of letters and numbers.
  • Punctuation marks, such as periods, colons, semicolons, commas, and hyphens are ignored.
  • Use quotation marks or parentheses to set apart each element of a search.
Note Note

If you are searching for a file name with an extension, group the entire string in quotation marks (for example, "filename.ext"). Otherwise, the period will break the file name into two separate words. The default operator between terms is AND, so you create the logical equivalent of "filename AND ext".

Related Tasks

Search for a Word or Phrase | Search for Words in Titles | Highlight Searched Words | Search Previous Results | Match Similar Words | Advanced Search Overview | Help Overview


Help Viewer: Contents

In the Help Viewer, use the Contents tab to navigate through the Help topic hierarchy.

  • Book icons- Represent the hierarchy of Help topics. Click a book to display that book's top-level introductory topic in the topic pane. Double-click a book to display the hierarchy of books and topics below the selected book.
  • Page icons - Represent individual Help topics. Click a page icon to display the topic in the topic pane.
  • Right-click menu - Right-clicking anywhere in the table of contents displays the right-click menu. You can use this menu to open all books, close all books, print a Help topic, or jump to another topic in the Help system.

Related Tasks

Help Viewer: Search Tab | Help Viewer: Index Tab | About Help | Help Overview


Copy a Help Topic

To copy a Help topic

  1. In the topic pane of the Help Viewer, right-click the topic you want to copy, and then click Select All. Alternately, you can click-and-drag the cursor over the text you want to copy.
  2. Right-click the highlighted text, and then click Copy. The topic is copied to the Clipboard.
  3. Open the document to which you want to copy the topic, and then place the cursor where you want the topic to be copied.
  4. On the Edit menu, click Paste. Alternately, you can right-click where you want the text to go, and then click Paste.

Related Tasks

Find and Display Help Topics | Print Help Topics | Help Viewer Overview


Find and Display Help Topics

You can locate and display Microsoft Operations Manager (MOM) 2005 Help topics quickly and easily by using the navigation pane in the Help Viewer.

  • Use the Contents tab to navigate through the Help topic hierarchy to locate information.
  • Use the Index tab to search for information by typing a word, or by scrolling through the list of defined keywords.
  • Use the Search tab to find any word in a Help topic, not just those defined as keywords in the index.

Related Tasks

Access Help | About Help


Help Overview

Welcome to Microsoft Operations Manager (MOM) 2005 Help. The topics in Help provide essential information that you need to know to successfully deploy, configure, and maintain MOM.

MOM Help is task-oriented, primarily designed to help you perform MOM administration tasks, rather than describe the product on a feature-by-feature basis. When product features are described only in the context of the work that they help you perform.

MOM Help topics are displayed in the Help Viewer. The Help Viewer provides a table of contents, an index, and a search function. Toolbar buttons provide a means to navigate through Help, and to perform operations, such as printing.

Related Tasks

Find and Display Help Topics | About Help | Access Help | Help Viewer Overview | Basic Search Overview


Highlight Searched Words

When searching for words in Help topics, you can specify that each occurrence of the word or phrase is highlighted in the topics that are found. This setting is enabled by default.

To enable/disable Search Highlight

  • On the Help Viewer toolbar, click Options, and then click Search Highlight On.
  • On the Help Viewer toolbar, click Options, and then click Search Highlight Off.

Related Tasks

Search Previous Results | Match Similar Words | Search for Words in Titles | Search for a Word or Phrase | Highlight Searched Words | Advanced Search Overview


Help Viewer: Index

In the Help Viewer, use the Index tab to search for Help topics by defined keywords.

Type in the keyword to find

Type the word for which you want to search, or select it from the keyword list.

Display

Displays the topic associated with the indexed word. If the word you entered is not in the index, no topics are found. If more than one topic is associated with the word, you are prompted to make a selection.

Related Tasks

Help Viewer: Search Tab | Help Viewer: Contents Tab | About Help | Help Overview


Match Similar Words

You can broaden your search by specifying that the search look for similar words. This enables the search to include minor grammatical variations for a word or phrase. For example, if you type the word add in the keyword search box, Microsoft Operations Manager (MOM) 2005 Help searches on the terms "add," "adds," and "added."

To search with Match similar words

  1. In the navigation pane of the Help Viewer, click the Search tab.
  2. In the Type in the word(s) to search for box, type a word or a phrase.
  3. Select the Match similar words check box.
  4. Click List Topics to display a list of the topics that contain the words or phrase, or the like words or phrase you specified.
  5. In the list, double-click a topic title to display the topic.

Related Tasks

Search Previous Results | Search for Words in Titles | Search for a Word or Phrase | Highlight Searched Words | Advanced Search Overview


Nested Search Expressions

Nesting enables you to create complex search queries by combining search expressions. To use nested search expressions when searching Help topics, keep in mind the following guidelines:

  • Use parentheses to nest expressions within a search query. The expressions in parentheses are evaluated before the rest of the query. For example, the query "software NOT (metering OR database)" finds topics containing the word "software," without either of the words "metering" or "database."
  • If a query does not contain a nested element, it is evaluated from left to right. In this case, the query "software NOT metering OR database" finds topics containing the word "software" without the word "metering," or topics containing the word "database."
  • The complex query "software AND ((metering OR database) NEAR role)" finds topics that contain the word "software," along with the words "metering" and "role" that are close together (within eight words), or that contain the word "software," along with the words "database" and "role" that are close together.
Note Note

You can nest expressions only five levels deep.

Related Tasks

Words, Phrases, and Wildcard Characters | Search Operators | Advanced Search Overview


Print the Help System

You can print all topics in the Microsoft Operations Manager (MOM) 2005 Help system.

To print all Help topics

  1. In the navigation pane of the Help Viewer, click the Contents tab.
  2. Right-click the MOM book at the top of the table of contents, and then click Print.
  3. In the Print dialog box, click Print the selected heading and all subtopics, and then click OK.
  4. Click OK again.

Related Tasks

Print Help Topics | Print Linked Topics | Help Viewer Overview


Print Linked Topics

A linked topic is referenced from another topic. When printing a topic, you can choose to print the linked topics, or you can choose to print only a list of links.

To print linked topics

  1. In the topic pane of the Help Viewer, right-click the topic that you want, and then click Print.
  2. To print every linked topic, select the Print all linked documents check box; or to print only a list of the linked topics, select the Print table of links check box.
  3. Click OK to print your selected topics.

Related Tasks

Print Help Topics | Print the Help System | Help Viewer Overview


Print Help Topics

You can print a single topic, or all topics in a specific book in the table of contents.

To print Help topics

  1. In the navigation pane of the Help Viewer, click the Contents tab.
  2. In the table of contents, right-click the item that you want to print, and then click Print.
  3. To print only the selected topic, click the Print the selected topic check box; or
  4. To print all topics in the same topic heading, click the Print the selected heading and all subtopics check box.
  5. In the Print dialog box, click OK.
  6. A second Print dialog box is displayed, providing additional printing options. Select the options as appropriate, and then click OK.

Related Tasks

Print Linked Topics | Print the Help System | Help Viewer Overview


Search Operators

You can precisely define your search by providing a connection between the search expressions in your query. To do so, use the AND, OR, NEAR, and NOT operators, as described in the following table. If no operator is specified, AND is used by default.

Search for | Example | Result
Both terms in the same topic | software AND metering | Topics containing both the words "software" and "metering."
Either term in the topic | software OR metering | Topics containing either the word "software" or "metering."
Both terms in the same topic close together | software NEAR metering | Topics that contain the word "software" within eight words of the word "metering."
The first term without the second term | software NOT metering | Topics containing the word "software", but not the word "metering."
Note Note

The |, &, and ! characters are not permitted. You can use only OR, AND, NEAR, and NOT.

Related Tasks

Words, Phrases, and Wildcard Characters | Nested Search Expressions | Advanced Search Overview


Search Previous Results

When you have performed a search, you can specify that any subsequent searches be performed only on the topics that were found in the previous search results.

To search on previous topics only

  1. In the navigation pane of the Help Viewer, click the Search tab.
  2. Click the Search previous results check box.
  3. Type a word or a phrase.
  4. Click List Topics to display a list of the topics that contain the word or phrase that you specified.
  5. In the list, double-click the topic title to display the topic.

The search targets only the last group of topics that were searched.

Related Tasks

Search for a Word or Phrase | Search for Words in Titles | Highlight Searched Words | Match Similar Words | Advanced Search Overview


Help Viewer: Search

In the Help Viewer, use the Search tab to search for words or phrases in the Help system. You can create basic searches by typing simple words or phrases, or you can create more complex searches by using wildcards and nested search expressions.

Type in the words to search for

Enter the text on which to search. You can search for any combination of letters (a-z) and numbers (0-9), except for single letters. Search text is not case sensitive. Punctuation marks, such as the period, colon, semicolon, comma, and hyphen are ignored. Use quotation marks or parentheses to set apart each element of a search.

  • AND, OR, NEAR, and NOT are search operators that you can use to filter a search query by providing a connection between the expressions in the query.
  • List Topics displays the topics that contain the text in the selected topic list.
  • Display displays the topic in the topic pane.

Select topic

Displays the list of topics that contain the word or phrase that you entered, or that met the search query criteria.

  • Title displays the topic title.
  • Location displays the name of the Help system in which the topics were found.
  • Rank displays a number assigned, in ascending order, to each topic in the search.

Search previous results

Limits the search by scanning only the topics that were found in the previous search.

Match similar words Includes minor grammatical variations of the word or phrase in the search. For example, a search for the word "add" finds "add," "adds," and "added."

Search titles only

Limits a search to only topic titles, rather than to the entire contents of the topics.

Related Tasks

Help Viewer: Index Tab | Help Viewer: Contents Tab | Search for a Word or Phrase | Advanced Search Overview


Search for a Word or Phrase

To search for a word or phrase

  1. In the navigation pane of the Help Viewer, click the Search tab.
  2. In the Type in the word(s) to search for box, type the word or phrase that you want to find.
  3. To add search operators to your search, click the right-pointing arrow.
  4. To further limit a search, you can select the Search previous results, Match similar words, or Search for words in titles check boxes.
  5. In the list, double-click the topic title of the topic that you want to display.

Related Tasks

Search Previous Results | Match Similar Words | Search for Words in Titles | Highlight Searched Words | Advanced Search Overview


Search for Words in Topic Titles

You can limit a search by searching only for words in topic titles.

To search for words in topic titles

  1. In the navigation pane of the Help Viewer, click the Search tab.
  2. In the Type in the word(s) to search for box, type the word or phrase you want to find.
  3. Select the Search titles only check box.
  4. Click List Topics.
  5. Double-click the topic you want to display

Related Tasks

Search for a Word or Phrase | Highlight Searched Words | Match Similar Words | Search Previous Results | Advanced Search Overview


Help Viewer Overview

When you open Microsoft® Operations Manager (MOM) 2005 Help, the Help Viewer is displayed in the upper-right corner of your screen. You can resize the two panes within the Help Viewer by selecting the border between the panes and dragging it left or right.

The left pane of the Help Viewer is the navigation pane; the right pane is the topic pane. When you select a topic in the navigation pane, it is displayed in the topic pane. You can change the view of the navigation pane by clicking the Index, Search, or Contents tabs.

To navigate forward and backward through previously viewed Help topics, click the Forward and Back toolbar buttons. To display or hide the navigation pane, use the Show and Hide buttons. You can also print Help topics, refresh the current topic, and stop the download of a topic from an external Web site or Help system by clicking the Options button.

Related Tasks

Copy a Help Topic | Print Help Topics


Words, Phrases, and Wildcard Characters

You can search for words or phrases, and use wildcard characters in search queries. The following table provides examples of the query expressions you can use and the expected results.

Search for | Example | Result
A single word | select | Topics that contain the word "select," and its grammatical variations (such as "selector" and "selection").
A phrase | "new operator" or "new operator" | Topics that contain the literal phrase "new operator" and all its grammatical variations. Without the quotation marks, the query is equivalent to specifying "new AND operator," which will find topics containing both of the individual words, instead of the phrase.
Wildcard characters | 80?86 | Topics that contain the terms "80186," "80286," "80386," and so on. The question mark cannot be the only character in the search.
Wildcard characters | *86 | Topics that contain the terms "386," "486," "x86," "QEMM386," "8086," and so on.

Related Tasks

Search Operators | Nested Search Expressions | Advanced Search Overview